/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc CyrImpactLib
///////////////////////////////////////////////////////////////////////////////

#ifndef _CECImpactFolders_h
#define _CECImpactFolders_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes
#include <CyrWrapLib/CECOrbFolder.h>

#define SPECIFIC_FOLDER_DECL( CLASS_X )             \
class CLASS_X : public CECOrbFolder                 \
{                                                   \
public:                                             \
CLASS_X( CECOrbFolder* parent );                \
static const char* FOLDER_NAME;                 \
}

SPECIFIC_FOLDER_DECL( CECSourceFolder );
SPECIFIC_FOLDER_DECL( CECObjectCodeFolder );
SPECIFIC_FOLDER_DECL( CECTestFolder );
SPECIFIC_FOLDER_DECL( CECDataFolder );
SPECIFIC_FOLDER_DECL( CECNodeFolder );

///////////////////////////////////////////////////////////////////////////////
// @class  CECTestStore | This class is derived from the CECFolder class and
//         implements a specific instance of a Folder type.  This particular
//         Folder contains Test Runs.
// @base   public | CECFolder
class CECTestStore : public CECOrbFolder
{
    // @access Public Members
public:
    // @cmember Constructor for retrieval
    CECTestStore( CECTestFolder* parent, const char* name );
};

#endif
