/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#ifndef _CECPROCESSVAR_H_
#define _CECPROCESSVAR_H_
#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif
#include "CECVar.h"

class CECProcessVar : public CECVar
{
public:
    CECProcessVar(int options, const string& name);
    virtual ~CECProcessVar();
    virtual string  get_value(const string& expression);
    virtual int	    set_value(const string& newval, const string& expression);

    //things required by Cvarlist
    virtual int	    get_options()
    {
        return _options;
    };
    virtual string  get_name()
    {
        return _name;
    };
    virtual bool    is_volatile()
    {
        return((_options & VCTHREAD) || (_options & VCPRIVATE)) ? false:true;
    };
    static  bool    is_volatile(unsigned inopts)
    {
        return((inopts & VCTHREAD) || (inopts & VCPRIVATE)) ? false:true;
    };
    virtual bool    is_temp(void)
    {
        return _options & VCTEMP ? true:false;
    };
    virtual bool    is_private(void)
    {
        return _options & VCPRIVATE ? true:false;
    };
    virtual void    clear_values(void)
    {
        _cur_value="";
    };
    virtual int	    get_size(void)
    {
        return _size;
    };

protected:

    int	    _options;
    string  _cur_value;
    int	    _size;

private:
    //// Forbidden
    CECProcessVar();
};
#endif
