/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#ifndef _CECRANGEVAR_H_
#define _CECRANGEVAR_H_
#ifdef WIN32
#pragma warning(disable:4786)
#pragma warning(disable:4503)
#endif
#include "CECProcessVar.h"

class CECRangeVar : public CECProcessVar
{
public:
    CECRangeVar(const string& name,int options,const string& values,unsigned long seed);
    virtual ~CECRangeVar();
    virtual void    next_value();	    //generate next value
    virtual void    generate_value();  //generate random value
    virtual void    reset_seed(unsigned long=0);	    //reset random seed
    virtual string  get_value(const string& expression);
private:
    long _end;//end in range
    long _begin;//beginning in range
    long _cur_int;//current integer
    unsigned long _seed;
    unsigned long _cur_seed;//seed from last call to randomize
    bool _increment;
private:
    //// Forbidden
    CECRangeVar();
};
#endif
