/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// RemoteRepository.cpp: implementation of the CRemoteRepository class.
//
//////////////////////////////////////////////////////////////////////

#include "RemoteRepository.h"
#include <CECInetInfo.h>
#include <fstream>
#include "CECSimpleParse.h"
#include <iostream>
using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CRemoteRepository::CRemoteRepository(CORBAServer* corba,const string& node)
{
	m_pCorba = corba;
	m_strReposNode = node;

	Connect();
}

CRemoteRepository::~CRemoteRepository()
{
}



bool CRemoteRepository::CheckoutVariableFile(string strDataFile)
{
	try
	{
		if (CORBA::is_nil(m_pFileTransfer))
			Connect();

		return m_pFileTransfer->GetDataFile(m_strReposNode.c_str(), strDataFile.c_str());
	}
	catch(...)
	{
	}
	return false;
}

void CRemoteRepository::Connect()
{
    CECInetInfo info;
    string underscore_ip_name=info.GetIPAddressAsString();
	
    try
    {
		CORBA::Object_ptr obj = m_pCorba->FindObjectWithName(FileTransferNode::CLASS_NAME,underscore_ip_name.c_str());
		m_pFileTransfer = FileTransferNode::_narrow(obj);
    }
    catch(...)
    {
    }

}
