/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CyrVDK012.cpp : Defines the entry point for the DLL application.
//
// Cyrano includes
#include <Daemon/CyrVdk.h>
#include "FileTransferNode_i.h"
#include "..\..\XMLRelay\include\Logger.h"

///////////////////////////////////////////////////////////////////////////////
// Global variables
CLogger* g_Logger = NULL;
FileTransferNodeImpl* pTransfer=NULL;
///////////////////////////////////////////////////////////////////////////////
// @func   This function initialises Name service cleaner
// @rdesc A standard Cyrano error code.
VDK_EXP CyrVdkInitialise( const char* factory, CORBAServer* pServer )
{
	g_Logger = new CLogger("CYRVDK012_Log.txt");
	g_Logger->SetLevel(50); //*** Should read from tracesettings
    pTransfer=new FileTransferNodeImpl(pServer);
    return CYR_SUCCESS;
}

///////////////////////////////////////////////////////////////////////////////
// @func  This function stops the  Name service cleaner
// @rdesc A standard Cyrano error code.
VDK_EXP CyrVdkUninitialise()
{
	delete g_Logger;
    delete pTransfer;
    return CYR_SUCCESS;
}

extern "C"
BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID /*lpReserved*/)
{
    if (dwReason == DLL_PROCESS_ATTACH)
    {
        CyrtoolsInitialize();
    }
    else if (dwReason == DLL_PROCESS_DETACH)
    {
        CyrtoolsUninitialize();
    }
    return TRUE;
}
