/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc  VDK_MODULE
///////////////////////////////////////////////////////////////////////////////

#ifndef _cyrvdk_h
#define _cyrvdk_h

///////////////////////////////////////////////////////////////////////////////
// Cyrano includes
#include <OSTAORB/OSTAORB.h>

#ifdef _WIN32
#   ifdef BUILD_VDK
#       define DECLSPEC_VDK __declspec(dllexport)
#   else
#       define DECLSPEC_VDK __declspec(dllimport)
#   endif

#define VDK_EXP extern "C" DECLSPEC_VDK int

///////////////////////////////////////////////////////////////////////////////
// The following functions must all be exported from any VDK module.  If not it
// will not work correctly.
VDK_EXP CyrVdkInitialise( const char* factory, CORBAServer* pServer );
VDK_EXP CyrVdkUninitialise();
#else
extern "C"
{
#define VDK_EXP int
int CyrVdkInitialise( const char* factory, CORBAServer* pServer );
int CyrVdkUninitialise();
}
#endif


#endif
