/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef _CYR_ATVFKEY_H
#define _CYR_ATVFKEY_H
/**
 * Class to define the form of key for identifying records and rules,
 * both in the atvf file and within any maps containing the information.
 **/
#include <string>
#ifdef HPUX
#include <iostream.h>
#else
#include <iostream>
#endif

#ifndef CYR_NO_STD_NAMESPACE
using namespace std;
#endif
#ifdef __VAX
typedef int bool;
#endif
#if defined (WIN32)
#pragma warning(disable:4786)
#endif

// class defintition
class AtvfKey
{
    enum {NUSED = 4};
    char _key[NUSED];

public:
    //Constructors & Destructors
    AtvfKey(const string& token = "");
    AtvfKey(const AtvfKey& rhs);

    //Accessors
    bool operator<(const AtvfKey& rhs) const;
    bool operator==(const AtvfKey& rhs) const;
    int compare(const string& cmpStr) const;
    int compare(const AtvfKey& cmpKey) const;
    string toString() const;

    //Mutators
    AtvfKey& set(const string& token);

}
; // AtvfKey

ostream& operator<<(ostream& os, const AtvfKey& k);

#endif // not _CYR_ATVFKEY_H
