/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef _CYR_ATVFREALRECRULES_H
#define _CYR_ATVFREALRECRULES_H
/**
 * Definition of limited collection of simple record rules
 **/

#ifdef WIN32
#pragma warning(disable:4786)
#endif

// local includes
#include "AtvfRecRule.h"

// AtvfNoValRule class defintion
class AtvfNoValRule : public AtvfRecRule
{
public:
    AtvfNoValRule(const string& token);
    virtual string type() const;
}
; // AtvfNoValRule

// AtvfSimplRule class defintion
class AtvfSimplRule : public AtvfRecRule
{
public:
    AtvfSimplRule(const string& token);
    virtual string type() const;
}
; // AtvfSimplRule

// AtvfNoValRule class defintion
class AtvfDelimRule : public AtvfRecRule
{
public:
    AtvfDelimRule(const string& token);
    virtual string type() const;
    virtual string* parseInput(AtvfInput& in) const;
    virtual void saveValue(const string& value, ostream& out) const;
}
; // AtvfNoValRule

#endif // _CYR_ATVFREALRECRULES_H
