/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#ifndef _CECMUTEX_H_
#define _CECMUTEX_H_
///////////////////////////////////////////////////////////////////////////////
// @doc     CECMutex
// @module  CECMutex|wrapper class for cross-process/node mutexes
///////////////////////////////////////////////////////////////////////////////
#ifndef CYRANO_TP_STANDALONE
#   include "OSTAORB/OSTAORB.h"
#   include "TPMutex.h"
#   include "..\XMLRelay\XMLVDK011Lib\XMLRelayVarFactory.h"
#else
#   include <CECSACORBA.h>
#   include <fastlock.hpp>
#endif


class CECMutex
{
public:
    CECMutex(const string& name, int scope);
    virtual ~CECMutex();
    virtual bool lock();
    virtual bool unlock();
#ifndef CYRANO_TP_STANDALONE
    virtual bool trylock();
#endif

private:

#ifndef CYRANO_TP_STANDALONE
    TPMutex_var m_mutex;
    CORBA::Long m_key;
#else
    CFastLock   m_mutex;
#endif

	string m_strName;
	bool m_bOnWeb;
	bool m_bOnLan;
    //// Forbidden
    CECMutex();
};
#endif
