/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc     TExecuterRcrd.inl
///////////////////////////////////////////////////////////////////////////////


#ifdef WIN32
#   pragma warning(disable:4786)
#endif

#include "TExecuterRcrd.h"

const AtvfKey TRcrdCscr ::KEY("Cscr");
const AtvfKey TRcrdEntry::KEY("Entry");

bool TRcrdCscr::_registeredCreator = false;
const bool TRcrdCscr::_RegisterCreator()
{
    if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
    (*recCreatorMap)[TRcrdCscr::KEY] = SharedPtr<TRecCreator>(new TRecMake<TRcrdCscr>());
    _registeredCreator = true;
    return true;
}

bool TRcrdEntry::_registeredCreator = false;
const bool TRcrdEntry::_RegisterCreator()
{
    if (!recCreatorMap) recCreatorMap = new RecCreator_map_t;
    (*recCreatorMap)[TRcrdEntry::KEY] = SharedPtr<TRecCreator>(new TRecMake<TRcrdEntry>());
    _registeredCreator = true;
    return true;
}
