/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// EmployeeProvider.h: interface for the CEmployeeProvider class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(VDK10DATAPROVIDERS)
#define VDK10DATAPROVIDERS

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>
using namespace std;
#include "xmlrpc.h"
#include "XML_IC_TaskGroupExecInfo.h"
#include "XML_IC_TaskExecInfo.h"
#include "XML_IS_TaskGroupSnap.h"
#include "XML_IS_TaskId.h"
#include "XML_IS_TaskSnap.h"
#include "XML_IS_TaskSnap2.h"
#include "XML_IS_TestExecuterSnapshot.h"
#include "XML_IS_VUSnap.h"
#include "XML_IS_HTTPExecuterSnap.h"
#include "XML_IS_HTTPTaskGroupSnap.h"
#include "XML_IS_HTTPTaskSnap.h"

class CHTTPTaskGroupSnapProvider : public CCustomDataProvider  
{
public:
	CHTTPTaskGroupSnapProvider() {};
	virtual ~CHTTPTaskGroupSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_HTTPTaskGroupSnap();} ;
	string GetType() { return "HTTPTaskGroupSnap"; };

};

class CHTTPTaskSnapProvider : public CCustomDataProvider  
{
public:
	CHTTPTaskSnapProvider() {};
	virtual ~CHTTPTaskSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_HTTPTaskSnap();} ;
	string GetType() { return "HTTPTaskSnap"; };

};
class CHTTPExecuterSnapProvider : public CCustomDataProvider  
{
public:
	CHTTPExecuterSnapProvider() {};
	virtual ~CHTTPExecuterSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_HTTPExecuterSnap();} ;
	string GetType() { return "HTTPExecuterSnapshot"; };

};

class CTaskExecInfoProvider : public CCustomDataProvider  
{
public:
	CTaskExecInfoProvider() {};
	virtual ~CTaskExecInfoProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IC_TaskExecInfo();} ;
	string GetType() { return "TaskExecInfo"; };

};

class CTaskGroupExecInfoProvider : public CCustomDataProvider  
{
public:
	CTaskGroupExecInfoProvider() {};
	virtual ~CTaskGroupExecInfoProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IC_TaskGroupExecInfo();} ;
	string GetType() { return "TaskGroupExecInfo"; };

};

class CTaskGroupSnapProvider : public CCustomDataProvider  
{
public:
	CTaskGroupSnapProvider() {};
	virtual ~CTaskGroupSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_TaskGroupSnap();} ;
	string GetType() { return "TaskGroupSnap"; };

};

class CTaskIdProvider : public CCustomDataProvider  
{
public:
	CTaskIdProvider() {};
	virtual ~CTaskIdProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_TaskId();} ;
	string GetType() { return "TaskId"; };

};

class CTaskSnapProvider : public CCustomDataProvider  
{
public:
	CTaskSnapProvider() {};
	virtual ~CTaskSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_TaskSnap();} ;
	string GetType() { return "TaskSnap"; };

};

class CTaskSnap2Provider : public CCustomDataProvider  
{
public:
	CTaskSnap2Provider() {};
	virtual ~CTaskSnap2Provider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_TaskSnap2();} ;
	string GetType() { return "TaskSnap2"; };

};

class CTestExecuterSnapshotProvider : public CCustomDataProvider  
{
public:
	CTestExecuterSnapshotProvider() {};
	virtual ~CTestExecuterSnapshotProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_TestExecuterSnapshot();} ;
	string GetType() { return "TestExecuterSnapshot"; };

};

class CVUSnapProvider : public CCustomDataProvider  
{
public:
	CVUSnapProvider() {};
	virtual ~CVUSnapProvider() {};
	CXMLParameter* CreateInstance() { return new CXML_IS_VUSnap();} ;
	string GetType() { return "VUSnap"; };

};

#endif // !defined(VDK10DATAPROVIDERS)
