/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XML_IS_TaskSnap.cpp: implementation of the CXML_IS_TaskSnap class.
//
//////////////////////////////////////////////////////////////////////

#include "XML_IS_TaskSnap.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CXML_IS_TaskSnap::CXML_IS_TaskSnap()
{
	m_bSet = false;
}

CXML_IS_TaskSnap::CXML_IS_TaskSnap(TaskSnap snap)
{
	SetValue(snap);
}

CXML_IS_TaskSnap::~CXML_IS_TaskSnap()
{

}

void CXML_IS_TaskSnap::SetValue(TaskSnap snap)
{
	m_taskSnap = snap;
	m_bSet = true;
}

TaskSnap CXML_IS_TaskSnap::GetValue()
{
	return m_taskSnap;
}

string CXML_IS_TaskSnap::GetType()
{
	return "TaskSnap";
}

bool CXML_IS_TaskSnap::ToXML(string& strXML)
{
	if (!m_bSet)
		return false;

	strXML += "<value>";
	strXML += "<TaskSnap>";
	strXML += AddMember("lTaskId",&CXMLLong(m_taskSnap.lTaskId));
	strXML += AddMember("lActiveUsers",&CXMLLong(m_taskSnap.lActiveUsers));
	strXML += "</TaskSnap>";

	return true;
}

bool CXML_IS_TaskSnap::FromXML(CXMLNodeElement* pNode)
{
/* Kyle Harrison 11/8/01 : Modified to use new CXMLParser Wrapper Class */ 

    CXMLNodeElement* pMember = pNode->GetFirstChild();
	while(pMember)
	{
		CXMLNodeElement* pName = pMember->GetChildElementByName("name");
		string strName = pName->GetText();

		CXMLNodeElement* pValue = pMember->GetChildElementByName("value");
		CXMLNodeElement* pType = pValue->GetFirstChild();

		if (strName == "lActiveUsers")
		{
			CXMLLong* pVal = new CXMLLong();
			pVal->FromXML(pType);
			m_taskSnap.lActiveUsers=pVal->GetValue();
		}
		else if (strName == "lTaskId")
		{
			CXMLLong* pVal = new CXMLLong();
			pVal->FromXML(pType);
			m_taskSnap.lTaskId=pVal->GetValue();
		}
		pMember = pMember->GetNextSibling();
	}

	return true;
}

string CXML_IS_TaskSnap::AddMember(string name, CXMLParameter* param)
{
	string strXML = "";
	strXML += "<member>";
	strXML += "<name>"+name+"</name>";
	string strTmp;
	param->ToXML(strTmp);
	strXML += strTmp;
	strXML += "</member>";
	return strXML;
}
