/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CallManager.h: interface for the CCallManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CALLMANAGER_H__D6EF7530_97D8_4F33_8494_EC901A18313A__INCLUDED_)
#define AFX_CALLMANAGER_H__D6EF7530_97D8_4F33_8494_EC901A18313A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CXMLParameter;

#include "XMLRequest.h"
#include "XMLResponse.h"
#include "ServerSettings.h"
#include <string>
using namespace std;


class CCallHandler
{
public:
	virtual CXMLResponse* ProcessMethodCall(CXMLRequest* request) = 0;
};

class CCustomDataProvider
{
public:
	virtual CXMLParameter* CreateInstance() = 0;
	virtual string GetType() = 0;
};

class CCallManager  
{
public:
	CCallManager();
	void AddHandler(string strName, CCallHandler* handler);
	void AddDataProvider(CCustomDataProvider* provider);
	CCallHandler* GetHandlerForName(string strName);
	CCustomDataProvider* GetProviderForType(string strType);

	virtual ~CCallManager();

	struct HANDLER_MAP
	{
		string strName;
		CCallHandler* pHandler;
	};

	void LoadServerSettings(string strSettingsFile);
	CServerSettings m_settings;

private:
	CArray<HANDLER_MAP,HANDLER_MAP> m_arrHandlers;
	CArray<CCustomDataProvider*,CCustomDataProvider*> m_arrProviders;
};

#endif // !defined(AFX_CALLMANAGER_H__D6EF7530_97D8_4F33_8494_EC901A18313A__INCLUDED_)
