/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// HTTPTransport.h: interface for the CHTTPTransport class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTTPTRANSPORT_H__4D622B58_5E39_45F3_9E5D_35D441E65EDE__INCLUDED_)
#define AFX_HTTPTRANSPORT_H__4D622B58_5E39_45F3_9E5D_35D441E65EDE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <string>
using namespace std;

class CHTTPTransport  
{
public:
	CHTTPTransport();
	CHTTPTransport(string strHost, string strObject, int nPort = 80, string strUserName = "", string strPassword = "", bool bUseSSL = false);
	CHTTPTransport(string strFullURL);

	string SendXMLCall(string strXML);
	bool GetRemoteFile(string strLocalPath);

	virtual ~CHTTPTransport();
private:
	string m_strHost;
	string m_strObject;
	int	   m_nPort;
	string m_strUserName;
	string m_strPassword;
	bool m_bUseSSL;
	string m_strFullURL;
	void ParseURL(string strURL);

};

#endif // !defined(AFX_HTTPTRANSPORT_H__4D622B58_5E39_45F3_9E5D_35D441E65EDE__INCLUDED_)
