/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLBool.h: interface for the CXMLBool class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLBOOL_H__8DBEA53F_DBE4_42AB_9A01_C337329500C7__INCLUDED_)
#define AFX_XMLBOOL_H__8DBEA53F_DBE4_42AB_9A01_C337329500C7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XMLParameter.h"

class CXMLBool : public CXMLParameter  
{
public:
	CXMLBool();
	CXMLBool(bool bValue);
	virtual ~CXMLBool();

	bool ToXML(string& strXML);
	bool FromXML(CXMLNodeElement* pNode);

	void SetValue(bool bValue);
	bool GetValue();

	string GetType() { return "boolean"; };
	void SetCallManager(CCallManager* pCallManager) { m_pCallManager = pCallManager; };
private:
	bool m_bVal;
	bool m_bSet;
	CCallManager* m_pCallManager;

};

#endif // !defined(AFX_XMLBOOL_H__8DBEA53F_DBE4_42AB_9A01_C337329500C7__INCLUDED_)
