/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLDouble.h: interface for the CXMLDouble class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLDOUBLE_H__C591CA74_5F2D_4964_8528_14DAC845A6C0__INCLUDED_)
#define AFX_XMLDOUBLE_H__C591CA74_5F2D_4964_8528_14DAC845A6C0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XMLParameter.h"

class CXMLDouble  : public CXMLParameter
{
public:
	CXMLDouble();
	CXMLDouble(double dValue);
	virtual ~CXMLDouble();

	bool ToXML(string& strXML);
	bool FromXML(CXMLNodeElement* pNode);

	void SetValue(double dValue);
	double GetValue();

	string GetType() { return "double"; };
	void SetCallManager(CCallManager* pCallManager) { m_pCallManager = pCallManager; };
private:
	double m_dVal;
	bool m_bSet;
	CCallManager* m_pCallManager;

};

#endif // !defined(AFX_XMLDOUBLE_H__C591CA74_5F2D_4964_8528_14DAC845A6C0__INCLUDED_)
