/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLInt.cpp: implementation of the CXMLInt class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "XMLInt.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CXMLInt::CXMLInt()
{
	m_bSet = false;
}

CXMLInt::CXMLInt(int iValue)
{
	SetValue(iValue);
}

CXMLInt::~CXMLInt()
{

}

bool CXMLInt::ToXML(string& strXML)
{
	if (!m_bSet)
		return false;

	char strVal[16];
	sprintf(strVal,"%d",m_iVal);
	
	strXML += "<value><int>"+string(strVal)+"</int></value>";
	return true;
}

bool CXMLInt::FromXML(CXMLNodeElement* pNode)
{
/* Kyle Harrison 11/8/01 : Modified to use new CXMLParser Wrapper Class */ 

	string strValue = pNode->GetText();

	SetValue(atoi(strValue.c_str()));

	return true;
}

void CXMLInt::SetValue(int iValue)
{
	m_iVal = iValue;
	m_bSet = true;
}

int CXMLInt::GetValue()
{
	return m_iVal;
}
