/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLLong.cpp: implementation of the CXMLLong class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "XMLLong.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CXMLLong::CXMLLong()
{
	m_bSet = false;
}

CXMLLong::CXMLLong(long lValue)
{
	SetValue(lValue);
}

CXMLLong::~CXMLLong()
{

}

bool CXMLLong::ToXML(string& strXML)
{
	if (!m_bSet)
		return false;

	char strVal[16];
	sprintf(strVal,"%d",m_lVal);

	strXML += "<value><i4>"+string(strVal)+"</i4></value>";
	return true;
}

bool CXMLLong::FromXML(CXMLNodeElement* pNode)
{
/* Kyle Harrison 11/8/01 : Modified to use new CXMLParser Wrapper Class */ 

	string strValue = pNode->GetText();

	SetValue(atol(strValue.c_str()));

	return true;
}

void CXMLLong::SetValue(long lValue)
{
	m_lVal = lValue;
	m_bSet = true;
}

long CXMLLong::GetValue()
{
	return m_lVal;
}
