/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLRequest.h: interface for the CXMLRequest class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLREQUEST_H__E00E4A3A_B498_4E31_A788_23B7B03A174B__INCLUDED_)
#define AFX_XMLREQUEST_H__E00E4A3A_B498_4E31_A788_23B7B03A174B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "XMLParameter.h"
#include "HttpTransport.h"
#include "XMLResponse.h"
#include "XMLParser.h"

class CXMLRequest  
{
public:
	CXMLRequest();
	CXMLRequest(string strXMLRequest);
	virtual ~CXMLRequest();

	void AddParameter(CXMLParameter* param);
	void SetMethodName(string strMethod);
	void SetTransport(CHTTPTransport& trans);

	CXMLResponse* SendRequest();
	string m_strMethod;
	string m_strHandlerName;

	int GetNumParams();
	CXMLParameter* GetParam(int nParam);
	string m_strFullMethodName;

private:
	CHTTPTransport m_transport;

	CArray <CXMLParameter*,CXMLParameter*> m_params;
};

#endif // !defined(AFX_XMLREQUEST_H__E00E4A3A_B498_4E31_A788_23B7B03A174B__INCLUDED_)
