#ifndef PSL__PSL_CNV_PRMDEF_LOADED
#define PSL__PSL_CNV_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSL_CNV_PRMDEF              */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  PSL Byte ordering conversion prameter symbols for use in calling     */
/*  the PSL_CNV_RECFMT function.                         */
/*                                       */
/*===========================================================================*/

/*** MODULE PSL_CNV_PRMDEF ***/

/*  Parameter symbols for input and output types */

#define            PSLRECFMT_ALIEN -1   /* Convert the ordering */
#define            PSLRECFMT_COMMA -2   /* Param is ascii list */

/*  Symbols used to create the format list that defines the structure of */
/*  data processed by the routine */


#define            PSLRECFMT_WORD -2    /* 16 bit value */
#define            PSLRECFMT_LONGWORD -1    /* 32 bit value */
#define            PSLRECFMT_END 0  /* End of list */

/*  End of C Include File */

#endif  /* PSL__PSL_CNV_PRMDEF_LOADED */
