//  Copyright (C) 2000-2001 Cyrano SA
//
//  This file is part of OpenSTA
//
//  OpenSTA is free software; you can redistribute it and/or modify it under
//  the terms of the GNU General Public License as published by the Free
//  Software Foundation; either version 2, or (at your option) any later
//  version.
//
//  OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with OpenSTA; see the file COPYING.  If not, write to the Free Software
//  Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  For more information about the GNU Public license see:
//  http://www.gnu.org/copyleft/gpl.html
//
//  OpenSTA is at:
//  http://www.opensta.org/
//  http://opensta.sourceforge.net/
//
// 
//  shrmsg.mc:
//  ==========
//
//  Windows message source file containing message definitions for OpenSTA.
// 
//MessageIdTypedef=DWORD
// 
// FACILITY PSL
// 
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_VTEST                   0x802
#define FACILITY_TPG                     0x804
#define FACILITY_SCL                     0x803
#define FACILITY_PSL                     0x801


//
// Define the severity codes
//


//
// MessageId: PSL_NORMAL
//
// MessageText:
//
//  NORMAL,Normal Successful Completion
//
#define PSL_NORMAL                       ((long)0x08010001L)

//
// MessageId: PSL_CREATED
//
// MessageText:
//
//  CREATED,!AS Created
//
#define PSL_CREATED                      ((long)0x480101F5L)

//
// MessageId: PSL_FILDEL
//
// MessageText:
//
//  FILDEL,!AS Deleted
//
#define PSL_FILDEL                       ((long)0x480101F6L)

//
// MessageId: PSL_ENDDIAGS
//
// MessageText:
//
//  ENDDIAGS,!AS Completed with !UL Diagnostic!%%S
//
#define PSL_ENDDIAGS                     ((long)0x480101F7L)

//
// MessageId: PSL_ENDNOOBJ
//
// MessageText:
//
//  ENDNOOBJ,!AS Completed with !UL Diagnostic!%%S - Object Deleted
//
#define PSL_ENDNOOBJ                     ((long)0x480101F8L)

//
// MessageId: PSL_DELETED
//
// MessageText:
//
//  DELETED,!AS Deleted from !AS
//
#define PSL_DELETED                      ((long)0x480101F9L)

//
// MessageId: PSL_INSERTED
//
// MessageText:
//
//  INSERTED,!AS Inserted in !AS
//
#define PSL_INSERTED                     ((long)0x480101FAL)

//
// MessageId: PSL_REPLACED
//
// MessageText:
//
//  REPLACED,!AS Replaced in !AS
//
#define PSL_REPLACED                     ((long)0x480101FBL)

//
// MessageId: PSL_EXTRACTED
//
// MessageText:
//
//  EXTRACTED,!AS Extracted from !AS
//
#define PSL_EXTRACTED                    ((long)0x480101FCL)

//
// MessageId: PSL_VALIDITEM
//
// MessageText:
//
//  VALIDITEM,!AS Validated in !AS
//
#define PSL_VALIDITEM                    ((long)0x480101FDL)

//
// MessageId: PSL_VALIDATED
//
// MessageText:
//
//  VALIDATED,!AS Validated
//
#define PSL_VALIDATED                    ((long)0x480101FEL)

//
// MessageId: PSL_DELITEM
//
// MessageText:
//
//  DELITEM,!UW item!%%S deleted from !AS
//
#define PSL_DELITEM                      ((long)0x480101FFL)

//
// MessageId: PSL_INSITEM
//
// MessageText:
//
//  INSITEM,!UW item!%%S inserted in !AS
//
#define PSL_INSITEM                      ((long)0x48010200L)

//
// MessageId: PSL_REPITEM
//
// MessageText:
//
//  REPITEM,!UW item!%%S replaced !UW inserted in !AS
//
#define PSL_REPITEM                      ((long)0x48010201L)

//
// MessageId: PSL_EXTITEM
//
// MessageText:
//
//  EXTITEM,!UW item!%%S extracted from !AS
//
#define PSL_EXTITEM                      ((long)0x48010202L)

//
// MessageId: PSL_CHECKED
//
// MessageText:
//
//  CHECKED,!AS Checked in !AS
//
#define PSL_CHECKED                      ((long)0x48010203L)

//
// MessageId: PSL_CHKITEM
//
// MessageText:
//
//  CHKITEM,!UW item!%%S checked in !AS
//
#define PSL_CHKITEM                      ((long)0x48010204L)

//
// MessageId: PSL_COMPILED
//
// MessageText:
//
//  COMPILED,!AS Compiled
//
#define PSL_COMPILED                     ((long)0x48010205L)

//
// MessageId: PSL_LISTNOROOM
//
// MessageText:
//
//  LISTNOROOM,No Room on Current Listing Page
//
#define PSL_LISTNOROOM                   ((long)0x48010206L)

//
// MessageId: PSL_ALREADY_DELETED
//
// MessageText:
//
//  ALREADY_DELETED,!AS Already Deleted from !AS
//
#define PSL_ALREADY_DELETED              ((long)0x48010207L)

//
// MessageId: PSL_COMPITEM
//
// MessageText:
//
//  COMPITEM,!AS Compressed in !AS
//
#define PSL_COMPITEM                     ((long)0x48010208L)

//
// MessageId: PSL_COMPRESSED
//
// MessageText:
//
//  COMPRESSED,!AS Compressed
//
#define PSL_COMPRESSED                   ((long)0x48010209L)

//
// MessageId: PSL_AUDITING
//
// MessageText:
//
//  AUDITING,Auditing to !AS
//
#define PSL_AUDITING                     ((long)0x4801020AL)

//
// MessageId: PSL_GENERATED
//
// MessageText:
//
//  GENERATED,Source Code Generated for !AS from !AS
//
#define PSL_GENERATED                    ((long)0x4801020BL)

//
// MessageId: PSL_GENITEM
//
// MessageText:
//
//  GENITEM,Source Code Generated for !UL item!%%S from !AS
//
#define PSL_GENITEM                      ((long)0x4801020CL)

//
// MessageId: PSL_SCREENDUMP
//
// MessageText:
//
//  SCREENDUMP,Screen Dumped to File !AS
//
#define PSL_SCREENDUMP                   ((long)0x4801020DL)

//
// MessageId: PSL_UAFACCUPD
//
// MessageText:
//
//  UAFACCUPD,UAF record for account !AS sucessfully updated
//
#define PSL_UAFACCUPD                    ((long)0x4801020EL)

//
// MessageId: PSL_UAFQUOUPD
//
// MessageText:
//
//  UAFQUOUPD,!AS quota increased from !UL to !UL
//
#define PSL_UAFQUOUPD                    ((long)0x4801020FL)

//
// MessageId: PSL_COMPREC
//
// MessageText:
//
//  COMPREC,Library compression recommended
//
#define PSL_COMPREC                      ((long)0x48010210L)

//
// MessageId: PSL_BLKUSE
//
// MessageText:
//
//  BLKUSE,!UL blocks available, !UL in use
//
#define PSL_BLKUSE                       ((long)0x48010211L)

//
// MessageId: PSL_PARSEOFF
//
// MessageText:
//
//  PARSEOFF,Compilation Suspended
//
#define PSL_PARSEOFF                     ((long)0x48010212L)

//
// MessageId: PSL_PARSEON
//
// MessageText:
//
//  PARSEON,Compilation Resumed
//
#define PSL_PARSEON                      ((long)0x48010213L)

//
// MessageId: PSL_ITMUSE
//
// MessageText:
//
//  ITMUSE,!UL !AS slots available, !UL in use
//
#define PSL_ITMUSE                       ((long)0x48010214L)

//
// MessageId: PSL_ITMLOCKED
//
// MessageText:
//
//  ITMLOCKED,Item !AS Locked - waiting...
//
#define PSL_ITMLOCKED                    ((long)0x48010215L)

//
// MessageId: PSL_IDENT
//
// MessageText:
//
//  IDENT,!AS !AS, Serial number !AS
//
#define PSL_IDENT                        ((long)0x48010216L)

//
// MessageId: PSL_REFRESHING
//
// MessageText:
//
//  REFRESHING,Refreshing !AS !AS
//
#define PSL_REFRESHING                   ((long)0x48010217L)

//
// MessageId: PSL_LSTCHANCE
//
// MessageText:
//
//  LSTCHANCE,Renew your agreement before your software becomes inoperative
//
#define PSL_LSTCHANCE                    ((long)0x48010218L)

//
// MessageId: PSL_RENEW
//
// MessageText:
//
//  RENEW,Please contact your distributor to renew your agreement
//
#define PSL_RENEW                        ((long)0x48010219L)

//
// MessageId: PSL_CONSDISTRIB
//
// MessageText:
//
//  CONSDISTRIB,Please consult your distributor
//
#define PSL_CONSDISTRIB                  ((long)0x4801021AL)

//
// MessageId: PSL_RECSUSPENDED
//
// MessageText:
//
//  RECSUSPENDED,Recording of Terminal !AS Suspended
//
#define PSL_RECSUSPENDED                 ((long)0x4801021CL)

//
// MessageId: PSL_RECRESUMED
//
// MessageText:
//
//  RECRESUMED,Recording of Terminal !AS Resumed
//
#define PSL_RECRESUMED                   ((long)0x4801021DL)

//
// MessageId: PSL_MODIFIED
//
// MessageText:
//
//  MODIFIED,!AS Modified in !AS
//
#define PSL_MODIFIED                     ((long)0x4801021EL)

//
// MessageId: PSL_MODITEM
//
// MessageText:
//
//  MODITEM,!UW item!%%S modified in !AS
//
#define PSL_MODITEM                      ((long)0x4801021FL)

//
// MessageId: PSL_ASCIICRE
//
// MessageText:
//
//  ASCIICRE,ASCII File !AS Created
//
#define PSL_ASCIICRE                     ((long)0x48010220L)

//
// MessageId: PSL_CALCULATING
//
// MessageText:
//
//  CALCULATING,Calculating Statistics Information ...
//
#define PSL_CALCULATING                  ((long)0x48010221L)

//
// MessageId: PSL_LISTCRE
//
// MessageText:
//
//  LISTCRE,Output Listing File !AS Created
//
#define PSL_LISTCRE                      ((long)0x48010222L)

//
// MessageId: PSL_RECORDING
//
// MessageText:
//
//  RECORDING,Recording Terminal !AS to File !AS
//
#define PSL_RECORDING                    ((long)0x48010223L)

//
// MessageId: PSL_CONSRECFIL
//
// MessageText:
//
//  CONSRECFIL,Consolidating Recording File !AS ...
//
#define PSL_CONSRECFIL                   ((long)0x48010224L)

//
// MessageId: PSL_HLP_TOGGLE
//
// MessageText:
//
//  HLP_TOGGLE,Use <SPACE> to toggle the available options
//
#define PSL_HLP_TOGGLE                   ((long)0x480102EEL)

//
// MessageId: PSL_HLP_YESNO
//
// MessageText:
//
//  HLP_YESNO,Use <SPACE> to toggle the available options: Yes or No
//
#define PSL_HLP_YESNO                    ((long)0x480102EFL)

//
// MessageId: PSL_HLP_TEXT
//
// MessageText:
//
//  HLP_TEXT,Enter a Text String
//
#define PSL_HLP_TEXT                     ((long)0x480102F0L)

//
// MessageId: PSL_HLP_NUM
//
// MessageText:
//
//  HLP_NUM,Enter a Numeric Value
//
#define PSL_HLP_NUM                      ((long)0x480102F1L)

//
// MessageId: PSL_HLP_CHAR
//
// MessageText:
//
//  HLP_CHAR,Enter a Character
//
#define PSL_HLP_CHAR                     ((long)0x480102F2L)

//
// MessageId: PSL_HLP_MSG_NAV
//
// MessageText:
//
//  HLP_MSG_NAV,Use cursor keys, <NEXT/PREV-PAGE> and <NEXT/PREV-SEQ> to navigate list
//
#define PSL_HLP_MSG_NAV                  ((long)0x480102F3L)

//
// MessageId: PSL_HLP_DATE
//
// MessageText:
//
//  HLP_DATE,Enter a Date String
//
#define PSL_HLP_DATE                     ((long)0x480102F4L)

//
// MessageId: PSL_HLP_DATTIM
//
// MessageText:
//
//  HLP_DATTIM,Enter a system date/time
//
#define PSL_HLP_DATTIM                   ((long)0x480102F5L)

//
// MessageId: PSL_HLP_FILSPC
//
// MessageText:
//
//  HLP_FILSPC,Enter a file specification
//
#define PSL_HLP_FILSPC                   ((long)0x480102F6L)

//
// MessageId: PSL_HLP_LEGVAL
//
// MessageText:
//
//  HLP_LEGVAL,Use <SPACE> to toggle the available options: Legend or Value
//
#define PSL_HLP_LEGVAL                   ((long)0x480102F7L)

//
// MessageId: PSL_HLP_MNUMUL
//
// MessageText:
//
//  HLP_MNUMUL,Select/deselect desired options, use <EXIT> to terminate menu
//
#define PSL_HLP_MNUMUL                   ((long)0x480102F8L)

//
// MessageId: PSL_HLP_MNUSIN
//
// MessageText:
//
//  HLP_MNUSIN,Select desired option
//
#define PSL_HLP_MNUSIN                   ((long)0x480102F9L)

//
// MessageId: PSL_HLP_UPDATE
//
// MessageText:
//
//  HLP_UPDATE,Press any key to update the screen
//
#define PSL_HLP_UPDATE                   ((long)0x480102FAL)

//
// MessageId: PSL_CLOSEIN
//
// MessageText:
//
//  CLOSEIN,Error Closing !AS as Input
//
#define PSL_CLOSEIN                      ((long)0x880103E9L)

//
// MessageId: PSL_CLOSEOUT
//
// MessageText:
//
//  CLOSEOUT,Error Closing !AS as Output
//
#define PSL_CLOSEOUT                     ((long)0x880103EAL)

//
// MessageId: PSL_INSNOTREP
//
// MessageText:
//
//  INSNOTREP,!AS Inserted not Replaced in !AS
//
#define PSL_INSNOTREP                    ((long)0x880103EBL)

//
// MessageId: PSL_LISTNOLINES
//
// MessageText:
//
//  LISTNOLINES,No Data Lines output to Listing File
//
#define PSL_LISTNOLINES                  ((long)0x880103ECL)

//
// MessageId: PSL_EMPTYIN
//
// MessageText:
//
//  EMPTYIN,Empty Input File !AS
//
#define PSL_EMPTYIN                      ((long)0x880103EDL)

//
// MessageId: PSL_TRMBUFFUL
//
// MessageText:
//
//  TRMBUFFUL,Terminal Output Buffer Full
//
#define PSL_TRMBUFFUL                    ((long)0x880103EEL)

//
// MessageId: PSL_TRMUNSUP
//
// MessageText:
//
//  TRMUNSUP,Terminal Function not Supported for this Terminal Type
//
#define PSL_TRMUNSUP                     ((long)0x880103EFL)

//
// MessageId: PSL_TOOMANYLOCKS
//
// MessageText:
//
//  TOOMANYLOCKS,Too Many Locks on Resource !AS, some ignored
//
#define PSL_TOOMANYLOCKS                 ((long)0x880103F0L)

//
// MessageId: PSL_NOAUDIT
//
// MessageText:
//
//  NOAUDIT,Old ATF file !AS missing, creating new one
//
#define PSL_NOAUDIT                      ((long)0x880103F1L)

//
// MessageId: PSL_DELNOTREP
//
// MessageText:
//
//  DELNOTREP,!AS Deleted not Replaced in !AS
//
#define PSL_DELNOTREP                    ((long)0x880103F2L)

//
// MessageId: PSL_NOMTCHFOU
//
// MessageText:
//
//  NOMTCHFOU,No Matches found for !AS in !AS
//
#define PSL_NOMTCHFOU                    ((long)0x880103F3L)

//
// MessageId: PSL_CDDEDDTINC
//
// MessageText:
//
//  CDDEDDTINC,CDD Edit String and Datatype are Incompatible
//
#define PSL_CDDEDDTINC                   ((long)0x880103F4L)

//
// MessageId: PSL_UNCONVCHARS
//
// MessageText:
//
//  UNCONVCHARS,Unconverted Characters in String
//
#define PSL_UNCONVCHARS                  ((long)0x880103F5L)

//
// MessageId: PSL_LISTINTERRUPT
//
// MessageText:
//
//  LISTINTERRUPT,Listing interrupted !SL time!%%S
//
#define PSL_LISTINTERRUPT                ((long)0x880103F6L)

//
// MessageId: PSL_VALBLK
//
// MessageText:
//
//  VALBLK,Bit map re-created. !SL block!%%S retrieved
//
#define PSL_VALBLK                       ((long)0x880103F7L)

//
// MessageId: PSL_VALITMERR
//
// MessageText:
//
//  VALITMERR,Error validating !AF in !AS - item deleted
//
#define PSL_VALITMERR                    ((long)0x880103F8L)

//
// MessageId: PSL_OPINCOMP
//
// MessageText:
//
//  OPINCOMP,!AS operation for !AS incomplete
//
#define PSL_OPINCOMP                     ((long)0x880103F9L)

//
// MessageId: PSL_AMBPROC
//
// MessageText:
//
//  AMBPROC,Ambiguous Process - !XL (!AS) running !AS Found
//
#define PSL_AMBPROC                      ((long)0x880103FAL)

//
// MessageId: PSL_IVKEYW
//
// MessageText:
//
//  IVKEYW,Unrecognized Keyword - check Validity and Spelling!/ \\!AS\\
//
#define PSL_IVKEYW                       ((long)0x880103FBL)

//
// MessageId: PSL_EXPIRY
//
// MessageText:
//
//  EXPIRY,Warning - Your rental agreement expires on !AS
//
#define PSL_EXPIRY                       ((long)0x880103FCL)

//
// MessageId: PSL_EXPRDWRN
//
// MessageText:
//
//  EXPRDWRN,Your rental agreement expired on !AS
//
#define PSL_EXPRDWRN                     ((long)0x880103FDL)

//
// MessageId: PSL_NOMCHLICWRN
//
// MessageText:
//
//  NOMCHLICWRN,Please Note - You are not licensed to run on this machine
//
#define PSL_NOMCHLICWRN                  ((long)0x880103FEL)

//
// MessageId: PSL_DUPSCRNAM
//
// MessageText:
//
//  DUPSCRNAM,Duplicate screen image name !AS written as !AS
//
#define PSL_DUPSCRNAM                    ((long)0x880103FFL)

//
// MessageId: PSL_NOECHO
//
// MessageText:
//
//  NOECHO,The Script Recording File Contained Non-echoed Input
//
#define PSL_NOECHO                       ((long)0x88010400L)

//
// MessageId: PSL_DATTIMWRN
//
// MessageText:
//
//  DATTIMWRN,!AS Date/Time is !AS !AS Date/Time
//
#define PSL_DATTIMWRN                    ((long)0x88010401L)

//
// MessageId: PSL_INVCMD
//
// MessageText:
//
//  INVCMD,!AS
//
#define PSL_INVCMD                       ((long)0x88010402L)

//
// MessageId: PSL_IVQUAL
//
// MessageText:
//
//  IVQUAL,Unrecognized qualifier - check validity, spelling and placement!/ \\!AS\\
//
#define PSL_IVQUAL                       ((long)0x88010403L)

//
// MessageId: PSL_MAXPARM
//
// MessageText:
//
//  MAXPARM,Too many parameters - reenter command with fewer parameters!/ \\!AS\\
//
#define PSL_MAXPARM                      ((long)0x88010404L)

//
// MessageId: PSL_NOLIST
//
// MessageText:
//
//  NOLIST,List of parameter values not allowed - check use of comma (,)!/ \\!AS\\
//
#define PSL_NOLIST                       ((long)0x88010405L)

//
// MessageId: PSL_NOPAREN
//
// MessageText:
//
//  NOPAREN,Value improperly delimited - supply parentheses!/ \\!AS\\
//
#define PSL_NOPAREN                      ((long)0x88010406L)

//
// MessageId: PSL_NOTNEG
//
// MessageText:
//
//  NOTNEG,Qualifier or keyword not negatable - remove 'NO' or omit!/ \\!AS\\
//
#define PSL_NOTNEG                       ((long)0x88010407L)

//
// MessageId: PSL_NOVALU
//
// MessageText:
//
//  NOVALU,Value not allowed - remove value specification!/ \\!AS\\
//
#define PSL_NOVALU                       ((long)0x88010408L)

//
// MessageId: PSL_NULFIL
//
// MessageText:
//
//  NULFIL,Missing or invalid file specification - respecify
//
#define PSL_NULFIL                       ((long)0x88010409L)

//
// MessageId: PSL_NUMBER
//
// MessageText:
//
//  NUMBER,Invalid numeric value - supply an integer!/ \\!AS\\
//
#define PSL_NUMBER                       ((long)0x8801040AL)

//
// MessageId: PSL_ONEVAL
//
// MessageText:
//
//  ONEVAL,List of values not allowed - check use of comma (,)!/ \\!AS\\
//
#define PSL_ONEVAL                       ((long)0x8801040BL)

//
// MessageId: PSL_VALREQ
//
// MessageText:
//
//  VALREQ,Missing qualifier or keyword value - supply all required values!/ \\!AS\\
//
#define PSL_VALREQ                       ((long)0x8801040CL)

//
// MessageId: PSL_HEXNUMBER
//
// MessageText:
//
//  HEXNUMBER,Invalid hexadecimal value!/ \\!AS\\
//
#define PSL_HEXNUMBER                    ((long)0x8801040DL)

//
// MessageId: PSL_INSFPRM
//
// MessageText:
//
//  INSFPRM,Missing command parameters - supply all required parameters
//
#define PSL_INSFPRM                      ((long)0x8801040EL)

//
// MessageId: PSL_ABKEYW
//
// MessageText:
//
//  ABKEYW,Ambiguous qualifier or keyword - supply more characters!/ \\!AS\\
//
#define PSL_ABKEYW                       ((long)0x8801040FL)

//
// MessageId: PSL_IVSWIT
//
// MessageText:
//
//  IVSWIT,Unrecognized switch - check validity!/ \\!AS\\
//
#define PSL_IVSWIT                       ((long)0x88010410L)

//
// MessageId: PSL_VALREQU
//
// MessageText:
//
//  VALREQU,Missing switch or keyword value - supply all required values!/ \\!AS\\
//
#define PSL_VALREQU                      ((long)0x88010411L)

//
// MessageId: PSL_CONFLICT
//
// MessageText:
//
//  CONFLICT,Illegal combination of command elements - check documentation!/ !AS
//
#define PSL_CONFLICT                     ((long)0x88010412L)

//
// MessageId: PSL_DATTIMBEFSTRT
//
// MessageText:
//
//  DATTIMBEFSTRT,Specified Start Date/Time is Before Actual Start Date/Time
//
#define PSL_DATTIMBEFSTRT                ((long)0x88010413L)

//
// MessageId: PSL_DATTIMAFTEND
//
// MessageText:
//
//  DATTIMAFTEND,Specified End Date/Time is After Actual End Date/Time
//
#define PSL_DATTIMAFTEND                 ((long)0x88010414L)

//
// MessageId: PSL_TRMNORESIZE
//
// MessageText:
//
//  TRMNORESIZE,Cannot Resize Terminal - Screen Display is Truncated
//
#define PSL_TRMNORESIZE                  ((long)0x88010415L)

//
// MessageId: PSL_NODPIDRUN
//
// MessageText:
//
//  NODPIDRUN,The data path intercept daemon (dpid) is not running
//
#define PSL_NODPIDRUN                    ((long)0x88010416L)

//
// MessageId: PSL_STRNOPCKT
//
// MessageText:
//
//  STRNOPCKT,Unable to locate the STREAMS {psl}pckt module
//
#define PSL_STRNOPCKT                    ((long)0x88010417L)

//
// MessageId: PSL_NOREF
//
// MessageText:
//
//  NOREF,'!AS': unreferenced !AS
//
#define PSL_NOREF                        ((long)0x88010418L)

//
// MessageId: PSL_LISTABORT
//
// MessageText:
//
//  LISTABORT,Listing output aborted
//
#define PSL_LISTABORT                    ((long)0xC80105DDL)

//
// MessageId: PSL_LISTNOTINI
//
// MessageText:
//
//  LISTNOTINI,Listing not Initialized
//
#define PSL_LISTNOTINI                   ((long)0xC80105DEL)

//
// MessageId: PSL_NOMATCH
//
// MessageText:
//
//  NOMATCH,String does not match boilerplate
//
#define PSL_NOMATCH                      ((long)0xC80105DFL)

//
// MessageId: PSL_ENDMATCH
//
// MessageText:
//
//  ENDMATCH,String follows all possible matches for boilerplate
//
#define PSL_ENDMATCH                     ((long)0xC80105E0L)

//
// MessageId: PSL_INVKEYWRD
//
// MessageText:
//
//  INVKEYWRD,Invalid Keyword
//
#define PSL_INVKEYWRD                    ((long)0xC80105E1L)

//
// MessageId: PSL_ITEMEXISTS
//
// MessageText:
//
//  ITEMEXISTS,Error inserting !AS - Item already exists in library !AS
//
#define PSL_ITEMEXISTS                   ((long)0xC80105E2L)

//
// MessageId: PSL_INVCNV
//
// MessageText:
//
//  INVCNV,Library file !AS does not require converting
//
#define PSL_INVCNV                       ((long)0xC80105E3L)

//
// MessageId: PSL_UNLOCKERR
//
// MessageText:
//
//  UNLOCKERR,Error Unlocking !AS
//
#define PSL_UNLOCKERR                    ((long)0xC80105E4L)

//
// MessageId: PSL_CDDUNSREC
//
// MessageText:
//
//  CDDUNSREC,CDD record contains unsupported element
//
#define PSL_CDDUNSREC                    ((long)0xC80105E5L)

//
// MessageId: PSL_CDDBADBUF
//
// MessageText:
//
//  CDDBADBUF,Bad CDD buffer format
//
#define PSL_CDDBADBUF                    ((long)0xC80105E6L)

//
// MessageId: PSL_CDDBADEDITSTR
//
// MessageText:
//
//  CDDBADEDITSTR,Bad CDD edit string
//
#define PSL_CDDBADEDITSTR                ((long)0xC80105E7L)

//
// MessageId: PSL_BADRECSIZ
//
// MessageText:
//
//  BADRECSIZ,Source Line is Too Long
//
#define PSL_BADRECSIZ                    ((long)0xC80105E8L)

//
// MessageId: PSL_CONFKEYWRD
//
// MessageText:
//
//  CONFKEYWRD,Conflicting Keywords specified
//
#define PSL_CONFKEYWRD                   ((long)0xC80105E9L)

//
// MessageId: PSL_CONTERR
//
// MessageText:
//
//  CONTERR,Continuation Character is not the last item on line
//
#define PSL_CONTERR                      ((long)0xC80105EAL)

//
// MessageId: PSL_DUPKEYWRD
//
// MessageText:
//
//  DUPKEYWRD,Duplicated Keyword
//
#define PSL_DUPKEYWRD                    ((long)0xC80105EBL)

//
// MessageId: PSL_EXTTXT
//
// MessageText:
//
//  EXTTXT,Unexpected Text Encountered Following Statement
//
#define PSL_EXTTXT                       ((long)0xC80105ECL)

//
// MessageId: PSL_PREMEOF
//
// MessageText:
//
//  PREMEOF,Unexpected End of File Encountered
//
#define PSL_PREMEOF                      ((long)0xC80105EDL)

//
// MessageId: PSL_PREMEOL
//
// MessageText:
//
//  PREMEOL,Unexpected End of Line Encountered
//
#define PSL_PREMEOL                      ((long)0xC80105EEL)

//
// MessageId: PSL_SYNTAXERR
//
// MessageText:
//
//  SYNTAXERR,Syntax Error
//
#define PSL_SYNTAXERR                    ((long)0xC80105EFL)

//
// MessageId: PSL_CDDARRAY
//
// MessageText:
//
//  CDDARRAY,CDD Element !AS has Array Attribute
//
#define PSL_CDDARRAY                     ((long)0xC80105F0L)

//
// MessageId: PSL_EXTTXT_AT
//
// MessageText:
//
//  EXTTXT_AT,Unexpected Text Encountered Following Statement at or near !AS
//
#define PSL_EXTTXT_AT                    ((long)0xC80105F2L)

//
// MessageId: PSL_PREMEOF_AT
//
// MessageText:
//
//  PREMEOF_AT,Unexpected End of File Encountered at or near !AS
//
#define PSL_PREMEOF_AT                   ((long)0xC80105F3L)

//
// MessageId: PSL_PREMEOL_AT
//
// MessageText:
//
//  PREMEOL_AT,Unexpected End of Line Encountered at or near !AS
//
#define PSL_PREMEOL_AT                   ((long)0xC80105F4L)

//
// MessageId: PSL_SYNTAXERR_AT
//
// MessageText:
//
//  SYNTAXERR_AT,Syntax Error at or near !AS
//
#define PSL_SYNTAXERR_AT                 ((long)0xC80105F5L)

//
// MessageId: PSL_INVKEYWRD_AT
//
// MessageText:
//
//  INVKEYWRD_AT,Invalid Keyword at or near !AS
//
#define PSL_INVKEYWRD_AT                 ((long)0xC80105F6L)

//
// MessageId: PSL_CONTERR_AT
//
// MessageText:
//
//  CONTERR_AT,Continuation Character & is not the last item on line at or near !AS
//
#define PSL_CONTERR_AT                   ((long)0xC80105F7L)

//
// MessageId: PSL_INSITMERR
//
// MessageText:
//
//  INSITMERR,Error inserting !AS into !AS
//
#define PSL_INSITMERR                    ((long)0xC80105F8L)

//
// MessageId: PSL_INVITM
//
// MessageText:
//
//  INVITM,Item header/code corrupted
//
#define PSL_INVITM                       ((long)0xC80105F9L)

//
// MessageId: PSL_INVNAME
//
// MessageText:
//
//  INVNAME,Invalid name in header
//
#define PSL_INVNAME                      ((long)0xC80105FAL)

//
// MessageId: PSL_DELITMERR
//
// MessageText:
//
//  DELITMERR,Error deleting !AS from !AS
//
#define PSL_DELITMERR                    ((long)0xC80105FBL)

//
// MessageId: PSL_EXTITMERR
//
// MessageText:
//
//  EXTITMERR,Error extracting !AS from !AS
//
#define PSL_EXTITMERR                    ((long)0xC80105FCL)

//
// MessageId: PSL_GENITMERR
//
// MessageText:
//
//  GENITMERR,Error generating !AS from !AS
//
#define PSL_GENITMERR                    ((long)0xC80105FDL)

//
// MessageId: PSL_REPITMERR
//
// MessageText:
//
//  REPITMERR,Error replacing !AS in !AS
//
#define PSL_REPITMERR                    ((long)0xC80105FEL)

//
// MessageId: PSL_BADITMVER
//
// MessageText:
//
//  BADITMVER,Item has an invalid version number
//
#define PSL_BADITMVER                    ((long)0xC80105FFL)

//
// MessageId: PSL_INVPRDCOD
//
// MessageText:
//
//  INVPRDCOD,Invalid Product Code
//
#define PSL_INVPRDCOD                    ((long)0xC8010601L)

//
// MessageId: PSL_INVPRDNAM
//
// MessageText:
//
//  INVPRDNAM,Invalid Product Name
//
#define PSL_INVPRDNAM                    ((long)0xC8010602L)

//
// MessageId: PSL_RECNOTFOU
//
// MessageText:
//
//  RECNOTFOU,Record not Found
//
#define PSL_RECNOTFOU                    ((long)0xC8010603L)

//
// MessageId: PSL_MONITORERR
//
// MessageText:
//
//  MONITORERR,Failed to Monitor terminal !AS
//
#define PSL_MONITORERR                   ((long)0xC8010604L)

//
// MessageId: PSL_RECORDERR
//
// MessageText:
//
//  RECORDERR,Failed to Record terminal !AS
//
#define PSL_RECORDERR                    ((long)0xC8010605L)

//
// MessageId: PSL_STOPRECERR
//
// MessageText:
//
//  STOPRECERR,Failed to stop recording !AS
//
#define PSL_STOPRECERR                   ((long)0xC8010606L)

//
// MessageId: PSL_SUSPRECERR
//
// MessageText:
//
//  SUSPRECERR,Failed to suspend recording terminal !AS
//
#define PSL_SUSPRECERR                   ((long)0xC8010607L)

//
// MessageId: PSL_RESRECERR
//
// MessageText:
//
//  RESRECERR,Failed to resume recording terminal !AS
//
#define PSL_RESRECERR                    ((long)0xC8010608L)

//
// MessageId: PSL_INVLISTCTX
//
// MessageText:
//
//  INVLISTCTX,Invalid Listing Context Value
//
#define PSL_INVLISTCTX                   ((long)0xC8010609L)

//
// MessageId: PSL_FILNOTFOU
//
// MessageText:
//
//  FILNOTFOU,File not Found
//
#define PSL_FILNOTFOU                    ((long)0xC801060AL)

//
// MessageId: PSL_ENDOFFILE
//
// MessageText:
//
//  ENDOFFILE,End of File
//
#define PSL_ENDOFFILE                    ((long)0xC801060BL)

//
// MessageId: PSL_UNIXERR
//
// MessageText:
//
//  UNIXERR,!AS
//
#define PSL_UNIXERR                      ((long)0xC801060CL)

//
// MessageId: PSL_STDCERR
//
// MessageText:
//
//  STDCERR,!AS
//
#define PSL_STDCERR                      ((long)0xC801060DL)

//
// MessageId: PSL_FILEERR
//
// MessageText:
//
//  FILEERR,'!AS'
//
#define PSL_FILEERR                      ((long)0xC801060EL)

//
// MessageId: PSL_CTMERR
//
// MessageText:
//
//  CTMERR,'!AS'
//
#define PSL_CTMERR                       ((long)0xC801060FL)

//
// MessageId: PSL_MODITMERR
//
// MessageText:
//
//  MODITMERR,Error modifying !AS in !AS
//
#define PSL_MODITMERR                    ((long)0xC8010610L)

//
// MessageId: PSL_CNFCHRVAL
//
// MessageText:
//
//  CNFCHRVAL,Conflicting Command and Control Character Values
//
#define PSL_CNFCHRVAL                    ((long)0xC8010611L)

//
// MessageId: PSL_CODOUTRANGE
//
// MessageText:
//
//  CODOUTRANGE,Hexadecimal Character Code Out of Range. Valid range zero to FF
//
#define PSL_CODOUTRANGE                  ((long)0xC8010612L)

//
// MessageId: PSL_INVCHRCMND
//
// MessageText:
//
//  INVCHRCMND,Invalid Character Command
//
#define PSL_INVCHRCMND                   ((long)0xC8010613L)

//
// MessageId: PSL_INVCHRINSTR
//
// MessageText:
//
//  INVCHRINSTR,Invalid Character in String
//
#define PSL_INVCHRINSTR                  ((long)0xC8010614L)

//
// MessageId: PSL_INVCHRTER
//
// MessageText:
//
//  INVCHRTER,Invalid Character Command Terminator
//
#define PSL_INVCHRTER                    ((long)0xC8010615L)

//
// MessageId: PSL_INVCTRLSPEC
//
// MessageText:
//
//  INVCTRLSPEC,Invalid Control Character Specifier
//
#define PSL_INVCTRLSPEC                  ((long)0xC8010616L)

//
// MessageId: PSL_INVCYCVAL
//
// MessageText:
//
//  INVCYCVAL,Invalid Cycle Value Specified
//
#define PSL_INVCYCVAL                    ((long)0xC8010617L)

//
// MessageId: PSL_INVFKEY
//
// MessageText:
//
//  INVFKEY,Invalid Function Key Definition
//
#define PSL_INVFKEY                      ((long)0xC8010618L)

//
// MessageId: PSL_INVFKEYTER
//
// MessageText:
//
//  INVFKEYTER,Invalid Function Key Terminator
//
#define PSL_INVFKEYTER                   ((long)0xC8010619L)

//
// MessageId: PSL_INVINTERVAL
//
// MessageText:
//
//  INVINTERVAL,Invalid Interval Value specified - Range is 1 to 3600
//
#define PSL_INVINTERVAL                  ((long)0xC801061AL)

//
// MessageId: PSL_INVOPT
//
// MessageText:
//
//  INVOPT,Invalid Option
//
#define PSL_INVOPT                       ((long)0xC801061BL)

//
// MessageId: PSL_MISOPT
//
// MessageText:
//
//  MISOPT,Missing Option
//
#define PSL_MISOPT                       ((long)0xC801061CL)

//
// MessageId: PSL_BADWIDTH
//
// MessageText:
//
//  BADWIDTH,Invalid Width Value
//
#define PSL_BADWIDTH                     ((long)0xC801061DL)

//
// MessageId: PSL_NOELIGTERMS
//
// MessageText:
//
//  NOELIGTERMS,No eligible terminals match the selection criteria
//
#define PSL_NOELIGTERMS                  ((long)0xC801061EL)

//
// MessageId: PSL_BADCOND
//
// MessageText:
//
//  BADCOND,Invalid conditional compilation structure on line !UL of !AS
//
#define PSL_BADCOND                      ((long)0xC801061FL)

//
// MessageId: PSL_BADINCNAME
//
// MessageText:
//
//  BADINCNAME,Invalid Include filename on line !UL of !AS
//
#define PSL_BADINCNAME                   ((long)0xC8010620L)

//
// MessageId: PSL_EXCONDDEPTH
//
// MessageText:
//
//  EXCONDDEPTH,Exceeded allowed depth of conditional compilation nesting on line !UL of !AS
//
#define PSL_EXCONDDEPTH                  ((long)0xC8010621L)

//
// MessageId: PSL_EXINCDEPTH
//
// MessageText:
//
//  EXINCDEPTH,Exceeded allowed depth of INCLUDE nesting on line !UL of !AS
//
#define PSL_EXINCDEPTH                   ((long)0xC8010622L)

//
// MessageId: PSL_MISCONDEND
//
// MessageText:
//
//  MISCONDEND,!UL missing #ENDIF directive!%%S in !AS
//
#define PSL_MISCONDEND                   ((long)0xC8010623L)

//
// MessageId: PSL_DESCRTOOLONG
//
// MessageText:
//
//  DESCRTOOLONG,Description too long
//
#define PSL_DESCRTOOLONG                 ((long)0xC8010624L)

//
// MessageId: PSL_DEVNOTINUSE
//
// MessageText:
//
//  DEVNOTINUSE,Device !AS not in use
//
#define PSL_DEVNOTINUSE                  ((long)0xC8010625L)

//
// MessageId: PSL_USERNOTFOU
//
// MessageText:
//
//  USERNOTFOU,Username !AS not found on node !AS
//
#define PSL_USERNOTFOU                   ((long)0xC8010626L)

//
// MessageId: PSL_CNFDUPOPT
//
// MessageText:
//
//  CNFDUPOPT,Conflicting or Duplicate Option
//
#define PSL_CNFDUPOPT                    ((long)0xC8010627L)

//
// MessageId: PSL_BADDESCR
//
// MessageText:
//
//  BADDESCR,Invalid Description
//
#define PSL_BADDESCR                     ((long)0xC8010628L)

//
// MessageId: PSL_READLNKERR
//
// MessageText:
//
//  READLNKERR,Failed to read from Link to Port !AS on Node !AS
//
#define PSL_READLNKERR                   ((long)0xC8010629L)

//
// MessageId: PSL_WRITELNKERR
//
// MessageText:
//
//  WRITELNKERR,Failed to Write to Link to Port !AS on Node !AS
//
#define PSL_WRITELNKERR                  ((long)0xC801062AL)

//
// MessageId: PSL_LNKREJECTED
//
// MessageText:
//
//  LNKREJECTED,Link Connection Rejected by the Remote Port
//
#define PSL_LNKREJECTED                  ((long)0xC801062BL)

//
// MessageId: PSL_SDBINVALID
//
// MessageText:
//
//  SDBINVALID,Security database is invalid - possible security breach
//
#define PSL_SDBINVALID                   ((long)0xC801062CL)

//
// MessageId: PSL_TRMTOOSMALL
//
// MessageText:
//
//  TRMTOOSMALL,Terminal is too small to display utility
//
#define PSL_TRMTOOSMALL                  ((long)0xC801062DL)

//
// MessageId: PSL_USERERROR
//
// MessageText:
//
//  USERERROR,!AS
//
#define PSL_USERERROR                    ((long)0xC801062EL)

//
// MessageId: PSL_BADERRMSG
//
// MessageText:
//
//  BADERRMSG,Invalid error message on line !UL of !AS
//
#define PSL_BADERRMSG                    ((long)0xC801062FL)

//
// MessageId: PSL_STRNOTCTRL
//
// MessageText:
//
//  STRNOTCTRL,Stream is not the controlling terminal
//
#define PSL_STRNOTCTRL                   ((long)0xC8010630L)

//
// MessageId: PSL_BADLIBVER
//
// MessageText:
//
//  BADLIBVER,Library Requires conversion
//
#define PSL_BADLIBVER                    ((long)0xC80107D1L)

//
// MessageId: PSL_BADUTLVER
//
// MessageText:
//
//  BADUTLVER,Utility of lower release number than Library file
//
#define PSL_BADUTLVER                    ((long)0xC80107D2L)

//
// MessageId: PSL_INVFILFMT
//
// MessageText:
//
//  INVFILFMT,Invalid File Format
//
#define PSL_INVFILFMT                    ((long)0xC80107D3L)

//
// MessageId: PSL_ENDABORT
//
// MessageText:
//
//  ENDABORT,!AS Compilation Aborted
//
#define PSL_ENDABORT                     ((long)0xC80107D4L)

//
// MessageId: PSL_EXISTS
//
// MessageText:
//
//  EXISTS,!AS Already Exists
//
#define PSL_EXISTS                       ((long)0xC80107D5L)

//
// MessageId: PSL_SYNTAX
//
// MessageText:
//
//  SYNTAX,Error Parsing '!AS'
//
#define PSL_SYNTAX                       ((long)0xC80107D6L)

//
// MessageId: PSL_FILNOTDEL
//
// MessageText:
//
//  FILNOTDEL,Error Deleting !AS
//
#define PSL_FILNOTDEL                    ((long)0xC80107D7L)

//
// MessageId: PSL_EXCSEL
//
// MessageText:
//
//  EXCSEL,Too many select options specified
//
#define PSL_EXCSEL                       ((long)0xC80107D8L)

//
// MessageId: PSL_OPENIN
//
// MessageText:
//
//  OPENIN,Error Opening !AS as Input
//
#define PSL_OPENIN                       ((long)0xC80107D9L)

//
// MessageId: PSL_OPENOUT
//
// MessageText:
//
//  OPENOUT,Error Opening !AS as Output
//
#define PSL_OPENOUT                      ((long)0xC80107DAL)

//
// MessageId: PSL_OPENAPP
//
// MessageText:
//
//  OPENAPP,Error Opening !AS for Append
//
#define PSL_OPENAPP                      ((long)0xC80107DBL)

//
// MessageId: PSL_READERR
//
// MessageText:
//
//  READERR,Error Reading !AS
//
#define PSL_READERR                      ((long)0xC80107DCL)

//
// MessageId: PSL_READBLKERR
//
// MessageText:
//
//  READBLKERR,Error Reading !AS, Block Number !SL
//
#define PSL_READBLKERR                   ((long)0xC80107DDL)

//
// MessageId: PSL_READIDXERR
//
// MessageText:
//
//  READIDXERR,Error Reading !AS, Key !AS
//
#define PSL_READIDXERR                   ((long)0xC80107DEL)

//
// MessageId: PSL_READRELERR
//
// MessageText:
//
//  READRELERR,Error Reading !AS, Record Number !SL
//
#define PSL_READRELERR                   ((long)0xC80107DFL)

//
// MessageId: PSL_WRITEERR
//
// MessageText:
//
//  WRITEERR,Error Writing !AS
//
#define PSL_WRITEERR                     ((long)0xC80107E0L)

//
// MessageId: PSL_WRITEBLKERR
//
// MessageText:
//
//  WRITEBLKERR,Error Writing !AS, Block Number !SL
//
#define PSL_WRITEBLKERR                  ((long)0xC80107E1L)

//
// MessageId: PSL_WRITEIDXERR
//
// MessageText:
//
//  WRITEIDXERR,Error Writing !AS, Key !AS
//
#define PSL_WRITEIDXERR                  ((long)0xC80107E2L)

//
// MessageId: PSL_WRITERELERR
//
// MessageText:
//
//  WRITERELERR,Error Writing !AS, Record Number !SL
//
#define PSL_WRITERELERR                  ((long)0xC80107E3L)

//
// MessageId: PSL_UPDATEERR
//
// MessageText:
//
//  UPDATEERR,Error Updating !AS
//
#define PSL_UPDATEERR                    ((long)0xC80107E4L)

//
// MessageId: PSL_UPDATEIDXERR
//
// MessageText:
//
//  UPDATEIDXERR,Error Updating !AS, Key !AS
//
#define PSL_UPDATEIDXERR                 ((long)0xC80107E5L)

//
// MessageId: PSL_DELETEERR
//
// MessageText:
//
//  DELETEERR,Error Deleting Record from !AS
//
#define PSL_DELETEERR                    ((long)0xC80107E6L)

//
// MessageId: PSL_DELRELERR
//
// MessageText:
//
//  DELRELERR,Error Deleting from !AS, Record Number !SL
//
#define PSL_DELRELERR                    ((long)0xC80107E7L)

//
// MessageId: PSL_REWINDERR
//
// MessageText:
//
//  REWINDERR,Error rewinding !AS
//
#define PSL_REWINDERR                    ((long)0xC80107E8L)

//
// MessageId: PSL_SYSERVERR
//
// MessageText:
//
//  SYSERVERR,Unexpected Status Returned from !AS
//
#define PSL_SYSERVERR                    ((long)0xC80107E9L)

//
// MessageId: PSL_BADTYPE
//
// MessageText:
//
//  BADTYPE,Invalid Terminal Type Specified
//
#define PSL_BADTYPE                      ((long)0xC80107EAL)

//
// MessageId: PSL_BADTRMFNC
//
// MessageText:
//
//  BADTRMFNC,Invalid Terminal Function Specified
//
#define PSL_BADTRMFNC                    ((long)0xC80107EBL)

//
// MessageId: PSL_LIB_LOCKED
//
// MessageText:
//
//  LIB_LOCKED,Library !AS locked against shared access
//
#define PSL_LIB_LOCKED                   ((long)0xC80107ECL)

//
// MessageId: PSL_LIB_NOLOCK
//
// MessageText:
//
//  LIB_NOLOCK,Cannot get exclusive access to Library !AS
//
#define PSL_LIB_NOLOCK                   ((long)0xC80107EDL)

//
// MessageId: PSL_CDDATTERR
//
// MessageText:
//
//  CDDATTERR,Error Attaching to CDD
//
#define PSL_CDDATTERR                    ((long)0xC80107EEL)

//
// MessageId: PSL_CDDREADERR
//
// MessageText:
//
//  CDDREADERR,Error Reading !AS from CDD
//
#define PSL_CDDREADERR                   ((long)0xC80107EFL)

//
// MessageId: PSL_CDDUPDATEERR
//
// MessageText:
//
//  CDDUPDATEERR,Error Updating !AS in CDD
//
#define PSL_CDDUPDATEERR                 ((long)0xC80107F0L)

//
// MessageId: PSL_CDDWRITEERR
//
// MessageText:
//
//  CDDWRITEERR,Error Writing !AS to CDD
//
#define PSL_CDDWRITEERR                  ((long)0xC80107F1L)

//
// MessageId: PSL_CDDDELETEERR
//
// MessageText:
//
//  CDDDELETEERR,Error Deleting !AS from CDD
//
#define PSL_CDDDELETEERR                 ((long)0xC80107F2L)

//
// MessageId: PSL_BADRECFMT
//
// MessageText:
//
//  BADRECFMT,Unrecognised Record Format
//
#define PSL_BADRECFMT                    ((long)0xC80107F3L)

//
// MessageId: PSL_NOROOM
//
// MessageText:
//
//  NOROOM,No Room in Bit Mask for Specified Area
//
#define PSL_NOROOM                       ((long)0xC80107F4L)

//
// MessageId: PSL_BM_FULL
//
// MessageText:
//
//  BM_FULL,No room in bit map for !AS !AS
//
#define PSL_BM_FULL                      ((long)0xC80107F5L)

//
// MessageId: PSL_IVATIME
//
// MessageText:
//
//  IVATIME,Invalid Absolute Time - use DD-MMM-YYYY:HH:MM:SS.CC format!/ \\!AS\\
//
#define PSL_IVATIME                      ((long)0xC80107F6L)

//
// MessageId: PSL_NUMTOOBIG
//
// MessageText:
//
//  NUMTOOBIG,Number Too Big for User Buffer
//
#define PSL_NUMTOOBIG                    ((long)0xC80107F7L)

//
// MessageId: PSL_BADRADIX
//
// MessageText:
//
//  BADRADIX,Invalid Radix Specified
//
#define PSL_BADRADIX                     ((long)0xC80107F8L)

//
// MessageId: PSL_NOTCRE
//
// MessageText:
//
//  NOTCRE,Library !AS invalid.!/Produced by incomplete !AS operation
//
#define PSL_NOTCRE                       ((long)0xC80107F9L)

//
// MessageId: PSL_NOLICENCE
//
// MessageText:
//
//  NOLICENCE,Your temporary licence to use this product has expired.!/Please contact your distributor to obtain a renewal.
//
#define PSL_NOLICENCE                    ((long)0xC80107FAL)

//
// MessageId: PSL_ITM_SMALL
//
// MessageText:
//
//  ITM_SMALL,!AS parameter !UL too small - at least !UL required
//
#define PSL_ITM_SMALL                    ((long)0xC80107FBL)

//
// MessageId: PSL_INV_ITM
//
// MessageText:
//
//  INV_ITM,!AS parameter value !AS is out of range
//
#define PSL_INV_ITM                      ((long)0xC80107FCL)

//
// MessageId: PSL_IDX_FULL
//
// MessageText:
//
//  IDX_FULL,No room in index for !AS !AS
//
#define PSL_IDX_FULL                     ((long)0xC80107FDL)

//
// MessageId: PSL_BLOCK_SMALL
//
// MessageText:
//
//  BLOCK_SMALL,BLOCKS parameter !UL too small - at least !UL required
//
#define PSL_BLOCK_SMALL                  ((long)0xC80107FEL)

//
// MessageId: PSL_INV_BLK
//
// MessageText:
//
//  INV_BLK,BLOCKS parameter value !AS is out of range
//
#define PSL_INV_BLK                      ((long)0xC80107FFL)

//
// MessageId: PSL_EXCSRC
//
// MessageText:
//
//  EXCSRC,Too many source options specified
//
#define PSL_EXCSRC                       ((long)0xC8010800L)

//
// MessageId: PSL_BADPARAM
//
// MessageText:
//
//  BADPARAM,Bad Parameter Value
//
#define PSL_BADPARAM                     ((long)0xC8010801L)

//
// MessageId: PSL_INVPROTMASK
//
// MessageText:
//
//  INVPROTMASK,Invalid Protection Mask Specified
//
#define PSL_INVPROTMASK                  ((long)0xC8010802L)

//
// MessageId: PSL_TIMEOUT
//
// MessageText:
//
//  TIMEOUT,Device Timeout
//
#define PSL_TIMEOUT                      ((long)0xC8010803L)

//
// MessageId: PSL_INSVIRMEM
//
// MessageText:
//
//  INSVIRMEM,Insufficient Virtual Memory
//
#define PSL_INSVIRMEM                    ((long)0xC8010804L)

//
// MessageId: PSL_ILLNOPARAMS
//
// MessageText:
//
//  ILLNOPARAMS,Illegal Number of Parameters
//
#define PSL_ILLNOPARAMS                  ((long)0xC8010805L)

//
// MessageId: PSL_NOACCESS
//
// MessageText:
//
//  NOACCESS,Required access not granted
//
#define PSL_NOACCESS                     ((long)0xC8010806L)

//
// MessageId: PSL_EXPIRED
//
// MessageText:
//
//  EXPIRED,Your rental agreement expired on !AS
//
#define PSL_EXPIRED                      ((long)0xC8010807L)

//
// MessageId: PSL_NOOPTLIC
//
// MessageText:
//
//  NOOPTLIC,You are not licensed to use this option
//
#define PSL_NOOPTLIC                     ((long)0xC8010808L)

//
// MessageId: PSL_NOMCHLIC
//
// MessageText:
//
//  NOMCHLIC,You are not licensed to run on this machine
//
#define PSL_NOMCHLIC                     ((long)0xC8010809L)

//
// MessageId: PSL_NODEVLIC
//
// MessageText:
//
//  NODEVLIC,Development terminal licence count exceeded
//
#define PSL_NODEVLIC                     ((long)0xC801080AL)

//
// MessageId: PSL_EXCTRMLIC
//
// MessageText:
//
//  EXCTRMLIC,Licenced terminal count exceeded.!/Please contact your distributor.
//
#define PSL_EXCTRMLIC                    ((long)0xC801080BL)

//
// MessageId: PSL_INVSERIAL
//
// MessageText:
//
//  INVSERIAL,Invalid Serial Number - Format !AS
//
#define PSL_INVSERIAL                    ((long)0xC801080CL)

//
// MessageId: PSL_VRFNOPLAYBACK
//
// MessageText:
//
//  VRFNOPLAYBACK,Recording file !AS may not be Played back
//
#define PSL_VRFNOPLAYBACK                ((long)0xC801080DL)

//
// MessageId: PSL_VRFNOLIST
//
// MessageText:
//
//  VRFNOLIST,Recording file !AS may not be Listed
//
#define PSL_VRFNOLIST                    ((long)0xC801080EL)

//
// MessageId: PSL_VRFNOOUTDATA
//
// MessageText:
//
//  VRFNOOUTDATA,No output data
//
#define PSL_VRFNOOUTDATA                 ((long)0xC801080FL)

//
// MessageId: PSL_PSLINSTPRG
//
// MessageText:
//
//  PSLINSTPRG,CYRANO installation in progress
//
#define PSL_PSLINSTPRG                   ((long)0xC8010810L)

//
// MessageId: PSL_FDRINTERR
//
// MessageText:
//
//  FDRINTERR,!AS
//
#define PSL_FDRINTERR                    ((long)0xC8010811L)

//
// MessageId: PSL_INSVRFDATA
//
// MessageText:
//
//  INSVRFDATA,Insufficient Data in Specified Recording File(s)
//
#define PSL_INSVRFDATA                   ((long)0xC8010812L)

//
// MessageId: PSL_NOTVAXIMG
//
// MessageText:
//
//  NOTVAXIMG,Image is not an OpenVMS VAX image
//
#define PSL_NOTVAXIMG                    ((long)0xC8010813L)

//
// MessageId: PSL_NOTAXPIMG
//
// MessageText:
//
//  NOTAXPIMG,Image is not an OpenVMS Alpha image
//
#define PSL_NOTAXPIMG                    ((long)0xC8010814L)

//
// MessageId: PSL_NOTDECCRT
//
// MessageText:
//
//  NOTDECCRT,Device requires DEC_CRT capability for this operation
//
#define PSL_NOTDECCRT                    ((long)0xC8010815L)

//
// MessageId: PSL_INVPLATFORM
//
// MessageText:
//
//  INVPLATFORM,Security database !AS not created on !AS platform
//
#define PSL_INVPLATFORM                  ((long)0xC8010816L)

//
// MessageId: PSL_CURSES
//
// MessageText:
//
//  CURSES,Curses routine error
//
#define PSL_CURSES                       ((long)0xC8010817L)

//
// MessageId: PSL_FACNOEXISTS
//
// MessageText:
//
//  FACNOEXISTS,Facility does not exists
//
#define PSL_FACNOEXISTS                  ((long)0xC8010818L)

//
// MessageId: PSL_NOTRANENV
//
// MessageText:
//
//  NOTRANENV,No translation for environment variable !AS
//
#define PSL_NOTRANENV                    ((long)0xC8010819L)

//
// MessageId: PSL_SIGTERMPRC
//
// MessageText:
//
//  SIGTERMPRC,Process terminated by signal !L
//
#define PSL_SIGTERMPRC                   ((long)0xC801081AL)

//
// MessageId: PSL_LSTOPENOUT
//
// MessageText:
//
//  LSTOPENOUT,!AS
//
#define PSL_LSTOPENOUT                   ((long)0xC801081BL)

//
// MessageId: PSL_LSTCLOSEOUT
//
// MessageText:
//
//  LSTCLOSEOUT,!AS
//
#define PSL_LSTCLOSEOUT                  ((long)0xC801081CL)

//
// MessageId: PSL_LSTWRITEERR
//
// MessageText:
//
//  LSTWRITEERR,!AS
//
#define PSL_LSTWRITEERR                  ((long)0xC801081DL)

//
// MessageId: PSL_CLDTABCORRUPT
//
// MessageText:
//
//  CLDTABCORRUPT,CLD Table Corruption detected in !AS
//
#define PSL_CLDTABCORRUPT                ((long)0xC801081EL)

//
// MessageId: PSL_NOTRMTYP
//
// MessageText:
//
//  NOTRMTYP,Recording !AS created with unknown terminal type
//
#define PSL_NOTRMTYP                     ((long)0xC801081FL)

//
// MessageId: PSL_NOPRIV
//
// MessageText:
//
//  NOPRIV,No privilege for attempted operation
//
#define PSL_NOPRIV                       ((long)0xC8010820L)

//
// MessageId: PSL_NOPSUSER
//
// MessageText:
//
//  NOPSUSER,Error accessing PS File !AS
//
#define PSL_NOPSUSER                     ((long)0xC8010821L)

//
// MessageId: PSL_INVDATIM
//
// MessageText:
//
//  INVDATIM,Specified end date/time before start date/time
//
#define PSL_INVDATIM                     ((long)0xC8010822L)

//
// MessageId: PSL_MISSFNKEYDEF
//
// MessageText:
//
//  MISSFNKEYDEF,No function key definition for !AS
//
#define PSL_MISSFNKEYDEF                 ((long)0xC8010823L)

//
// MessageId: PSL_MISSTRM
//
// MessageText:
//
//  MISSTRM,No terminal entry in terminfo database for !AS
//
#define PSL_MISSTRM                      ((long)0xC8010824L)

//
// MessageId: PSL_ABORT
//
// MessageText:
//
//  ABORT,Aborted
//
#define PSL_ABORT                        ((long)0xC8010825L)

//
// MessageId: PSL_BADVALUE
//
// MessageText:
//
//  BADVALUE,Invalid !AS Value
//
#define PSL_BADVALUE                     ((long)0xC8010826L)

//
// MessageId: PSL_EXCEPTION
//
// MessageText:
//
//  EXCEPTION,Fatal Exception Error Occurred
//
#define PSL_EXCEPTION                    ((long)0xC8010827L)

//
// MessageId: PSL_NORECSEL
//
// MessageText:
//
//  NORECSEL,No Records Satisfy Specified Selection
//
#define PSL_NORECSEL                     ((long)0xC8010828L)

//
// MessageId: PSL_NOTRECORDING
//
// MessageText:
//
//  NOTRECORDING,Device not being recorded
//
#define PSL_NOTRECORDING                 ((long)0xC8010829L)

//
// MessageId: PSL_RECNOTYOURS
//
// MessageText:
//
//  RECNOTYOURS,Recording not started by current user
//
#define PSL_RECNOTYOURS                  ((long)0xC801082AL)

//
// MessageId: PSL_SELEXCMAX
//
// MessageText:
//
//  SELEXCMAX,Selection of !AS exceeded - Maximum !UL
//
#define PSL_SELEXCMAX                    ((long)0xC801082BL)

//
// MessageId: PSL_BADDATIM
//
// MessageText:
//
//  BADDATIM,!AS Date/Time is !AS !AS Date/Time
//
#define PSL_BADDATIM                     ((long)0xC801082CL)

//
// MessageId: PSL_BMFULL
//
// MessageText:
//
//  BMFULL,No room in bit map - Library compression recommended
//
#define PSL_BMFULL                       ((long)0xC801082DL)

//
// MessageId: PSL_IDXFULL
//
// MessageText:
//
//  IDXFULL,No room in index - Library compression recommended
//
#define PSL_IDXFULL                      ((long)0xC801082EL)

//
// MessageId: PSL_RENAMEERR
//
// MessageText:
//
//  RENAMEERR,Error Renaming !AS
//
#define PSL_RENAMEERR                    ((long)0xC801082FL)

//
// MessageId: PSL_NOROOMSTR
//
// MessageText:
//
//  NOROOMSTR,No Room in master string for replacement string
//
#define PSL_NOROOMSTR                    ((long)0xC8010830L)

//
// MessageId: PSL_NOSCDDEF
//
// MessageText:
//
//  NOSCDDEF,File does not contain defaults information
//
#define PSL_NOSCDDEF                     ((long)0xC8010831L)

//
// MessageId: PSL_MULALLOCBLK
//
// MessageText:
//
//  MULALLOCBLK,Multiply allocated blocks detected
//
#define PSL_MULALLOCBLK                  ((long)0xC8010832L)

//
// MessageId: PSL_INVINDEX
//
// MessageText:
//
//  INVINDEX,Invalid index entry detected
//
#define PSL_INVINDEX                     ((long)0xC8010833L)

//
// MessageId: PSL_UNEXPMSG
//
// MessageText:
//
//  UNEXPMSG,Unexpected Message Number !UB received, Expecting !AS
//
#define PSL_UNEXPMSG                     ((long)0xC8010834L)

//
// MessageId: PSL_BEFORESINCE
//
// MessageText:
//
//  BEFORESINCE,Since Time After Before Time
//
#define PSL_BEFORESINCE                  ((long)0xC8010835L)

//
// MessageId: PSL_NODPID
//
// MessageText:
//
//  NODPID,The data path intercept daemon (dpid) is not running
//
#define PSL_NODPID                       ((long)0xC8010836L)

//
// MessageId: PSL_NOCONDAT
//
// MessageText:
//
//  NOCONDAT,No consolidated data
//
#define PSL_NOCONDAT                     ((long)0xC8010837L)

//
// MessageId: PSL_STRNULQP
//
// MessageText:
//
//  STRNULQP,NULL STREAMS internal pointer
//
#define PSL_STRNULQP                     ((long)0xC8010838L)

//
// MessageId: 0x08017FFFL (No symbolic name defined)
//
// MessageText:
//
//  PSL
//


// 
// FACILITY VTEST
// 
//
// MessageId: VTEST_TRUNCATED
//
// MessageText:
//
//  TRUNCATED,Script Name Truncated to !AS
//
#define VTEST_TRUNCATED                  ((long)0x880203E9L)

//
// MessageId: VTEST_MAXTESTNEST
//
// MessageText:
//
//  MAXTESTNEST,Test Definition Maximum Nesting Depth Exceeded
//
#define VTEST_MAXTESTNEST                ((long)0xC80205DDL)

//
// MessageId: VTEST_INVNOPARAM
//
// MessageText:
//
//  INVNOPARAM,Invalid Number of Parameters
//
#define VTEST_INVNOPARAM                 ((long)0xC80205DEL)

//
// MessageId: VTEST_INVSUBVAL
//
// MessageText:
//
//  INVSUBVAL,Invalid Array Subscript Value
//
#define VTEST_INVSUBVAL                  ((long)0xC80205DFL)

//
// MessageId: VTEST_INVVARIANT
//
// MessageText:
//
//  INVVARIANT,Invalid Variant - Must be a OpenSTA Dataname
//
#define VTEST_INVVARIANT                 ((long)0xC80205E0L)

//
// MessageId: VTEST_NOREPLYLNK
//
// MessageText:
//
//  NOREPLYLNK,Reply not received from link within the timeout period - Link now Closed
//
#define VTEST_NOREPLYLNK                 ((long)0xC80205E1L)

//
// MessageId: VTEST_DTCLINKFAIL
//
// MessageText:
//
//  DTCLINKFAIL,Communications Link Failure
//
#define VTEST_DTCLINKFAIL                ((long)0xC80205E2L)

//
// MessageId: VTEST_INVNUMARGS
//
// MessageText:
//
//  INVNUMARGS,Invalid number of FORMAT arguments
//
#define VTEST_INVNUMARGS                 ((long)0xC80205E3L)

//
// MessageId: VTEST_PROMPTTOOLONG
//
// MessageText:
//
//  PROMPTTOOLONG,Prompt too long
//
#define VTEST_PROMPTTOOLONG              ((long)0xC80205E4L)

//
// MessageId: VTEST_BADLNODE
//
// MessageText:
//
//  BADLNODE,Invalid Logical Node Name
//
#define VTEST_BADLNODE                   ((long)0xC80205E5L)

//
// MessageId: VTEST_ERRACCSCP
//
// MessageText:
//
//  ERRACCSCP,Error accessing Script !AS
//
#define VTEST_ERRACCSCP                  ((long)0xC80205E6L)

//
// MessageId: VTEST_ERRACCTST
//
// MessageText:
//
//  ERRACCTST,Error accessing Test !AS
//
#define VTEST_ERRACCTST                  ((long)0xC80205E7L)

//
// MessageId: VTEST_NOSUCHDEV
//
// MessageText:
//
//  NOSUCHDEV,No Such Device Exists
//
#define VTEST_NOSUCHDEV                  ((long)0xC80205E8L)

//
// MessageId: VTEST_INVPIPERD
//
// MessageText:
//
//  INVPIPERD,Read Operation Invalid, Pipe !AS Open for Write Access
//
#define VTEST_INVPIPERD                  ((long)0xC80205E9L)

//
// MessageId: VTEST_INVPIPEWR
//
// MessageText:
//
//  INVPIPEWR,Write Operation Invalid, Pipe !AS Open for Read Access
//
#define VTEST_INVPIPEWR                  ((long)0xC80205EAL)

//
// MessageId: VTEST_INVPIPERP
//
// MessageText:
//
//  INVPIPERP,Reply Operation Invalid, Pipe !AS Open for Write Access
//
#define VTEST_INVPIPERP                  ((long)0xC80205EBL)

//
// MessageId: VTEST_INVPIPEDEL
//
// MessageText:
//
//  INVPIPEDEL,Delete Operation Invalid, Pipe !AS not Closed
//
#define VTEST_INVPIPEDEL                 ((long)0xC80205ECL)

//
// MessageId: VTEST_PIPEOPNMIS
//
// MessageText:
//
//  PIPEOPNMIS,Attempt to Open Pipe !AS with Mismatched Type
//
#define VTEST_PIPEOPNMIS                 ((long)0xC80205EDL)

//
// MessageId: VTEST_PIPEREQREP
//
// MessageText:
//
//  PIPEREQREP,Operation Invalid, Pipe !AS Expects a Reply
//
#define VTEST_PIPEREQREP                 ((long)0xC80205EEL)

//
// MessageId: VTEST_PIPENRQREP
//
// MessageText:
//
//  PIPENRQREP,Operation Invalid, Pipe !AS Does Not Expect a Reply
//
#define VTEST_PIPENRQREP                 ((long)0xC80205EFL)

//
// MessageId: VTEST_PIPEINTOPN
//
// MessageText:
//
//  PIPEINTOPN,Operation Invalid, Pipe Not Open
//
#define VTEST_PIPEINTOPN                 ((long)0xC80205F0L)

//
// MessageId: VTEST_INVPIPNAM
//
// MessageText:
//
//  INVPIPNAM,Invalid Pipe Name - Must be a OpenSTA Dataname
//
#define VTEST_INVPIPNAM                  ((long)0xC80205F1L)

//
// MessageId: VTEST_ERRESTABCOM
//
// MessageText:
//
//  ERRESTABCOM,Error establishing a communications link to port !AS on node !AS
//
#define VTEST_ERRESTABCOM                ((long)0xC80205F2L)

//
// MessageId: VTEST_READEXERR
//
// MessageText:
//
//  READEXERR,Error Reading a Message from the Test Server/Executer
//
#define VTEST_READEXERR                  ((long)0xC80205F3L)

//
// MessageId: VTEST_WRITEXERR
//
// MessageText:
//
//  WRITEXERR,Error Writing a Message to the Test Server/Executer
//
#define VTEST_WRITEXERR                  ((long)0xC80205F4L)

//
// MessageId: VTEST_PLATSPECCOD
//
// MessageText:
//
//  PLATSPECCOD,Script/Test compiled with platform specific code not valid for execution platform
//
#define VTEST_PLATSPECCOD                ((long)0xC80205F5L)

//
// MessageId: VTEST_OPSYSPECCOD
//
// MessageText:
//
//  OPSYSPECCOD,Script/Test compiled with operating system specific code not valid for execution operating system
//
#define VTEST_OPSYSPECCOD                ((long)0xC80205F6L)

//
// MessageId: VTEST_DMNREADERR
//
// MessageText:
//
//  DMNREADERR,Error Reading a Message from the CYRANO Test Daemon on Node !AS
//
#define VTEST_DMNREADERR                 ((long)0xC80205F7L)

//
// MessageId: VTEST_DMNWRTERR
//
// MessageText:
//
//  DMNWRTERR,Error Writing a Message to the CYRANO Test Daemon on Node !AS
//
#define VTEST_DMNWRTERR                  ((long)0xC80205F8L)

//
// MessageId: VTEST_PIPENOTEXIST
//
// MessageText:
//
//  PIPENOTEXIST,Operation Invalid, Pipe !AS Does Not Exist
//
#define VTEST_PIPENOTEXIST               ((long)0xC80205F9L)

//
// MessageId: VTEST_INVSEMNAM
//
// MessageText:
//
//  INVSEMNAM,Invalid Semaphore Name - Must be a OpenSTA Dataname
//
#define VTEST_INVSEMNAM                  ((long)0xC80205FAL)

//
// MessageId: VTEST_INVMUTNAM
//
// MessageText:
//
//  INVMUTNAM,Invalid Mutex Name - Must be a OpenSTA Dataname
//
#define VTEST_INVMUTNAM                  ((long)0xC80205FBL)

//
// MessageId: VTEST_BADCHRVAL
//
// MessageText:
//
//  BADCHRVAL,Bad Command/Control Character Value
//
#define VTEST_BADCHRVAL                  ((long)0xC80207D1L)

//
// MessageId: VTEST_EXCLICLIM
//
// MessageText:
//
//  EXCLICLIM,Exceeded CYRANO Test Licence Limits
//
#define VTEST_EXCLICLIM                  ((long)0xC80207D2L)

//
// MessageId: VTEST_INVSCRNAM
//
// MessageText:
//
//  INVSCRNAM,Invalid Script Name - Must be a OpenSTA Dataname
//
#define VTEST_INVSCRNAM                  ((long)0xC80207D3L)

//
// MessageId: VTEST_SCRNAMTOOLONG
//
// MessageText:
//
//  SCRNAMTOOLONG,Script Name Too Long
//
#define VTEST_SCRNAMTOOLONG              ((long)0xC80207D4L)

//
// MessageId: VTEST_INPOUTRANGE
//
// MessageText:
//
//  INPOUTRANGE,Input Rate Out of Range
//
#define VTEST_INPOUTRANGE                ((long)0xC80207D5L)

//
// MessageId: VTEST_MAXFILE
//
// MessageText:
//
//  MAXFILE,Maximum Number of External Data Files Exceeded
//
#define VTEST_MAXFILE                    ((long)0xC80207D6L)

//
// MessageId: VTEST_INVVPSMOD
//
// MessageText:
//
//  INVVPSMOD,VP$SCREEN Line/column value out of range
//
#define VTEST_INVVPSMOD                  ((long)0xC80207D7L)

//
// MessageId: VTEST_LGRNOTACT
//
// MessageText:
//
//  LGRNOTACT,CYRANO Test Server !AS is not Active>
//
#define VTEST_LGRNOTACT                  ((long)0xC80207D8L)

//
// MessageId: VTEST_INVINPRATE
//
// MessageText:
//
//  INVINPRATE,Invalid Input Rate
//
#define VTEST_INVINPRATE                 ((long)0xC80207D9L)

//
// MessageId: VTEST_RATEOUTRANGE
//
// MessageText:
//
//  RATEOUTRANGE,Input Rate Value Out of Range. Valid Range 0.1 to 99.9
//
#define VTEST_RATEOUTRANGE               ((long)0xC80207DAL)

//
// MessageId: VTEST_ANSWERTOOLONG
//
// MessageText:
//
//  ANSWERTOOLONG,Answerback too long
//
#define VTEST_ANSWERTOOLONG              ((long)0xC80207DBL)

//
// MessageId: VTEST_MAXPIPE
//
// MessageText:
//
//  MAXPIPE,Maximum Number of Named Pipes Exceeded
//
#define VTEST_MAXPIPE                    ((long)0xC80207DCL)

//
// MessageId: VTEST_REJECTLINK
//
// MessageText:
//
//  REJECTLINK,Communication Link Request Rejected by Remote Process
//
#define VTEST_REJECTLINK                 ((long)0xC80207DDL)

//
// MessageId: VTEST_INVLOGNODE
//
// MessageText:
//
//  INVLOGNODE,Invalid Logical Node Name !AS Specified
//
#define VTEST_INVLOGNODE                 ((long)0xC80207DEL)

//
// MessageId: VTEST_DTCFACDIS
//
// MessageText:
//
//  DTCFACDIS,The Distributed Testing Facilities are Disabled
//
#define VTEST_DTCFACDIS                  ((long)0xC80207DFL)

//
// MessageId: VTEST_DMNLINKFAIL
//
// MessageText:
//
//  DMNLINKFAIL,Failed to Connect to the CYRANO Test Daemon on Node !AS
//
#define VTEST_DMNLINKFAIL                ((long)0xC80207E0L)

//
// MessageId: VTEST_NOSUCHEXE
//
// MessageText:
//
//  NOSUCHEXE,No Such Test Executer Found
//
#define VTEST_NOSUCHEXE                  ((long)0xC80207E1L)

//
// MessageId: VTEST_VPIPNOTINI
//
// MessageText:
//
//  VPIPNOTINI,VPIPE Routines Not Initialized
//
#define VTEST_VPIPNOTINI                 ((long)0xC80207E2L)

// 
// FACILITY SCL
// 
//
// MessageId: SCL_CMNDNOTEXEC
//
// MessageText:
//
//  CMNDNOTEXEC,Command following PASS/FAIL test-case may not be executed
//
#define SCL_CMNDNOTEXEC                  ((long)0x880303E9L)

//
// MessageId: SCL_NOSQLSTART
//
// MessageText:
//
//  NOSQLSTART,SQL statement block has not been started at this point
//
#define SCL_NOSQLSTART                   ((long)0x880303EAL)

//
// MessageId: SCL_DUPCMND
//
// MessageText:
//
//  DUPCMND,Duplicate Command
//
#define SCL_DUPCMND                      ((long)0xC80305DDL)

//
// MessageId: SCL_DUPCMNDCHR
//
// MessageText:
//
//  DUPCMNDCHR,Character Already Defined As The Command Character
//
#define SCL_DUPCMNDCHR                   ((long)0xC80305DEL)

//
// MessageId: SCL_DUPCTRLCHR
//
// MessageText:
//
//  DUPCTRLCHR,Character Already Defined As The Control Character
//
#define SCL_DUPCTRLCHR                   ((long)0xC80305DFL)

//
// MessageId: SCL_DUPDEF
//
// MessageText:
//
//  DUPDEF,Duplicate Definition - Name Already Used
//
#define SCL_DUPDEF                       ((long)0xC80305E0L)

//
// MessageId: SCL_DUPLAB
//
// MessageText:
//
//  DUPLAB,Label Already Defined
//
#define SCL_DUPLAB                       ((long)0xC80305E1L)

//
// MessageId: SCL_ENVMIS
//
// MessageText:
//
//  ENVMIS,Mandatory Environment Section Missing
//
#define SCL_ENVMIS                       ((long)0xC80305E2L)

//
// MessageId: SCL_INCCMND
//
// MessageText:
//
//  INCCMND,Incomplete Command
//
#define SCL_INCCMND                      ((long)0xC80305E3L)

//
// MessageId: SCL_INTOUTRANGE
//
// MessageText:
//
//  INTOUTRANGE,Integer Value Out of Range. Valid Range -32768 to +32767
//
#define SCL_INTOUTRANGE                  ((long)0xC80305E4L)

//
// MessageId: SCL_INVBASCMND
//
// MessageText:
//
//  INVBASCMND,Invalid Base Level Command
//
#define SCL_INVBASCMND                   ((long)0xC80305E5L)

//
// MessageId: SCL_INVCHRVAL
//
// MessageText:
//
//  INVCHRVAL,Invalid Character Value
//
#define SCL_INVCHRVAL                    ((long)0xC80305E6L)

//
// MessageId: SCL_INVCMND
//
// MessageText:
//
//  INVCMND,Invalid Command
//
#define SCL_INVCMND                      ((long)0xC80305E7L)

//
// MessageId: SCL_INVCMNDCHR
//
// MessageText:
//
//  INVCMNDCHR,Invalid Command/Control Character
//
#define SCL_INVCMNDCHR                   ((long)0xC80305E8L)

//
// MessageId: SCL_INVDEF
//
// MessageText:
//
//  INVDEF,Invalid Definition
//
#define SCL_INVDEF                       ((long)0xC80305E9L)

//
// MessageId: SCL_INVDEFCMND
//
// MessageText:
//
//  INVDEFCMND,Invalid Definition Section Command
//
#define SCL_INVDEFCMND                   ((long)0xC80305EAL)

//
// MessageId: SCL_INVENVCMND
//
// MessageText:
//
//  INVENVCMND,Invalid Environment Section Command
//
#define SCL_INVENVCMND                   ((long)0xC80305EBL)

//
// MessageId: SCL_INVFUNC
//
// MessageText:
//
//  INVFUNC,Invalid Use of Function
//
#define SCL_INVFUNC                      ((long)0xC80305ECL)

//
// MessageId: SCL_INVINTVAL
//
// MessageText:
//
//  INVINTVAL,Invalid Integer Value
//
#define SCL_INVINTVAL                    ((long)0xC80305EDL)

//
// MessageId: SCL_INVLAB
//
// MessageText:
//
//  INVLAB,Invalid Label Definition
//
#define SCL_INVLAB                       ((long)0xC80305EEL)

//
// MessageId: SCL_INVNAM
//
// MessageText:
//
//  INVNAM,Invalid Name
//
#define SCL_INVNAM                       ((long)0xC80305EFL)

//
// MessageId: SCL_INVOPDTYP
//
// MessageText:
//
//  INVOPDTYP,Invalid Operand Type
//
#define SCL_INVOPDTYP                    ((long)0xC80305F0L)

//
// MessageId: SCL_INVPRM
//
// MessageText:
//
//  INVPRM,Invalid Parameter
//
#define SCL_INVPRM                       ((long)0xC80305F1L)

//
// MessageId: SCL_INVPRMTYP
//
// MessageText:
//
//  INVPRMTYP,Invalid Parameter Type
//
#define SCL_INVPRMTYP                    ((long)0xC80305F2L)

//
// MessageId: SCL_INVRESP
//
// MessageText:
//
//  INVRESP,Invalid placement of RESPONSE TIMER command
//
#define SCL_INVRESP                      ((long)0xC80305F3L)

//
// MessageId: SCL_INVSTRUCT
//
// MessageText:
//
//  INVSTRUCT,Invalid IF, DO, SET or Conditional Expression Construct
//
#define SCL_INVSTRUCT                    ((long)0xC80305F4L)

//
// MessageId: SCL_INVVPOMOD
//
// MessageText:
//
//  INVVPOMOD,Invalid VP$OUTPUT Modifier
//
#define SCL_INVVPOMOD                    ((long)0xC80305F5L)

//
// MessageId: SCL_MAXCMNDNEST
//
// MessageText:
//
//  MAXCMNDNEST,Maximum Command Nesting Level Exceeded
//
#define SCL_MAXCMNDNEST                  ((long)0xC80305F6L)

//
// MessageId: SCL_MAXCONDNEST
//
// MessageText:
//
//  MAXCONDNEST,Maximum Condition Nesting Level Exceeded
//
#define SCL_MAXCONDNEST                  ((long)0xC80305F7L)

//
// MessageId: SCL_MAXGBL
//
// MessageText:
//
//  MAXGBL,Maximum Number of Thread, Global and Testwide Variables Exceeded
//
#define SCL_MAXGBL                       ((long)0xC80305F8L)

//
// MessageId: SCL_MAXLAB
//
// MessageText:
//
//  MAXLAB,Maximum Number of Label Definitions Exceeded
//
#define SCL_MAXLAB                       ((long)0xC80305F9L)

//
// MessageId: SCL_MAXSTRLEN
//
// MessageText:
//
//  MAXSTRLEN,Maximum String Length Limit Exceeded
//
#define SCL_MAXSTRLEN                    ((long)0xC80305FBL)

//
// MessageId: SCL_MAXTIM
//
// MessageText:
//
//  MAXTIM,Maximum Number of Timer Definitions Exceeded
//
#define SCL_MAXTIM                       ((long)0xC80305FCL)

//
// MessageId: SCL_MAXVAR
//
// MessageText:
//
//  MAXVAR,Maximum Number of Variable Definitions Exceeded
//
#define SCL_MAXVAR                       ((long)0xC80305FDL)

//
// MessageId: SCL_MISEND
//
// MessageText:
//
//  MISEND,!SW Missing ENDDO and/or ENDIF Command(s)
//
#define SCL_MISEND                       ((long)0xC80305FEL)

//
// MessageId: SCL_MISSCRDSC
//
// MessageText:
//
//  MISSCRDSC,Mandatory Script Description Missing
//
#define SCL_MISSCRDSC                    ((long)0xC80305FFL)

//
// MessageId: SCL_MISVPOMOD
//
// MessageText:
//
//  MISVPOMOD,Missing VP$OUTPUT Modifier
//
#define SCL_MISVPOMOD                    ((long)0xC8030601L)

//
// MessageId: SCL_MODOUTRANGE
//
// MessageText:
//
//  MODOUTRANGE,Character Modifier Out of Range. Valid Range 1 to 65535
//
#define SCL_MODOUTRANGE                  ((long)0xC8030602L)

//
// MessageId: SCL_NOECHONOTSUP
//
// MessageText:
//
//  NOECHONOTSUP,Non-echoed Input Has Not Been Supplied
//
#define SCL_NOECHONOTSUP                 ((long)0xC8030603L)

//
// MessageId: SCL_UNDEFLABEL
//
// MessageText:
//
//  UNDEFLABEL,Undefined Label !AS
//
#define SCL_UNDEFLABEL                   ((long)0xC8030604L)

//
// MessageId: SCL_UNDEFTIM
//
// MessageText:
//
//  UNDEFTIM,Undefined Timer
//
#define SCL_UNDEFTIM                     ((long)0xC8030605L)

//
// MessageId: SCL_UNDEFVAR
//
// MessageText:
//
//  UNDEFVAR,Undefined Variable
//
#define SCL_UNDEFVAR                     ((long)0xC8030606L)

//
// MessageId: SCL_VALOVERFLOW
//
// MessageText:
//
//  VALOVERFLOW,Value List Buffer Overflow
//
#define SCL_VALOVERFLOW                  ((long)0xC8030607L)

//
// MessageId: SCL_VALTOOLONG
//
// MessageText:
//
//  VALTOOLONG,Value Too Long
//
#define SCL_VALTOOLONG                   ((long)0xC8030608L)

//
// MessageId: SCL_VPOOUTRANGE
//
// MessageText:
//
//  VPOOUTRANGE,VP$OUTPUT Modifier Out of Range. Valid Range 1 to 512
//
#define SCL_VPOOUTRANGE                  ((long)0xC8030609L)

//
// MessageId: SCL_MAXINCNEST
//
// MessageText:
//
//  MAXINCNEST,Maximum Include File Nesting Level Exceeded
//
#define SCL_MAXINCNEST                   ((long)0xC803060AL)

//
// MessageId: SCL_DUPSUB
//
// MessageText:
//
//  DUPSUB,Subroutine Already Defined
//
#define SCL_DUPSUB                       ((long)0xC803060BL)

//
// MessageId: SCL_MAXSUB
//
// MessageText:
//
//  MAXSUB,Maximum Number of Subroutine Definitions Exceeded
//
#define SCL_MAXSUB                       ((long)0xC803060CL)

//
// MessageId: SCL_UNDEFSUB
//
// MessageText:
//
//  UNDEFSUB,Unmatched Definition or Undefined Subroutine !AS
//
#define SCL_UNDEFSUB                     ((long)0xC803060DL)

//
// MessageId: SCL_MISENDSUB
//
// MessageText:
//
//  MISENDSUB,END SUBROUTINE clause missing
//
#define SCL_MISENDSUB                    ((long)0xC803060EL)

//
// MessageId: SCL_INVENDSUB
//
// MessageText:
//
//  INVENDSUB,Invalid placement of END SUBROUTINE command
//
#define SCL_INVENDSUB                    ((long)0xC803060FL)

//
// MessageId: SCL_MUSTBESUB
//
// MessageText:
//
//  MUSTBESUB,END SUBROUTINE May Only be Followed by EXIT or SUBROUTINE
//
#define SCL_MUSTBESUB                    ((long)0xC8030610L)

//
// MessageId: SCL_VPSLINOUTRANGE
//
// MessageText:
//
//  VPSLINOUTRANGE,VP$SCREEN Line Number Out of Range. Valid Range 24 to 255
//
#define SCL_VPSLINOUTRANGE               ((long)0xC8030611L)

//
// MessageId: SCL_VPSCOLOUTRANGE
//
// MessageText:
//
//  VPSCOLOUTRANGE,VP$SCREEN Column Number Out of Range. Valid Range 80 to 255
//
#define SCL_VPSCOLOUTRANGE               ((long)0xC8030612L)

//
// MessageId: SCL_NOTSCREENMODE
//
// MessageText:
//
//  NOTSCREENMODE,VP$SCREEN Operands May Only Be Specified in Screen Mode
//
#define SCL_NOTSCREENMODE                ((long)0xC8030613L)

//
// MessageId: SCL_MAXPRM
//
// MessageText:
//
//  MAXPRM,Maximum Number of Script Parameters Exceeded
//
#define SCL_MAXPRM                       ((long)0xC8030614L)

//
// MessageId: SCL_MISOPRDEL
//
// MessageText:
//
//  MISOPRDEL,Missing Operator or Delimiter Symbol
//
#define SCL_MISOPRDEL                    ((long)0xC8030615L)

//
// MessageId: SCL_INVENTRYPOS
//
// MessageText:
//
//  INVENTRYPOS,Invalid placement of ENTRY command
//
#define SCL_INVENTRYPOS                  ((long)0xC8030617L)

//
// MessageId: SCL_INVRECSCOPE
//
// MessageText:
//
//  INVRECSCOPE,Invalid RECORD Scope does not match scope of record-name
//
#define SCL_INVRECSCOPE                  ((long)0xC8030618L)

//
// MessageId: SCL_INVENDREC
//
// MessageText:
//
//  INVENDREC,Invalid placement of END RECORD statement - No Record Found
//
#define SCL_INVENDREC                    ((long)0xC8030619L)

//
// MessageId: SCL_NORECNEST
//
// MessageText:
//
//  NORECNEST,Invalid placement of RECORD statement - Record Nesting not Permitted
//
#define SCL_NORECNEST                    ((long)0xC803061AL)

//
// MessageId: SCL_MISENDREC
//
// MessageText:
//
//  MISENDREC,Missing END RECORD Statement
//
#define SCL_MISENDREC                    ((long)0xC803061BL)

//
// MessageId: SCL_UNDEFFIL
//
// MessageText:
//
//  UNDEFFIL,External Data File !AS Has no Corresponding OPEN
//
#define SCL_UNDEFFIL                     ((long)0xC803061CL)

//
// MessageId: SCL_NOSETRDONLY
//
// MessageText:
//
//  NOSETRDONLY,Read-only Variable Cannot be Target of SET
//
#define SCL_NOSETRDONLY                  ((long)0xC803061DL)

//
// MessageId: SCL_RECTOOBIG
//
// MessageText:
//
//  RECTOOBIG,Records may not exceed 65535 characters in length
//
#define SCL_RECTOOBIG                    ((long)0xC803061EL)

//
// MessageId: SCL_INVOUTRATE
//
// MessageText:
//
//  INVOUTRATE,Invalid Output Rate
//
#define SCL_INVOUTRATE                   ((long)0xC803061FL)

//
// MessageId: SCL_INVRADIX
//
// MessageText:
//
//  INVRADIX,Radix Out of Range. Valid Range 2 to 36
//
#define SCL_INVRADIX                     ((long)0xC8030620L)

//
// MessageId: SCL_NOTREPRND
//
// MessageText:
//
//  NOTREPRND,SEED clause may only be specified for Repeatable Random Variables
//
#define SCL_NOTREPRND                    ((long)0xC8030621L)

//
// MessageId: SCL_MISENDIF
//
// MessageText:
//
//  MISENDIF,!SW Missing IF/ENDIF Command(s)
//
#define SCL_MISENDIF                     ((long)0xC8030622L)

//
// MessageId: SCL_MISENDDO
//
// MessageText:
//
//  MISENDDO,!SW Missing DO/ENDDO Command(s)
//
#define SCL_MISENDDO                     ((long)0xC8030623L)

//
// MessageId: SCL_CMNDMODEINP
//
// MessageText:
//
//  CMNDMODEINP,Script input is not valid in a command mode script
//
#define SCL_CMNDMODEINP                  ((long)0xC8030624L)

//
// MessageId: SCL_FILPRMNOOPEN
//
// MessageText:
//
//  FILPRMNOOPEN,Files passed as parameters may not be opened
//
#define SCL_FILPRMNOOPEN                 ((long)0xC8030625L)

//
// MessageId: SCL_VALINVREC
//
// MessageText:
//
//  VALINVREC,Value lists are invalid within Records
//
#define SCL_VALINVREC                    ((long)0xC8030626L)

//
// MessageId: SCL_CMNDMODE
//
// MessageText:
//
//  CMNDMODE,This command is not valid in a command mode script
//
#define SCL_CMNDMODE                     ((long)0xC8030627L)

//
// MessageId: SCL_INVCONDCMD
//
// MessageText:
//
//  INVCONDCMD,Invalid Conditional Compilation Command
//
#define SCL_INVCONDCMD                   ((long)0xC8030628L)

//
// MessageId: SCL_INVCONDPLAC
//
// MessageText:
//
//  INVCONDPLAC,Invalid placement of a Condtional Compilation Command
//
#define SCL_INVCONDPLAC                  ((long)0xC8030629L)

//
// MessageId: SCL_INVNUMSUB
//
// MessageText:
//
//  INVNUMSUB,Number of Subscripts Specified Does Not Match Array Declaration
//
#define SCL_INVNUMSUB                    ((long)0xC803062AL)

//
// MessageId: SCL_INVSUBREF
//
// MessageText:
//
//  INVSUBREF,Invalid Subscripted Reference to a Non-array Variable
//
#define SCL_INVSUBREF                    ((long)0xC803062BL)

//
// MessageId: SCL_TOOMANYDIM
//
// MessageText:
//
//  TOOMANYDIM,Too many Array Dimensions Specified
//
#define SCL_TOOMANYDIM                   ((long)0xC803062CL)

//
// MessageId: SCL_INVSUBVAL
//
// MessageText:
//
//  INVSUBVAL,Invalid Array Subscript Value
//
#define SCL_INVSUBVAL                    ((long)0xC803062DL)

//
// MessageId: SCL_VALINVARY
//
// MessageText:
//
//  VALINVARY,Value lists are invalid for Array Variables
//
#define SCL_VALINVARY                    ((long)0xC803062EL)

//
// MessageId: SCL_MISVARNAM
//
// MessageText:
//
//  MISVARNAM,Missing variable name
//
#define SCL_MISVARNAM                    ((long)0xC803062FL)

//
// MessageId: SCL_PIPPRMNOOPEN
//
// MessageText:
//
//  PIPPRMNOOPEN,Pipes passed as parameters may not be opened
//
#define SCL_PIPPRMNOOPEN                 ((long)0xC8030630L)

//
// MessageId: SCL_UNDEFPIPE
//
// MessageText:
//
//  UNDEFPIPE,Undefined Pipe
//
#define SCL_UNDEFPIPE                    ((long)0xC8030631L)

//
// MessageId: SCL_PIPENOTOPN
//
// MessageText:
//
//  PIPENOTOPN,Pipe !AS is Accessed but not Opened
//
#define SCL_PIPENOTOPN                   ((long)0xC8030632L)

//
// MessageId: SCL_MISPRET
//
// MessageText:
//
//  MISPRET,Mandatory RETURNING clause missing
//
#define SCL_MISPRET                      ((long)0xC8030633L)

//
// MessageId: SCL_BADASYNPIPE
//
// MessageText:
//
//  BADASYNPIPE,Operation Invalid for Asynchronous Pipe
//
#define SCL_BADASYNPIPE                  ((long)0xC8030634L)

//
// MessageId: SCL_MISENDSW
//
// MessageText:
//
//  MISENDSW,!SW Missing END SWITCH command(s)
//
#define SCL_MISENDSW                     ((long)0xC8030635L)

//
// MessageId: SCL_INVCASE
//
// MessageText:
//
//  INVCASE,Invalid placement of CASE command
//
#define SCL_INVCASE                      ((long)0xC8030636L)

//
// MessageId: SCL_INVBREAK
//
// MessageText:
//
//  INVBREAK,Invalid placement of BREAK command
//
#define SCL_INVBREAK                     ((long)0xC8030637L)

//
// MessageId: SCL_INVENDSWITCH
//
// MessageText:
//
//  INVENDSWITCH,Invalid placement of END SWITCH command
//
#define SCL_INVENDSWITCH                 ((long)0xC8030638L)

//
// MessageId: SCL_INVDEFCASE
//
// MessageText:
//
//  INVDEFCASE,Invalid placement of DEFAULT_CASE command
//
#define SCL_INVDEFCASE                   ((long)0xC8030639L)

//
// MessageId: SCL_TCNESTERR
//
// MessageText:
//
//  TCNESTERR,Test-cases cannot be nested
//
#define SCL_TCNESTERR                    ((long)0xC803063AL)

//
// MessageId: SCL_INVPASSTC
//
// MessageText:
//
//  INVPASSTC,Invalid placement of PASS TEST-CASE command
//
#define SCL_INVPASSTC                    ((long)0xC803063BL)

//
// MessageId: SCL_INVFAILTC
//
// MessageText:
//
//  INVFAILTC,Invalid placement of FAIL TEST-CASE command
//
#define SCL_INVFAILTC                    ((long)0xC803063CL)

//
// MessageId: SCL_INVENDTC
//
// MessageText:
//
//  INVENDTC,Invalid placement of END TEST-CASE command
//
#define SCL_INVENDTC                     ((long)0xC803063DL)

//
// MessageId: SCL_MISENDTC
//
// MessageText:
//
//  MISENDTC,Missing END TEST-CASE command
//
#define SCL_MISENDTC                     ((long)0xC803063EL)

//
// MessageId: SCL_INVSUBPRM
//
// MessageText:
//
//  INVSUBPRM,Number of subroutine parameters does not match previous call
//
#define SCL_INVSUBPRM                    ((long)0xC803063FL)

//
// MessageId: SCL_MAXSUBPRM
//
// MessageText:
//
//  MAXSUBPRM,Maximum number of subroutine parameters exceeded
//
#define SCL_MAXSUBPRM                    ((long)0xC8030640L)

//
// MessageId: SCL_MAXSWNEST
//
// MessageText:
//
//  MAXSWNEST,Maximum nesting of SWITCH command
//
#define SCL_MAXSWNEST                    ((long)0xC8030641L)

//
// MessageId: SCL_MUSTBEREC
//
// MessageText:
//
//  MUSTBEREC,Must be RECORD variable for COMMA-SEPARATED datafile
//
#define SCL_MUSTBEREC                    ((long)0xC8030642L)

//
// MessageId: SCL_INVPRET
//
// MessageText:
//
//  INVPRET,Invalid use of RETURNING clause
//
#define SCL_INVPRET                      ((long)0xC8030643L)

//
// MessageId: SCL_HTTPMODE
//
// MessageText:
//
//  HTTPMODE,This command is only valid in an HTTP mode script
//
#define SCL_HTTPMODE                     ((long)0xC8030644L)

//
// MessageId: SCL_HTTPMODECNF
//
// MessageText:
//
//  HTTPMODECNF,HTTP mode cannot be used with CHARACTER-CELL mode or SCREEN mode
//
#define SCL_HTTPMODECNF                  ((long)0xC8030645L)

//
// MessageId: SCL_INVSTARTSQL
//
// MessageText:
//
//  INVSTARTSQL,Invalid placement of START SQL command
//
#define SCL_INVSTARTSQL                  ((long)0xC8030646L)

//
// MessageId: SCL_INVENDSQL
//
// MessageText:
//
//  INVENDSQL,Invalid placement of END SQL command
//
#define SCL_INVENDSQL                    ((long)0xC8030647L)

//
// MessageId: SCL_INVEXECSQL
//
// MessageText:
//
//  INVEXECSQL,Invalid placement of EXECUTE SQL command
//
#define SCL_INVEXECSQL                   ((long)0xC8030648L)

//
// MessageId: SCL_INVDUPDEF
//
// MessageText:
//
//  INVDUPDEF,Inconsitant Duplicate Definition
//
#define SCL_INVDUPDEF                    ((long)0xC8030649L)

//
// MessageId: SCL_INVRETURN
//
// MessageText:
//
//  INVRETURN,Invalid placement of RETURN outside a subroutine
//
#define SCL_INVRETURN                    ((long)0xC803064AL)

//
// MessageId: SCL_CONINVREC
//
// MessageText:
//
//  CONINVREC,Constants are invalid within Records
//
#define SCL_CONINVREC                    ((long)0xC803064BL)

//
// MessageId: SCL_INVMAPRECORD
//
// MessageText:
//
//  INVMAPRECORD,The Data Record Used in the MAP Command Must Start With a Character Variable of No More Than 64 Characters in Length
//
#define SCL_INVMAPRECORD                 ((long)0xC803064CL)

//
// MessageId: SCL_INVSTARTTARGET
//
// MessageText:
//
//  INVSTARTTARGET,Invalid placement of START TARGET command
//
#define SCL_INVSTARTTARGET               ((long)0xC803064DL)

//
// MessageId: SCL_INVENDTARGET
//
// MessageText:
//
//  INVENDTARGET,Invalid placement of END TARGET command
//
#define SCL_INVENDTARGET                 ((long)0xC803064EL)

//
// MessageId: SCL_INVEXECTARGET
//
// MessageText:
//
//  INVEXECTARGET,Invalid placement of EXECUTE target command
//
#define SCL_INVEXECTARGET                ((long)0xC803064FL)

//
// MessageId: SCL_TYPETEST
//
// MessageText:
//
//  TYPETEST,This command/statement is only valid in a script of type Test
//
#define SCL_TYPETEST                     ((long)0xC8030650L)

//
// MessageId: SCL_BADANSWER
//
// MessageText:
//
//  BADANSWER,Invalid answerback
//
#define SCL_BADANSWER                    ((long)0xC8030651L)

//
// MessageId: SCL_BADINETNAMADD
//
// MessageText:
//
//  BADINETNAMADD,Invalid internet name/address
//
#define SCL_BADINETNAMADD                ((long)0xC8030652L)

//
// MessageId: SCL_BADNODE
//
// MessageText:
//
//  BADNODE,Invalid node name
//
#define SCL_BADNODE                      ((long)0xC8030653L)

//
// MessageId: SCL_BADPAGE
//
// MessageText:
//
//  BADPAGE,Invalid page size
//
#define SCL_BADPAGE                      ((long)0xC8030654L)

//
// MessageId: SCL_BADPORT
//
// MessageText:
//
//  BADPORT,Invalid port number
//
#define SCL_BADPORT                      ((long)0xC8030655L)

//
// MessageId: SCL_INETTOOLONG
//
// MessageText:
//
//  INETTOOLONG,Internet name/address too long
//
#define SCL_INETTOOLONG                  ((long)0xC8030656L)

//
// MessageId: SCL_NODETOOLONG
//
// MessageText:
//
//  NODETOOLONG,Node name too long
//
#define SCL_NODETOOLONG                  ((long)0xC8030657L)

//
// MessageId: SCL_BADRECFIL
//
// MessageText:
//
//  BADRECFIL,Invalid recording file
//
#define SCL_BADRECFIL                    ((long)0xC8030658L)

//
// MessageId: SCL_BADSCRIPT
//
// MessageText:
//
//  BADSCRIPT,Invalid script name
//
#define SCL_BADSCRIPT                    ((long)0xC8030659L)

//
// MessageId: SCL_BADSERVICE
//
// MessageText:
//
//  BADSERVICE,Invalid service name
//
#define SCL_BADSERVICE                   ((long)0xC803065AL)

//
// MessageId: SCL_BADTRMNAME
//
// MessageText:
//
//  BADTRMNAME,Invalid terminal name
//
#define SCL_BADTRMNAME                   ((long)0xC803065BL)

//
// MessageId: SCL_BADTRMINF
//
// MessageText:
//
//  BADTRMINF,Invalid terminfo terminal name
//
#define SCL_BADTRMINF                    ((long)0xC803065CL)

//
// MessageId: SCL_BADTRCFIL
//
// MessageText:
//
//  BADTRCFIL,Invalid tracing file
//
#define SCL_BADTRCFIL                    ((long)0xC803065DL)

//
// MessageId: SCL_BADUSERNAME
//
// MessageText:
//
//  BADUSERNAME,Invalid username
//
#define SCL_BADUSERNAME                  ((long)0xC803065EL)

//
// MessageId: SCL_BADSCRWIDTH
//
// MessageText:
//
//  BADSCRWIDTH,Invalid screen width
//
#define SCL_BADSCRWIDTH                  ((long)0xC803065FL)

//
// MessageId: SCL_BADSCRPRMVAL
//
// MessageText:
//
//  BADSCRPRMVAL,Invalid script parameter value
//
#define SCL_BADSCRPRMVAL                 ((long)0xC8030660L)

//
// MessageId: SCL_BADSCRPRMNAM
//
// MessageText:
//
//  BADSCRPRMNAM,Invalid script parameter name
//
#define SCL_BADSCRPRMNAM                 ((long)0xC8030661L)

//
// MessageId: SCL_THROPTCNF
//
// MessageText:
//
//  THROPTCNF,!AS and !AS conflict in Thread !AS!/in Test Script !AS
//
#define SCL_THROPTCNF                    ((long)0xC8030662L)

//
// MessageId: SCL_SCRPRMVALTOOLONG
//
// MessageText:
//
//  SCRPRMVALTOOLONG,Script parameter value too long
//
#define SCL_SCRPRMVALTOOLONG             ((long)0xC8030663L)

//
// MessageId: SCL_MAXSCRPARAM
//
// MessageText:
//
//  MAXSCRPARAM,Maximum number of script parameters exceeded
//
#define SCL_MAXSCRPARAM                  ((long)0xC8030664L)

//
// MessageId: SCL_PHYDEVTOOLONG
//
// MessageText:
//
//  PHYDEVTOOLONG,Physical device name too long
//
#define SCL_PHYDEVTOOLONG                ((long)0xC8030665L)

//
// MessageId: SCL_RECFILTOOLONG
//
// MessageText:
//
//  RECFILTOOLONG,Recording File too long
//
#define SCL_RECFILTOOLONG                ((long)0xC8030666L)

//
// MessageId: SCL_INVDEFOPT
//
// MessageText:
//
//  INVDEFOPT,Option not valid in $DEFAULT test definition
//
#define SCL_INVDEFOPT                    ((long)0xC8030667L)

//
// MessageId: SCL_BADPARNAME
//
// MessageText:
//
//  BADPARNAME,Invalid parameter name
//
#define SCL_BADPARNAME                   ((long)0xC8030668L)

//
// MessageId: SCL_BADPHYDEV
//
// MessageText:
//
//  BADPHYDEV,Invalid physical device name
//
#define SCL_BADPHYDEV                    ((long)0xC8030669L)

//
// MessageId: SCL_SERVTOOLONG
//
// MessageText:
//
//  SERVTOOLONG,Service name too long
//
#define SCL_SERVTOOLONG                  ((long)0xC803066AL)

//
// MessageId: SCL_TRMINFTOOLONG
//
// MessageText:
//
//  TRMINFTOOLONG,Terminfo name too long
//
#define SCL_TRMINFTOOLONG                ((long)0xC803066BL)

//
// MessageId: SCL_TRCFILTOOLONG
//
// MessageText:
//
//  TRCFILTOOLONG,Trace file name too long
//
#define SCL_TRCFILTOOLONG                ((long)0xC803066CL)

//
// MessageId: SCL_USRTOOLONG
//
// MessageText:
//
//  USRTOOLONG,Username too long
//
#define SCL_USRTOOLONG                   ((long)0xC803066DL)

//
// MessageId: SCL_BADABRTTEST
//
// MessageText:
//
//  BADABRTTEST,Invalid abort test
//
#define SCL_BADABRTTEST                  ((long)0xC803066EL)

//
// MessageId: SCL_BADCOMPTEST
//
// MessageText:
//
//  BADCOMPTEST,Invalid complete test
//
#define SCL_BADCOMPTEST                  ((long)0xC803066FL)

//
// MessageId: SCL_BADCONTRM
//
// MessageText:
//
//  BADCONTRM,Invalid concurrent terminals
//
#define SCL_BADCONTRM                    ((long)0xC8030670L)

//
// MessageId: SCL_BADFAILTC
//
// MessageText:
//
//  BADFAILTC,Invalid fail test-case
//
#define SCL_BADFAILTC                    ((long)0xC8030671L)

//
// MessageId: SCL_BADPASSTC
//
// MessageText:
//
//  BADPASSTC,Invalid pass test-case
//
#define SCL_BADPASSTC                    ((long)0xC8030672L)

//
// MessageId: SCL_BADHCOPY
//
// MessageText:
//
//  BADHCOPY,Invalid hardcopy device
//
#define SCL_BADHCOPY                     ((long)0xC8030673L)

//
// MessageId: SCL_ABRTTOOLONG
//
// MessageText:
//
//  ABRTTOOLONG,Abort test message too long
//
#define SCL_ABRTTOOLONG                  ((long)0xC8030674L)

//
// MessageId: SCL_COMPTOOLONG
//
// MessageText:
//
//  COMPTOOLONG,Complete test message too long
//
#define SCL_COMPTOOLONG                  ((long)0xC8030675L)

//
// MessageId: SCL_FAILTOOLONG
//
// MessageText:
//
//  FAILTOOLONG,Fail test-case message too long
//
#define SCL_FAILTOOLONG                  ((long)0xC8030676L)

//
// MessageId: SCL_PASSTOOLONG
//
// MessageText:
//
//  PASSTOOLONG,Pass test-case message too long
//
#define SCL_PASSTOOLONG                  ((long)0xC8030677L)

//
// MessageId: SCL_HCOPYTOOLONG
//
// MessageText:
//
//  HCOPYTOOLONG,Hardcopy device too long
//
#define SCL_HCOPYTOOLONG                 ((long)0xC8030678L)

//
// MessageId: SCL_BADWKSQ
//
// MessageText:
//
//  BADWKSQ,Invalid Working Set Quota
//
#define SCL_BADWKSQ                      ((long)0xC8030679L)

//
// MessageId: SCL_UNDEFTST
//
// MessageText:
//
//  UNDEFTST,Undefined Test
//
#define SCL_UNDEFTST                     ((long)0xC803067AL)

//
// MessageId: SCL_UNDEFTHR
//
// MessageText:
//
//  UNDEFTHR,Undefined Thread
//
#define SCL_UNDEFTHR                     ((long)0xC803067BL)

//
// MessageId: SCL_BADNUMBER
//
// MessageText:
//
//  BADNUMBER,Invalid Number
//
#define SCL_BADNUMBER                    ((long)0xC803067CL)

//
// MessageId: SCL_BADINTERVAL
//
// MessageText:
//
//  BADINTERVAL,Invalid Interval
//
#define SCL_BADINTERVAL                  ((long)0xC803067DL)

//
// MessageId: SCL_MAXTST
//
// MessageText:
//
//  MAXTST,Maximum Number of Test Definitions Exceeded
//
#define SCL_MAXTST                       ((long)0xC803067EL)

//
// MessageId: SCL_MAXTSTTHR
//
// MessageText:
//
//  MAXTSTTHR,Maximum Number of Thread Definitions Exceeded
//
#define SCL_MAXTSTTHR                    ((long)0xC803067FL)

//
// MessageId: SCL_MAXTHR
//
// MessageText:
//
//  MAXTHR,Maximum Number of Thread Definitions Exceeded
//
#define SCL_MAXTHR                       ((long)0xC8030680L)

//
// MessageId: SCL_INVENDSUBTST
//
// MessageText:
//
//  INVENDSUBTST,Invalid placement of END SUB-TEST command
//
#define SCL_INVENDSUBTST                 ((long)0xC8030681L)

//
// MessageId: SCL_MUSTBESUBTST
//
// MessageText:
//
//  MUSTBESUBTST,Next Command Must be EXIT, SUBROUTINE or SUB-TEST
//
#define SCL_MUSTBESUBTST                 ((long)0xC8030682L)

//
// MessageId: SCL_DUPSUBTST
//
// MessageText:
//
//  DUPSUBTST,Sub-test Already Defined
//
#define SCL_DUPSUBTST                    ((long)0xC8030683L)

//
// MessageId: SCL_INVSUBTST
//
// MessageText:
//
//  INVSUBTST,Invalid placement of SUB-TEST command
//
#define SCL_INVSUBTST                    ((long)0xC8030684L)

//
// MessageId: SCL_INVSUBRTN
//
// MessageText:
//
//  INVSUBRTN,Invalid placement of SUBROUTINE command
//
#define SCL_INVSUBRTN                    ((long)0xC8030685L)

//
// MessageId: SCL_SCRMODINV
//
// MessageText:
//
//  SCRMODINV,Screen mode only valid for character-cell mode scripts
//
#define SCL_SCRMODINV                    ((long)0xC8030686L)

//
// MessageId: SCL_BADSTART
//
// MessageText:
//
//  BADSTART,Invalid Startup Delay
//
#define SCL_BADSTART                     ((long)0xC8030687L)

//
// MessageId: SCL_MISTARGET
//
// MessageText:
//
//  MISTARGET,Mandatory TARGET clause missing
//
#define SCL_MISTARGET                    ((long)0xC8030688L)

//
// MessageId: SCL_THROPTCONF
//
// MessageText:
//
//  THROPTCONF,!AS and !AS conflict in thread !AS!/on lines !UL and !UL of !AS
//
#define SCL_THROPTCONF                   ((long)0xC8030689L)

//
// MessageId: SCL_NOTUNIQUE
//
// MessageText:
//
//  NOTUNIQUE,Filename is not unique - terminal name must be included
//
#define SCL_NOTUNIQUE                    ((long)0xC803068AL)

//
// MessageId: SCL_MISINTERNET
//
// MessageText:
//
//  MISINTERNET,Internet Name/Address not specified for Remote TCP/IP Thread !AS in !AS
//
#define SCL_MISINTERNET                  ((long)0xC803068BL)

//
// MessageId: SCL_MISSERVICE
//
// MessageText:
//
//  MISSERVICE,Service not specified for Remote LAT Thread !AS in !AS
//
#define SCL_MISSERVICE                   ((long)0xC803068CL)

//
// MessageId: SCL_UNDECSUBTST
//
// MessageText:
//
//  UNDECSUBTST,Undeclared sub-test
//
#define SCL_UNDECSUBTST                  ((long)0xC803068DL)

//
// MessageId: SCL_TSTNOTSUBTST
//
// MessageText:
//
//  TSTNOTSUBTST,Sub-test declared as Test
//
#define SCL_TSTNOTSUBTST                 ((long)0xC803068EL)

//
// MessageId: SCL_TYPESCRIPT
//
// MessageText:
//
//  TYPESCRIPT,This command/statement is only valid in a script of type Script
//
#define SCL_TYPESCRIPT                   ((long)0xC803068FL)

//
// MessageId: SCL_AMBIGUOUSPRM
//
// MessageText:
//
//  AMBIGUOUSPRM,Ambiguous script parameter
//
#define SCL_AMBIGUOUSPRM                 ((long)0xC8030690L)

//
// MessageId: SCL_NOEXEREF
//
// MessageText:
//
//  NOEXEREF,'!AS': No EXECUTE command for !AS
//
#define SCL_NOEXEREF                     ((long)0xC8030691L)

//
// MessageId: SCL_FILNAMTOOLONG
//
// MessageText:
//
//  FILNAMTOOLONG,File name too long
//
#define SCL_FILNAMTOOLONG                ((long)0xC8030692L)

//
// MessageId: SCL_CODEOVERFLOW
//
// MessageText:
//
//  CODEOVERFLOW,Object Code Buffer Overflow
//
#define SCL_CODEOVERFLOW                 ((long)0xC80307D1L)

//
// MessageId: SCL_CONSOVERFLOW
//
// MessageText:
//
//  CONSOVERFLOW,Constants Data Area Overflow
//
#define SCL_CONSOVERFLOW                 ((long)0xC80307D2L)

//
// MessageId: SCL_MISSUB
//
// MessageText:
//
//  MISSUB,Missing Array Subscript
//
#define SCL_MISSUB                       ((long)0xC80307D3L)

//
// MessageId: SCL_BADBASICAUTIN
//
// MessageText:
//
//  BADBASICAUTIN,Current User and Blob Inputs Are Not Valid For Basic Authentication
//
#define SCL_BADBASICAUTIN                ((long)0xC80307D4L)

//
// MessageId: SCL_MISDOMAIN
//
// MessageText:
//
//  MISDOMAIN,A Domain Name Must Be Specified For NTLM or NEGOTIATE Authentication
//
#define SCL_MISDOMAIN                    ((long)0xC80307D5L)

//
// MessageId: 0x08037FFFL (No symbolic name defined)
//
// MessageText:
//
//  SCL
//


// 
// FACILITY TPG
// 
//
// MessageId: TPG_INVINITSTATE
//
// MessageText:
//
//  INVINITSTATE,Invalid format for the state initialization
//
#define TPG_INVINITSTATE                 ((long)0xC80405DDL)

//
// MessageId: TPG_INVSTATENAME
//
// MessageText:
//
//  INVSTATENAME,Invalid state name
//
#define TPG_INVSTATENAME                 ((long)0xC80405DEL)

//
// MessageId: TPG_NOINITSTATE
//
// MessageText:
//
//  NOINITSTATE,Initialization Clause Not Found - Compilation Aborted
//
#define TPG_NOINITSTATE                  ((long)0xC80405DFL)

//
// MessageId: TPG_MISSCOMMA
//
// MessageText:
//
//  MISSCOMMA,Missing separating comma, comma assumed
//
#define TPG_MISSCOMMA                    ((long)0xC80405E0L)

