#ifndef PSL__VTEST_PRMDEF_LOADED
#define PSL__VTEST_PRMDEF_LOADED 1
/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/****************************************************************************
 * @doc     vtest_prmdef.h
 * @module  vtest_prmdef.h
 *
 ****************************************************************************/

/*** MODULE VTEST_PRMDEF ***/
struct dummy
{

    /*    THREAD STATE MENU PARAMETERS */

#define            THREAD_STATUS_ACTIVE 1
#define            THREAD_STATUS_DELAYED 2
#define            THREAD_STATUS_SUSPENDED 3
#define            THREAD_STATUS_COMPLETE 4
#define            THREAD_STATUS_INACTIVE 5
#define            THREAD_STATUS_SYNCH 6
#define            THREAD_STATUS_UNALLOCATED 7
#define            THREAD_STATUS_WAITING 8
#define            THREAD_STATUS_ABORTED 9

    /*    YES/NO MENU PARAMETERS */

#define            LGN_YES 1
#define            LGN_NO 2

    /*    TEST TYPE MENU PARAMETERS */

#define            TEST_TYPE_TEST 1
#define            TEST_TYPE_TERMINALS 2

    /*    TERMINAL TYPE MENU PARAMETERS */

#define            TERMINAL_TYPE_PSEUDO 1
#define            TERMINAL_TYPE_PHYS 2
#define            TERMINAL_TYPE_REMLAT 3
#define            TERMINAL_TYPE_REMTCPIP 4
#define            TERMINAL_TYPE_DECTERM 5
#define            TERMINAL_TYPE_VWSTERM 6
#define            TERMINAL_TYPE_COMMAND 7

    /*    These parameters are the ACTUAL values for the terminal types whereas the */
    /*    above parameters are the indexes used by the form driver. This is done */
    /*    for upwards compatability as Remote TCP/IP was added to the middle of the */
    /*    menu but has a value which is greater than the others. */

#define            EXT_TERMINAL_TYPE_PSEUDO 1
#define            EXT_TERMINAL_TYPE_PHYS 2
#define            EXT_TERMINAL_TYPE_REMLAT 3
#define            EXT_TERMINAL_TYPE_DECTERM 4
#define            EXT_TERMINAL_TYPE_VWSTERM 5
#define            EXT_TERMINAL_TYPE_REMTCPIP 6
#define            EXT_TERMINAL_TYPE_COMMAND 7
#define            EXT_TERMINAL_TYPE_EMULATOR 8

    /*    LOGIN TYPE MENU PARAMETERS */

#define            LOGIN_TYPE_AUTO 1
#define            LOGIN_TYPE_SCRIPT 2
#define            LOGIN_TYPE_NO 3
#define            LOGIN_TYPE_AUTOIM 4
#define            LOGIN_TYPE_AUTODELAY 5
#define            LOGIN_TYPE_TELNET 6
#define            LOGIN_TYPE_RLOGIN 7
#define            LOGIN_TYPE_RAW 8

    /*    V-TEST STATUS MENU PARAMETERS */

#define            VTEST_STATUS_INACTIVE 1
#define            VTEST_STATUS_ACTIVE 2
#define            VTEST_STATUS_NOACCESS 3

    /*    DEVICE TYPE MENU PARAMETERS */

#define            DEVICE_TYPE_VT52 1
#define            DEVICE_TYPE_VT100 2
#define            DEVICE_TYPE_VT200 3
#define            DEVICE_TYPE_VT300 4
#define            DEVICE_TYPE_VT400 5

    /*    CHARACTER SIZE MENU PARAMETERS */

#define            CHARACTER_SIZE_7BIT 1
#define            CHARACTER_SIZE_8BIT 2

    /*    TERMINAL ID MENU PARAMETERS */

#define            TERMINAL_ID_VT52 1
#define            TERMINAL_ID_VT100 2
#define            TERMINAL_ID_VT101 3
#define            TERMINAL_ID_VT102 4
#define            TERMINAL_ID_VT125 5
#define            TERMINAL_ID_VT220 6
#define            TERMINAL_ID_VT240 7
#define            TERMINAL_ID_VT320 8
#define            TERMINAL_ID_VT330 9
#define            TERMINAL_ID_VT340 10
#define            TERMINAL_ID_VT420 11
#define            TERMINAL_ID_WYSE60 12
#define            TERMINAL_ID_HP 13

    /*    BAUD RATE MENU PARAMETERS */

#define            BAUD_RATE_50 1
#define            BAUD_RATE_75 2
#define            BAUD_RATE_110 3
#define            BAUD_RATE_134 4
#define            BAUD_RATE_150 5
#define            BAUD_RATE_300 6
#define            BAUD_RATE_600 7
#define            BAUD_RATE_1200 8
#define            BAUD_RATE_1800 9
#define            BAUD_RATE_2000 10
#define            BAUD_RATE_2400 11
#define            BAUD_RATE_3600 12
#define            BAUD_RATE_4800 13
#define            BAUD_RATE_7200 14
#define            BAUD_RATE_9600 15
#define            BAUD_RATE_19200 16

#define            BAUD_RATE_38400 17
#define            BAUD_RATE_57600 18
#define            BAUD_RATE_76800 19
#define            BAUD_RATE_115200 20
#define            BAUD_RATE_MAXIMUM 99


    /*    AUDIT TRAIL TYPE MENU PARAMETERS */

#define            AUDIT_TRAIL_OLD 1
#define            AUDIT_TRAIL_NEW 2

    /*    V-TEST SCOPE MENU PARAMETERS */

#define            VTEST_SCOPE_WORLD 1
#define            VTEST_SCOPE_GROUP 2
#define            VTEST_SCOPE_USER 3

    /*    YES/NO/CALC MENU PARAMETERS */

#define            LGN_CALC_YES 1
#define            LGN_CALC_NO 2
#define            LGN_CALC_CALC 3

    /*    DATATYPE MENU PARAMETERS */

#define            DATATYPE_INTEGER 1
#define            DATATYPE_CHARACTER 2
#define            DATATYPE_NONE 3

    /*    COARSE/FINE TIMING MENU */

#define            LGN_TIMING_FINE 1
#define            LGN_TIMING_COARSE 2

    /*    Constants for contexts. */

#define            DTC_CTX_END -1
#define            DTC_CTX_UNKNOWN -2

    /*    Script Variable Data Types */

#define            DTYP_INTEGER 1
#define            DTYP_CHARACTER 2
#define            DTYP_CONINTEGER 3
#define            DTYP_CONCHARACTER 4
#define            DTYP_VP_SCREEN 5
#define            DTYP_FILE 6
#define            DTYP_OPERATOR 7
#define            DTYP_PIPE 8
#define            DTYP_RECORD 9
    /*
     *    Addressing Modes.
     */
#define            ADDR_IMMEDIATE 0
#define            ADDR_LOCAL 1
#define            ADDR_GLOBAL 2
#define            ADDR_VP_OUTPUT 3
#define            ADDR_NONE 4
#define            ADDR_SCRIPT 5
#define            ADDR_TIMER 6
#define            ADDR_FUNCTION 7      /* Was ADDR_FUNCTION_EXT */
#define            ADDR_CONSTANT 8
#define            ADDR_VP_SCREEN 9
#define            ADDR_VP_LINE 10
#define            ADDR_VP_COLUMN 11
#define            ADDR_VP_RESPONSE 12
#define            ADDR_VP_STATUS 13
#define            ADDR_UNUSED1 14      /* Was ADDR_FUNCTION_LOC */
#define            ADDR_THREAD 15
#define            ADDR_FILE 16
#define            ADDR_OPERATOR 17
#define            ADDR_PIPE 18
#define            ADDR_VP_TEST_RESULTS 19
#define            ADDR_TST 20
#define            ADDR_TSTTHR 21
#define        ADDR_TESTWIDE 22
#define        ADDR_HTTP_STATUS 23
#define        ADDR_HTTP_CODE 24

    /*    Command flags */

#define            CMND_ELSE 1
#define            CMND_ELSEIF 2
#define            CMND_END_TIMER 3
#define            CMND_START_TIMER 4
#define            CMND_START_TESTCASE 5
#define            CMND_PASS_TESTCASE 6
#define            CMND_FAIL_TESTCASE 7
#define            CMND_END_TESTCASE 8
#define            CMND_START_IMPACT 9
#define            CMND_END_IMPACT 10
#define            CMND_EXECUTE_IMPACT 11

    /*    Input rate operand parsing flags_ */

#define            INP_RATE_DEF 1
#define            INP_RATE_MAX 2
#define            INP_RATE_VAL 3

    /*    Input rate value flags_ */

#define            DEF_INP_DELAY -1
#define            MIN_INP_DELAY -2

    /*    Null timer offset flag */

#define            TIMER_NULL -1

    /*    Branch conditions */

#define            BRANCH_TRUE -1
#define            BRANCH_FALSE 0
#define            BRANCH_UNCOND 1

    /*    Range values */

#define            RANGE_LOW 0
#define            RANGE_HIGH 1

    /*    Parameter operand flag */

#define            PRM_OPD_FLAG -1

    /*    NULL displacement flag */

#define            NULL_DISP -1


    /*  Operator codes */

#define            OPR_NONE 0
#define            OPR_EQ 1
#define            OPR_NE 2
#define            OPR_LE 3
#define            OPR_GE 4
#define            OPR_LT 5
#define            OPR_GT 6
#define            OPR_CONTAINS 7
#define            OPR_NOT_CONTAINS 8
#define            OPR_ADD 9
#define            OPR_SUBTRACT 10
#define            OPR_AND 11
#define            OPR_OR 12
#define            OPR_MULTIPLY 13
#define            OPR_DIVIDE 14
#define            OPR_MODULO 15
#define            OPR_BITIOR 16        /* Bitwise inclusive OR */
#define            OPR_BITXOR 17        /* Bitwise exclusive OR */
#define            OPR_BITAND 18        /* Bitwise AND */
#define            OPR_MATCHES 19
#define            OPR_NOT_MATCHES 20
#define            OPR_NOT 21
#define            OPR_SEXPR 22         /* Start expression: "(" */
#define            OPR_EEXPR 23         /* End expression: ")" */
#define            OPR_SLIST 24         /* Start list: "(" */
#define            OPR_ELIST 25         /* End list: ")" */
#define            OPR_VALSEP 26        /* Value separator: "," */


    /*   Add opcodes for the instruction types for use solely within the TRACE */
    /*   messages */

#define            OPC_CALLSCP 1
#define            OLD_OPC_CALLSUB 2
#define            OPC_CONVERT 3
#define            OPC_DEFINE 4
#define            OPC_DISTYPAHD 5
#define            OPC_IF 6
#define            OPC_ENTYPAHD 7
#define            OPC_SET 8
#define            OPC_ENDSUB 9
#define            OPC_ENDTIM 10
#define            OPC_EXIT 11
#define            OPC_LINE 12
#define            OPC_GENERATE 13
#define            OPC_GOTO 14
#define            OPC_PUSHIF 15
#define            OPC_INPUT 16
#define            OPC_LOADDEV 17
#define            OPC_LOADTRM 18
#define            OPC_WHENIF 19
#define            OPC_LOG 20
#define            OPC_NEXT 21
#define            OPC_ON 22
#define            OPC_OUTPUT 23
#define            OPC_RESET 24
#define            OPC_RESPONSE 25
#define            OPC_RETURN 26
#define            OPC_PUSHSET 27
#define            OPC_STARTTIM 28
#define            OPC_SUSPEND 29
#define            OPC_SUBROUTINE 30
#define            OPC_WAITPRD 31
#define            OPC_WAITSTR 32
#define            OPC_WAITTIM 33
#define            OPC_TRACEON 34
#define            OPC_TRACEOFF 35
#define            OPC_WRITE 36
#define            OPC_WHEN 37
#define            OPC_CANCELON 38
#define            OPC_CANCELWHEN 39
#define            OPC_HISTORY 40
#define            OPC_REPORT 41
#define            OPC_WAITOUT 42
#define            OPC_LOADDATE 43
#define            OPC_LOADTIME 44
#define            OLD_OPC_NOTE 45
#define            OPC_OPEN 46
#define            OPC_SNAP 47
#define            OPC_READ 48
#define            OPC_REWIND 49
#define            OPC_CLOSE 50
#define            OPC_LOADACCNT 51
#define            OPC_TRACE 52
#define            OPC_DEFINEOUT 53
#define            OPC_LOADTST 54
#define            OPC_LOADDD 55
#define            OPC_RESUMEREC 56
#define            OPC_SUSPENDREC 57
#define            OPC_INIT 58
#define            OPC_STORE 59
#define            OPC_OPERATOR 60
#define            OPC_VPS_OPERATOR 61
#define            OPC_ENDWHEN 62
#define            OPC_LOADSCP 63
#define            OPC_LOADNODE 64
#define            OPC_LOADENV 65
#define            OPC_DETACH 66
#define            OPC_SUSPEND_SCR 67
#define            OPC_RESUME_SCR 68
#define            OPC_UPDATE_SCR 69
#define            OPC_LOAD_ERROR 70
#define            OPC_CASE 71

#define            OPC_CREATEPIPE 72
#define            OPC_OPENPIPE 73
#define            OPC_WRITEPIPE 74
#define            OPC_READPIPE 75
#define            OPC_REPLYPIPE 76
#define            OPC_CLOSEPIPE 77
#define            OPC_DELETEPIPE 78
#define            OPC_SETSEMAPH 79
#define            OPC_CLEARSEMAPH 80
#define            OPC_WAITSEMAPH 81
#define            OPC_GETMUTEX 82
#define            OPC_RELMUTEX 83


#define            OPC_START_TC 84
#define            OPC_FAIL_TC 85
#define            OPC_PASS_TC 86
#define            OPC_END_TC 87
#define            OPC_ABORT_TEST 88

#define            OPC_FORMAT 89
#define            OPC_CALLSUB 90
#define            OPC_NOTEV50 91
#define            OPC_READ_COMMA 92
#define            OPC_LOG_CENTRAL 93
#define            OPC_WRITE_COMMA 94
#define            OPC_START_SQL 95
#define            OPC_END_IMPACT 96
#define            OPC_EXECUTE_IMPACT 97
#define            OPC_EXTEXIT 98
#define            OPC_LOAD_ACTIVETHREADS 99
#define            OPC_NOTE 100
#define            OPC_START_IMPACT 101
#define            OPC_WAITPOS 102
#define            OPC_MAP_FILE 103
#define            OPC_READ_FILE 104
#define            OPC_MATCH 105
#define            OPC_SUBTST 106
#define            OPC_END_SUBTST 107
#define            OPC_MAX_OPCODE 107

    /*    Define opcodes for the 'sub-commands' used by the INIT instruction. */

#define            INI_STEPS 1
#define            INI_RANGE 2
#define            INI_VALUE 3
#define            INI_RECORD 4
#define            INI_REC_ARRAY 5


    /*   The top two nibbles of this longword bitmask are reserved for use */
    /*   by the foreground and background colours_ */


#define            MAX_ATTRIBUTES 15

    /*   ...and values to show whether attributes have been specified or not */

#define            ATTR_SET 1
#define            ATTR_NOTSPEC 0
#define            ATTR_UNSET -1



    /*  Executer Ids. */

#define            EXECID_VTEST 0   /* V-TEST */
#define            EXECIDTXT_VTEST "CYRANO-Test"
#define            EXECID_SQATT 1   /* SQA TeamTest */
#define            EXECIDTXT_SQATT "CYRANO-Robot"





#define            EXECID_WINDOWS 2 /* Windows */
#define            EXECIDTXT_WINDOWS "Windows"






    /*    Executer ID is CYRANO Open Transaction Analyser for SYBASE. */
    /*  Note that this used to be WHILE - we have kept the old symbols for */
    /*  upwards compatibility. */

#define            EXECID_OTA_SYBASE 3  /* CYRANO OTA for Sybase */
#define            EXECID_WHILE_SYBASE 3    /* CYRANO OTA for Sybase */
#define            EXECIDTXT_OTA_SYBASE "CYRANO-OTA-Sybase"
#define            EXECIDTXT_WHILE_SYBASE "CYRANO-OTA-Sybase"

#define            EXECID_WEBANL 4  /* Web Analyst  */
#define            EXECIDTXT_WEBANL "CYRANO-WebTester"

    /*    Executer ID is CYRANO Open Transaction Analyser for ORACLE. */
    /*  Note that this used to be WHILE - we have kept the old symbols for */
    /*  upwards compatibility. */

#define            EXECID_OTA_ORACLE 5  /* CYRANO OTA Oracle */
#define            EXECID_WHILE_ORACLE 5    /* CYRANO OTA Oracle */
#define            EXECIDTXT_OTA_ORACLE "CYRANO-OTA-Oracle"
#define            EXECIDTXT_WHILE_ORACLE "CYRANO-OTA-Oracle"


    /*   Bit values to specify the File Access Types_ */

#define            OPEN_INPUT 0X1
#define            OPEN_OUTPUT 0X2
#define            OPEN_APPEND 0X4



    /*   Bit values to specify the type of data specified for the MATCH command */

#define            MATCH_CURRENCY 1
#define            MATCH_DATE 2



    /* Bit specifying File data type - Comma separated or not */

#define            FILE_NOCOMMA 0
#define            FILE_COMMA 1




    /*    Bit values for READ options. */

#define            READ_INDEXED 1

    /*    Bit values for MATCH options. */

#define            MATCH_RETURNVALUE1 1
#define            MATCH_RETURNVALUE2 2



    /*   Bit values to specify PIPE flags */

    /*   If this bit is set then the pipe is a synchronous pipe. */

#define            PIPFLG_SYNCHRONOUS 1

    /*   If this bit is set then the pipe is a test-wide pipe. */

#define            PIPFLG_TESTWIDE 2

    /*   If this bit is set then the pipe is to be named automatically. */

#define            PIPFLG_SYSNAME 4

    /*   If this bit is set then the pipe is really a mutex pipe. */

#define            PIPFLG_MUTEX 8



    /*    Recording options bit values. */

    /*    If this bit is set then we are to record input data */

#define            RECORD_INPUT 1

    /*    If this bit is set then we are to record output data */

#define            RECORD_OUTPUT 2

    /*    If this bit is set then we are to record service data */

#define            RECORD_SERVICE 4

    /*    If this bit is set then we are to record response data */

#define            RECORD_RESPONSE 8

    /*    If this bit is set then we are to record transmission data */

#define            RECORD_TRANS 16

    /*    If this bit is set then we are to record command data */

#define            RECORD_COMMAND 32

    /*    Bit values for the options on the OPEN Command. */

    PSL_U_LONGWORD_T        dummy0l;
#define            OPEN_SHARED 0X1  /* SHARED access */
#define            OPEN_BINFILE 0X2 /* File is a Binary file */
#define            OPEN_COMMASEP 0X4    /* File is comma seperated */

    /*    Constant required to define the STATE of a Server */

#define            SERVER_ABSENT 0
#define            SERVER_INITIAL 1
#define            SERVER_RUNNING 2
#define            SERVER_ABORT 3



    /*    Constants required to define the TYPE of a Server */

    /*    If the server type field contains this value the server has been created */
    /*    as a Test Server. It is identified by the SCOPE and ENVIRONMENT fields. */

#define            SRVTYP_SERVER 1

    /*    If the server type field contains this value the server has been created */
    /*    as a Primary Test Executer. */

#define            SRVTYP_MASTER_EXECUTER 2

    /*    If the server type field contains this value the server has been created */
    /*    as a Secondary (slave) Test Executer. */

#define            SRVTYP_SLAVE_EXECUTER 3



    /*    Define constants for the timing out of various DTC functions. */

#define            DTC_CONNECT_TMO 180
#define            DTC_RESPONSE_TMO 180
#define            DTC_INTERRUPT_TMO 1
#define            DTC_READ_TMO 300
#define            DTC_WRITE_TMO 30

    /*    Define constants for recovering summary information. */

    /*    If the MODE is set to this value then the item AT context will be returned */
    /*    If the context is NULL then the first item will be returned. */

#define            DTC_MODE_CURRENT 1

    /*    If the MODE is set to this value then the item FOLLOWING context will be */
    /*    returned. If the context is NULL then the first item will be returned. */

#define            DTC_MODE_NEXT 2

    /*    If the MODE is set to this value then the item PRIOR TO context will be */
    /*    returned. If the context is NULL then the last item will be returned. */

#define            DTC_MODE_PREV 3

    /*    Define the flags for expanding on a Test Level. Note these are bit masks. */

#define            DTC_EXPAND_TERMINAL 1
#define            DTC_EXPAND_TEST 2
#define            DTC_NOTES_ONLY 4

    /*    Constants for database types. */

#define            SQL_DATABASE_SYBASE 1
#define            SQL_DATABASE_ORACLE 2


    /*    Define bit masks required by SCL and LGR. Note that we must define dummy */
    /*    fields to go with these bit masks as SDL will not allow us to define them */
    /*    by their selves. */

    /*    This longword is used to flag convert options. It */
    /*    contains a bitmap, in which each bit represents a convert */
    /*    option. The bits are interpreted as follows */

    /*        CNVOPT.SIGN_M Clear       equals  SIGNED         (Default) */
    /*              Set         equals  UNSIGNED */
    /*        CNVOPT.JUST_M Clear       equals  LEFT JUSTIFY   (Default) */
    /*              Set         equals  RIGHT JUSTIFY */
    /*        CNVOPT.LEAD_M Clear       equals  LEADING ZEROS  (Default) */
    /*              Set         equals  LEADING SPACES */

    PSL_U_LONGWORD_T        dummy1l;  /* Dummy variable for masks */
#define            CNVOPT_SIGN 0X1
    /* Sign option */
#define            CNVOPT_LEAD 0X2
    /* Leading Character option */
#define            CNVOPT_JUST 0X4
    /* Justification option */
#define            CNVOPT_RADIX 0X8
    /* Radix option */

    /*    Input options bitmasks. */

    PSL_U_LONGWORD_T        dummy2l;  /* Dummy variable for masks */
#define            INPOPT_RESPONSE 0X1
    /* With response timer */
#define            INPOPT_FKEY 0X2
    /* Input Function Key */

    /*    Subroutine useage flags */

    PSL_U_LONGWORD_T        dummy3l;  /* Dummy variable for masks */
#define            SUB_WRITE_EXIT 0X1
    /* Bit 1 = Exit code written */
#define            SUB_RETURN 0X2
    /* Bit 2 = Return encounterd */
#define            SUB_START 0X4
    /* Bit 3 = Sub. being processed */

    /*    Script Input Options bitmasks */

    PSL_U_LONGWORD_T        dummy4l;  /* Dummy variable for masks */
#define            SCLOPT_TYPEAHEAD 0X1
    /* Typeahead option */

    /*   We will also require bitmasks to specify the attributes in the internal */
    /*   mask */

    PSL_U_LONGWORD_T        dummy5l;  /* Dummy variable for masks */
#define            CHAR_BACKCOLOUR 0X1
    /* Background colour     */
#define            CHAR_BLINKING 0X2
    /* Blinking */
#define            CHAR_BOLD 0X4
    /* Bold */
#define            CHAR_CHRSET 0X8
    /* Character set */
#define            CHAR_DBLHEIGHT 0X10
    /* Double height set */
#define            CHAR_DBLWIDTH 0X20
    /* Double width set */
#define            CHAR_FORECOLOUR 0X40
    /* Foreground colour */
#define            CHAR_INVERSE 0X80
    /* Inverse Video */
#define            CHAR_NOBLINKING 0X100
    /* Not Blinking */
#define            CHAR_NOBOLD 0X200
    /* Not Bold */
#define            CHAR_NOINVERSE 0X400
    /* Not Inverse video */
#define            CHAR_NOUNDERLINE 0X800
    /* No underline */
#define            CHAR_SNGHEIGHT 0X1000
    /* Single Height */
#define            CHAR_SNGWIDTH 0X2000
    /* Single Width */
#define            CHAR_UNDERLINE 0X4000
    /* Underline */
#define            CHAR_IGNATTRIBUTES 0X8000
    /* Ignore other attributes */
#define            CHAR_DEFATTRIBUTES 0X10000
    /* Default other attributes */

    /*    Environment section bitmasks */

    PSL_U_LONGWORD_T        dummy6l;  /* Dummy variable for masks */
#define            ENV_DESC 0X1
    /* Description specified */
#define            ENV_RATE 0X2
    /* Input Rate Specified */
    /**** #define      ENV_NAME 0X4 ***/        /* Remove script name */
    /* Script Name specified */
#define            ENV_MODE 0X8
    /* Script Mode specified */
#define            ENV_PROT 0X10
    /* Script Protection specified */

#define            ENV_WAIT_UNIT 0X20       /* Script wait unit */


    /*    SNAP command masks. */

    PSL_U_LONGWORD_T        dummy8l;  /* Dummy variable for masks */
#define            SNAP_CREATE 0X1
    /* Create SNAP file */
#define            SNAP_APPEND 0X2
    /* APPEND to snap file */

    /*    WHEN command masks */

    PSL_U_LONGWORD_T        dummy9l;  /* Dummy variable for masks */
#define            WHEN_CANCEL 0X1
    /* Cancel WHEN */
#define            WHEN_NOCANCEL 0X2
    /* Do not cancel when */
#define            WHEN_GOTO 0X4
    /* WHEN GOTO */
#define            WHEN_CALL 0X8
    /* WHEN CALL */

    /*    EXIT command bitmasks */

    PSL_U_LONGWORD_T        dummy10l; /* Dummy variable for masks */
#define            EXIT_DETACH 0X1      /* EXIT with DETACH */
#define            EXIT_KEEPALIVE 0X2
#define            EXIT_STATUS 0X4      /* EXIT status */

    /*    Script Variable Options. */
    /*    These options are held in the operand header. Note that there could */
    /*    be a possible conflict of values between these and the input options */
    /*    values as we parse both into the same options bitmask. We must be */
    /*    carefull to avoid conflicts. */

    PSL_U_LONGWORD_T        dummy11l; /* Dummy variable for masks */
#define            VOPT_RANDOM 0X1
    /* Random variable */
#define            VOPT_SCOPE 0X2
    /* Scope specified */
#define            VOPT_LIST 0X4
    /* variable has list */
#define            VOPT_RANGE 0X8
    /* Range specified */
#define            VOPT_ECHO 0X10
    /* Echo specified */
#define            VOPT_PROMPT 0X20
    /* Prompt specified */
#define            VOPT_UPPERCASE 0X40
    /* Input in uppercase */
#define            VOPT_TRAILING 0X80
    /* Trailing spaces significant */
#define            VOPT_SEED 0X100
    /* Seed variable specified */
#define            VOPT_CASEBLIND 0X200
    /* Case blind specified */
#define            VOPT_ARRAY 0X400
    /* Variable is an array */

#define            VOPT_TYP_AHEAD 0X800
    /* Enable type ahead for input */

#define            VOPT_ONE_TRAIL 0X1000
    /* One trailing space */

#define            VOPT_MAX_INPUT 0X2000
    /* Max input rate. */
#define            VOPT_ATOMIC_INPUT 0X4000
    /* Input string as atomic */
#define            VOPT_PIPE_SYNC 0X8000
    /* Pips is synchronous */
#define            VOPT_FILE 0X10000
    /* File variable */

    /*    Add flags which we can use to keep track of the tracing options enabled */
    /*    within LGR/VTD. These bitmasks are used instead of calling the PSL */
    /*    routines as LGR/VTD have declared macros to simplify tracing and an */
    /*    internal flags bitmask to speed up checking of tracing as owing to them */
    /*    being detached processes there is stacks of tracing required. */

    PSL_U_LONGWORD_T        dummy12l;
#define            VTRC_DTC 0X1
#define            VTRC_PIPE 0X2
#define            VTRC_MISC 0X4
#define            VTRC_DTCMSG 0X8
#define            VTRC_USER1 0X10
#define            VTRC_USER2 0X20
#define            VTRC_USER3 0X40
#define            VTRC_USER4 0X80
#define            VTRC_USER5 0X100


    /*   V-TEST LOCAL PARAMETER TABLE */

    /*    The following parameters define offsets within the V-TEST Local */
    /*    Parameter Table. */

    /*    AS OF V_TEST V5.1 THIS TABLE IS NO LONGER USED. */

#define            SRV_PRMTBL_SIZE 0
    /* Parameter table size  */



    /*    The following parameters define database types */

    PSL_U_LONGWORD_T        dummy13l; /* Dummy variable for masks */
#define            DATABASE_SYBASE_M 0X1
#define            DATABASE_SYBASE_V 0
#define            DATABASE_ORACLE_M 0X2
#define            DATABASE_ORACLE_V 1
    /*    Sub-test useage flags. */

    PSL_U_LONGWORD_T        dummy14l; /* Dummy variable for masks */
#define            SUBTST_START 0X1
    /* Bit 1 = Sub-test being */
    /* processed */
    char                    fill1c4[4];   /* Fill to quadword boundary */



} ;

/*  End of C Include File */

#endif  /* PSL__VTEST_PRMDEF_LOADED */
