/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// This file defines UNICODE character classes.
// It is based on the document:
//      "Extensible Markup Language (XML) 1.0 (Second Edition)
//       W3C Recommendation 6 October 2000"
// available at http://www.w3.org/TR/2000/REC-xml-20001006.
///////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

// The following constant array defines UNICODE character classes.
// Each entry corresponds to a UNICODE character, and is an 8-bit
// bitmask encoding the following information about the character:
// - Whether the character is a  BaseChar      (bit 0).
// - Whether the character is an Ideographic   (bit 1).
// - Whether the character is a  CombiningChar (bit 2).
// - Whether the character is a  Digit         (bit 3).
// - Whether the character is an Extender      (bit 4).
// - Whether the character is a  PubidChar     (bit 5).
extern const BYTE CharClass[] =
{
#include "charclass.h"
};

extern const DWORD dwNbCharClassElements = sizeof CharClass / sizeof *CharClass;
