/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_TRACESETDLG_H__8DC45593_5A6F_11D5_94F5_00C04F89E392__INCLUDED_)
#define AFX_TRACESETDLG_H__8DC45593_5A6F_11D5_94F5_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TraceSetDlg.h : header file
//

#include "CECGridCtrl.h"
/////////////////////////////////////////////////////////////////////////////
// CTraceSetDlg dialog

class CTraceSetDlg : public CDialog
{
// Construction
public:
	CTraceSetDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTraceSetDlg)
	enum { IDD = IDD_TRACESETTINGS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA
	CECGridCtrl m_ctlList;

	void GetTargetList(CStringArray&);
	void LoadTraceSettings(CMap <CString,LPCTSTR,int,int>& mapLevels);
	void SaveTraceSettings(CMap <CString,LPCTSTR,int,int>& mapLevels);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTraceSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTraceSetDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	typedef enum{enNone=0,enLow=10,enMedium=20,enHigh=50} TraceLevels;
	const CString strNoTracing;
	const CString strLowTracing;
	const CString strMedTracing;
	const CString strHighTracing;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRACESETDLG_H__8DC45593_5A6F_11D5_94F5_00C04F89E392__INCLUDED_)
