/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// PluginManager.h: interface for the CPluginManager class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLUGINMANAGER_H__F4CC86D7_D999_43E9_B536_D8418245F201__INCLUDED_)
#define AFX_PLUGINMANAGER_H__F4CC86D7_D999_43E9_B536_D8418245F201__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "Plugin.h"
#include "AfxTempl.h"

class CPluginManager  
{
public:
	CPluginManager(CString plugPath);
	virtual ~CPluginManager();

	CPlugin*		GetPlugin(int nType, CString szTitle);
	void		ListPluginsByType(int Type, CStringArray& arrSzTitles);
	void		ListPluginsByPackage(CString szPackage, CStringArray& arrSzTitles);

private:
	void LoadPlugin(CString szPath);
    CTypedPtrArray<CPtrArray, CPlugin*> m_PluginDLLs;

};

#endif // !defined(AFX_PLUGINMANAGER_H__F4CC86D7_D999_43E9_B536_D8418245F201__INCLUDED_)
