/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// TaskGroupDefData.h: interface for the CTaskGroupDefData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TASKGROUPDEFDATA_H__79DFA114_E169_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_TASKGROUPDEFDATA_H__79DFA114_E169_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

const int MAXSCHEDULEDTIME=14;

class CTaskGroupDefData  
{
public:
	void SetIsDelayed(BOOL b);
	BOOL GetIsDelayed();
	void SetStopOnComplete(BOOL b);
	BOOL GetStopOnComplete();
	BOOL m_bTaskGroupEnabled;
	void SetTaskGroupEnabled(BOOL b);
	BOOL GetTaskGroupEnabled();
	BOOL GetUseAdvancedVUInfo();
	void SetUseAdvancedVUInfo(BOOL b);
	
	virtual ~CTaskGroupDefData();

	BOOL SaveToBuffer(LPBYTE pData,DWORD &dwBufSize);
	BOOL LoadFromBuffer(LPBYTE pData);

	void SetStartInterval(int n){m_nStartInterval = n;}
	void SetNumVUs(int n){m_nNumVUs = n;}
	void SetNumVUsHttpRes(int n){m_nNumVUsHttpRes = n;}
	void SetNumVUsTimRes(int n) {m_nNumVUsTimRes = n;}
	void SetNumVUPerInterval(int n){m_nVUPerInterval=n;}
	void SetUsePageTimers(BOOL b){m_bGenPageTimers = b;}
	void SetStartDelay(int n){m_nStartDelay = n;}
	
	int GetStartInterval(){return m_nStartInterval;}
	int GetNumVUs(){return m_nNumVUs;}
	int GetNumVUsTimRes(){return m_nNumVUsTimRes;}
	int GetNumVUsHttpRes(){return m_nNumVUsHttpRes;}
	int GetNumVUPerInterval(){return m_nVUPerInterval;}
	BOOL GetUsePageTimers(){return m_bGenPageTimers;}
	int GetStartDelay(){return m_nStartDelay;}
	
	BOOL GetIsScheduled(){ return m_bIsScheduled;}
	void SetIsScheduled(BOOL d) {m_bIsScheduled=d;}
	int GetInterBatchDelay(){ return m_iInterBatchDelay;}
	void SetInterBatchDelay(int i) {m_iInterBatchDelay=i;}	
	long GetVUsPerBatch(){ return m_lVUsPerBatch;}
	int GetBatchRampUpTime(){ return m_iBatchRampUpTime;}
	void SetBatchRampUpTime(int i) {m_iBatchRampUpTime=i;}
	void SetVUsPerBatch(long l) {m_lVUsPerBatch=l;}



	CString GetScheduledTime();
	void SetScheduledTime(CString time);

	BOOL GetbIsDuration();
	void SetbIsDuration(BOOL d);
	long GetTaskDuration();
	void SetTaskDuration(long duration);
	void SetTaskIterations(long iterations);
	long GetTaskIterations();
	CTaskGroupDefData();

private:	
	BOOL m_bIsDelayed;
	BOOL m_bStopOnComplete;
	long m_lVUsPerBatch;
	int  m_iInterBatchDelay;
	int  m_iBatchRampUpTime;
	BOOL m_bShowAdvancedVUInfo;

	long m_lTaskGroupIterations;
	long m_lTaskGroupDuration;
	int		m_nStartInterval;
	int		m_nNumVUs;
	int		m_nNumVUsTimRes;
	int		m_nNumVUsHttpRes;
	int		m_nVUPerInterval;
	BOOL	m_bGenPageTimers;
	char	m_chTimerStatLevel;
	int		m_nStartDelay;
	BOOL	m_bIsDuration;
	BOOL	m_bIsScheduled;
	char	m_iScheduledTime[MAXSCHEDULEDTIME+1];
	
};

#endif // !defined(AFX_TASKGROUPDEFDATA_H__79DFA114_E169_11D4_94C9_00C04F89E392__INCLUDED_)
