/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OutputLog.cpp : implementation file
//

#include "stdafx.h"
#include "relaycfg.h"
#include "OutputLog.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COutputLog dialog


COutputLog::COutputLog(CWnd* pParent /*=NULL*/)
	: CDialog(COutputLog::IDD, pParent)
{
	//{{AFX_DATA_INIT(COutputLog)
	m_strLog = _T("");
	//}}AFX_DATA_INIT
}


void COutputLog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COutputLog)
	DDX_Text(pDX, IDC_LOG, m_strLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COutputLog, CDialog)
	//{{AFX_MSG_MAP(COutputLog)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutputLog message handlers

void COutputLog::OnTimer(UINT nIDEvent) 
{
	Update();
	CDialog::OnTimer(nIDEvent);
}

BOOL COutputLog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	Update();
	SetTimer(1,5000, NULL);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void COutputLog::Update()
{
	CMainFrame* pMainFrame = (CMainFrame*)AfxGetMainWnd();
	m_strLog = pMainFrame->m_strOutLog;
	UpdateData(FALSE);

}
