/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_RELAYMAPDLG_H__69194D9E_407A_4306_BA9E_49283AFC277D__INCLUDED_)
#define AFX_RELAYMAPDLG_H__69194D9E_407A_4306_BA9E_49283AFC277D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RelayMapDlg.h : header file
//
#include "CECGridCtrl.h"
/////////////////////////////////////////////////////////////////////////////
// CRelayMapDlg dialog

class CRelayMapDlg : public CDialog
{
// Construction
public:
	void UpdateMap();
	void LoadRelayMap();
	CRelayMapDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRelayMapDlg)
	enum { IDD = IDD_RELAYMAP };
	CBitmapButton	m_ctlDel;
	CBitmapButton	m_ctlAdd;
	//}}AFX_DATA

	struct RelayDef
	{
		CString strAlias;
		CString strHost;
		CString strExtPath;
		CString strPort;
		CString strUser;
		CString strPass;
		bool bUseSSL;
	};

	CArray<RelayDef, RelayDef> m_arrDefs;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRelayMapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
    afx_msg void OnDblClkRelayMap(NMHDR* pNMHDR,LRESULT *pResult);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRelayMapDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddRow();
	afx_msg void OnDelRow();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    CECGridCtrl m_ctlRelayMap;

	bool m_bModified;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RELAYMAPDLG_H__69194D9E_407A_4306_BA9E_49283AFC277D__INCLUDED_)
