/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// TraceLevelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "relaycfg.h"
#include "TraceLevelDlg.h"
#include "OstaTraceDef.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTraceLevelDlg dialog


CTraceLevelDlg::CTraceLevelDlg(int nTraceLevel, CWnd* pParent /*=NULL*/)
	: CDialog(CTraceLevelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTraceLevelDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_nTraceLevel = nTraceLevel;
}


void CTraceLevelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTraceLevelDlg)
	DDX_Control(pDX, IDC_TRACE, m_ctlTraceLev);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTraceLevelDlg, CDialog)
	//{{AFX_MSG_MAP(CTraceLevelDlg)
	ON_CBN_SELCHANGE(IDC_TRACE, OnSelchangeTrace)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTraceLevelDlg message handlers

BOOL CTraceLevelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctlTraceLev.InsertString(0, "None");
	m_ctlTraceLev.InsertString(1, "Low");
	m_ctlTraceLev.InsertString(2, "Medium");
	m_ctlTraceLev.InsertString(3, "High");

	switch (m_nTraceLevel)
	{
		case TRCLEV_NONE:
		{
			m_ctlTraceLev.SetCurSel(0);
			break;
		}
		case TRCLEV_LOW:
		{
			m_ctlTraceLev.SetCurSel(1);
			break;
		}
		case TRCLEV_MEDIUM:
		{
			m_ctlTraceLev.SetCurSel(2);
			break;
		}
		case TRCLEV_HIGH:
		{
			m_ctlTraceLev.SetCurSel(3);
			break;
		}
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

int CTraceLevelDlg::GetTraceLevel()
{
	return m_nTraceLevel;
}

void CTraceLevelDlg::OnSelchangeTrace() 
{
	int nPos = m_ctlTraceLev.GetCurSel();

	switch (nPos)
	{
		case 0:
		{
			m_nTraceLevel = TRCLEV_NONE;
			break;
		}
		case 1:
		{
			m_nTraceLevel = TRCLEV_LOW;
			break;
		}
		case 2:
		{
			m_nTraceLevel = TRCLEV_MEDIUM;
			break;
		}
		case 3:
		{
			m_nTraceLevel = TRCLEV_HIGH;
			break;
		}
	}

}
