/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

///////////////////////////////////////////////////////////////////////////////
// @doc     StepByStep_CommanderImpl
// @module  StepByStep_CommanderImpl|implement StepByStep_Commander
//
///////////////////////////////////////////////////////////////////////////////
#ifndef _StepByStep_CommanderImpl_H_
#define _StepByStep_CommanderImpl_H_

#include "StepByStep_Control.h"
#include "StepByStep_Commander.h"
#include <string>
#include <OSTAORB/OSTAORB.h>


class StepByStepCommanderImpl : public virtual POA_StepByStepCommander,public PortableServer::RefCountServantBase
{
public:
    StepByStepCommanderImpl(LPCTSTR szHost);
    virtual ~StepByStepCommanderImpl();
	void Initialise(CORBAServer* corba);

    // StepByStep_Commander operations:
    virtual CORBA::Boolean IsStepByStep();
    virtual void NextRequest(const char* ScriptName, CORBA::Long lScriptLineNumber, CORBA::Long lTaskGroupID, CORBA::Long lVUId, CORBA::Long lConId, const char* strRequest);
    virtual void RequestComplete(CORBA::Long lTaskGroupID, CORBA::Long lVUId, CORBA::Long lConId, CORBA::Boolean bIsBinaryData, const char* strHeaders, const char* strBody, CORBA::Long lBodyLength);

		
    BOOL Next(long lTaskGroupID, long lVUId);

	void SetCommander(BOOL bAttach /*=TRUE*/);

private:

    //// Data:
    CORBAServer*                    m_corba;
    std::string                     m_registered_name;
	StepByStepControl_ptr			m_stepCtrl;
	std::string						m_strHost;
};
#endif
