// TestDebug.h: interface for the CTestDebug class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTDEBUG_H__CCE885D6_27A5_4837_82AF_F7FB95C11C67__INCLUDED_)
#define AFX_TESTDEBUG_H__CCE885D6_27A5_4837_82AF_F7FB95C11C67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StepByStep_Commander_i.h"
#include "CORBAInfo.h"
#include "DebugComms.h"
#include "TestDebugCommsProxy.h"
#include "HttpSingleStepFile.h"


class CTestDebug : protected StepByStepCommanderImpl  
{
public:
	friend CTestDebugCommsProxy;

	CTestDebug(const CString&,BOOL,BOOL,const CString&);
	virtual ~CTestDebug();
	
	void RunTest();

protected:
	//Overloaded for stepbystepCommander
	CORBA::Boolean IsStepByStep();
	void NextRequest(const char* ScriptName, CORBA::Long lScriptLineNumber, CORBA::Long lTaskGroupID, CORBA::Long lVUId, CORBA::Long lConId, const char* strRequest);
	void RequestComplete(CORBA::Long lTaskGroupID, CORBA::Long lVUId, CORBA::Long lConId, CORBA::Boolean bIsBinaryData, const char* strHeaders, const char* strBody, CORBA::Long lBodyLength);

	void DoRequestComplete(CRequestCompleteData* pRC);
	void DoNextRequest(CNextRequestData* pNRD);
	void LogRequestComplete(CRequestCompleteData* pRCD);
	void LogNextRequest(CNextRequestData* pNRD);
	
	BOOL IsBreakpoint(const CString& strScript,int nLine);
	BOOL LoadBreakPoints(const CString& strScript);

	CString GetTestName(){return m_strTestName;}
	void GetTestRunPath(CString &strPath);

	//Client commands
	BOOL StepSingleUser(int nVUId);
	BOOL StepSingleEvent();
	BOOL Run();
	BOOL Break();
	BOOL SetBreakPoint(const CString& strScript,int nLine,BOOL bSet);
	BOOL SendState();
	BOOL Abort();
	
protected:
	CString m_strTestName;
	CCORBAInfo m_CorbaInfo;

	HANDLE m_hRunEvent;
	int m_nStepMode;
	int m_nCurrentVU;
	CString m_strCurrentScript;
	BOOL m_bReadyToStep;
	BOOL m_bTestRunning;
	int m_nRequestId;
	BOOL m_bUseBreakPoints;
	volatile BOOL m_bAborted;

	CTestDebugCommsProxy* m_pComms;

	CCriticalSection m_CritSectCommand;
	CCriticalSection m_CritSectCorba;

	CMap <int,int,bool,bool> m_mapBreakPoints;

	CHttpSingleStepFile m_HttpSSFile;
};

#endif // !defined(AFX_TESTDEBUG_H__CCE885D6_27A5_4837_82AF_F7FB95C11C67__INCLUDED_)
