/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_VUSDLG_H__F36DEBC5_4ACA_11D5_94F2_00C04F89E392__INCLUDED_)
#define AFX_VUSDLG_H__F36DEBC5_4ACA_11D5_94F2_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VUsDlg.h : header file
//
#include "TaskGroupDefData.h"
#include "TimeCtrl.h"
#include "resource.h"
class CTestFile;
/////////////////////////////////////////////////////////////////////////////
// CVUsDlg dialog

class CVUsDlg : public CDialog
{
// Construction
public:
	CVUsDlg(CWnd* pParent = NULL);   // standard constructor
	BOOL SetWindowEnabled();

// Dialog Data
	//{{AFX_DATA(CVUsDlg)
	enum { IDD = IDD_VUS_DLG };
	CSpinButtonCtrl	m_ctlNumVusTimResSpin;
	CSpinButtonCtrl	m_ctlNumVusHttpResSpin;
	CTimeCtrl	m_ctlStartDelay;
	CSpinButtonCtrl	m_ctlVUPerBatchSpin;
	CSpinButtonCtrl	m_ctlNumVusSpin;
	CSpinButtonCtrl	m_ctlBatchDelaySpin;
	CSpinButtonCtrl	m_ctlBatchRampSpin;
	BOOL	m_bUseAdvancedOptions;
	BOOL	m_bGenPageTimers;
	int		m_nInterBatchDelay;
	int		m_nNumVUs;
	int		m_nStartInterval;
	int		m_nVUPerBatch;
	int		m_nVUsPerInterval;
	int		m_nBatchRampTime;
	CString	m_WarningString;
	int		m_nNumVUs_HttpRes;
	int		m_nNumVUs_TimRes;
	//}}AFX_DATA

	void SetTestFile(CTestFile* pTestFile,int nGroup,HWND hwndNotify);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVUsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CVUsDlg)
	afx_msg void OnAdvancedOptions();
	afx_msg void OnChangeNumVus();
	afx_msg void OnGenPageTimers();
	afx_msg void OnChangeInterBatchdelay();
	afx_msg void OnChangeVuPerBatch();
	afx_msg void OnChangeBatchRampTime();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnChangeNumVusHttpres();
	afx_msg void OnChangeNumVusTimres();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SaveDataToTestFile();

	CTestFile *m_pTestFile;
	CTaskGroupDefData m_TGData;

	HWND m_hwndNotify;
	int m_nTaskGroup;

private:
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VUSDLG_H__F36DEBC5_4ACA_11D5_94F2_00C04F89E392__INCLUDED_)
