/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_)
#define AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GraphWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGraphWnd frame
class CGraphWnd : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CGraphWnd)
protected:
	CGraphWnd();           // protected constructor used by dynamic creation

// Attributes
public:
	virtual ~CGraphWnd();

	void SetGraph(CWnd *);
	CWnd *GetGraph(){return m_pGraph;}
	void SetNotifyWindow(HWND hWnd)
	{
		m_hWndNotify = hWnd;
	}

	typedef enum{ enActive ,enInactive, enDestroyed} MdiState;

	void EnableCloseButton(BOOL bEnable=TRUE)
	{
		m_bCloseEnabled = bEnable;
	}
// Operations
public:
	BOOL m_bActive;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphWnd)
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphWnd)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnNcPaint();
	afx_msg void OnNcLButtonDown(UINT nHitTest, CPoint point);
	afx_msg void OnInitMenu(CMenu* pMenu);
	afx_msg void OnChildActivate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CWnd *m_pGraph;
	HWND m_hWndNotify;
	BOOL m_bCloseEnabled;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_)
