/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_MONITORSUMMARY_H__39FACE0F_018C_471A_BF5D_CE91AAB878BC__INCLUDED_)
#define AFX_MONITORSUMMARY_H__39FACE0F_018C_471A_BF5D_CE91AAB878BC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MonitorSummary.h : header file
//
#include "TestFile.h"
#include "mthread.hpp"
#include <TestManager.h>
#include "resource.h"
#include "HeaderCtrlExt.h"

const int MAX_TASKS=200;

/////////////////////////////////////////////////////////////////////////////
// CMonitorSummary dialog
class CMonitorSummary : public CDialog
{

// Construction
public:
	void DisplaySimpleColumns();

	typedef enum
	{
		enTaskGroupCol,
		enStatusCol,
		enDurationCol,
		enHTTPrCol,
		enHTTPrperSecondCol,
		enHTTPrFailedCol,
		enHTTPrFailedperSecondCol,
		enHTTP3xxCol,
		enHTTP3xxColPerSecond,
		enHTTP4xxCol,
		enHTTP4xxColPerSecond,
		enHTTP5xxCol,
		enHTTP5xxColPerSecond,
		enHTTPbCol,
		enHTTPbperSecondCol,
		enBytesInCol,
		enBytesInperSecondCol,
		enBytesOutCol,
		enBytesOutperSecondCol,
		enMinCol,
		enAvgCol,
		enMaxCol,
		enTaskIterationsperSecondCol,
		enTotalVuCol,
		enActiveVuCol,
		enInactiveVuCol,
		enOnErrorVuCol,
		enFinishedVuCol,
		enFirstTaskCol,
	} ListMonitoringColumns;


	struct testSnap
	{
		double dTotalBytesIn;
		double dTotalBytesOut;
		long lMinRequestLatency;
		long lMaxRequestLatency;
		long lAvgRequestLatency;
		long lTotalFailedRequests;
		long lTotalRequests;
		long l3xxRequests;
		long l4xxRequests;
		long l5xxRequests;
		long lTotalTaskIterations;
		long lMinConnectionTime;
		long lAvgConnectionTime;
		long lMaxConnectionTime;
		long lActiveVUs;
		long lFinishedVUs;
		long lInactiveVUs;
		long lFinishedOnErrorVUs;
		int	nTaskGroups;
		int nExecuters;
	};

	struct taskStatus
	{
		long lTaskGroupId;
		BOOL bEnabled;
		TGExecStatus status;
	};

	BOOL Init(CString strManagerReg, CTestFile* pTestFile);
	CMonitorSummary(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMonitorSummary();


	CArray<taskStatus,taskStatus> m_TaskStatus;

	TESnapList m_snapList1;
	HTTPTEsSnapshot m_HTTPTEsSnapList1;

	CString m_strManagerReg;
	CTestFile* m_pTestFile;
	HANDLE m_hCloseThread;

// Dialog Data
	//{{AFX_DATA(CMonitorSummary)
	enum { IDD = IDD_MON_SUMMARY };
	CStatic	m_ctlTestText;
	CStatic	m_ctlTGText;
	CListCtrl	m_ctlTestSummary;
	CListCtrl	m_ctlSummary;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMonitorSummary)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	int m_nInterval;//the refesh interval in milliseconds
	static UINT GetUpdate(LPVOID pParam);
	// Generated message map functions
	//{{AFX_MSG(CMonitorSummary)
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnMonShowTaskGroup();
	afx_msg void OnMonShowStatus();
	afx_msg void OnMonShowDuration();
	afx_msg void OnMonShowHttpR();
	afx_msg void OnMonShowHttpB();
	afx_msg void OnMonShowBytesIn();
	afx_msg void OnMonShowBytesOut();
	afx_msg void OnMonShowMin();
	afx_msg void OnMonShowMax();
	afx_msg void OnMonShowAvg();
	afx_msg void OnMonShowVus();
	afx_msg void OnMonShowTaskVus();
	afx_msg void OnMonShowTaskIterations();
	afx_msg void OnMonShowTaskPeriod();
	afx_msg void OnMonShowActivevus();
	afx_msg void OnMonShowBytesinps();
	afx_msg void OnMonShowBytesoutps();
	afx_msg void OnMonShowHttpbps();
	afx_msg void OnMonShowHttprps();
	afx_msg void OnMonShowInactivevus();
	afx_msg void OnMonShowTasktotiterations();
	afx_msg void OnMonShowtestActivevus();
	afx_msg void OnMonShowtestAvgcon();
	afx_msg void OnMonShowtestAvglat();
	afx_msg void OnMonShowtestBytesinps();
	afx_msg void OnMonShowtestBytesoutps();
	afx_msg void OnMonShowtestHttpbps();
	afx_msg void OnMonShowtestHttprps();
	afx_msg void OnMonShowtestInactivevus();
	afx_msg void OnMonShowtestMaxcon();
	afx_msg void OnMonShowtestMaxlat();
	afx_msg void OnMonShowtestMincon();
	afx_msg void OnMonShowtestMinlat();
	afx_msg void OnMonShowtestTaskiterations();
	afx_msg void OnMonShowtestVus();
	afx_msg void OnMonShowErrorvus();
	afx_msg void OnMonShowFailedr();
	afx_msg void OnMonShowFailedrps();
	afx_msg void OnMonShowFinishedvus();
	afx_msg void OnMonShowHttp3xxr();
	afx_msg void OnMonShowHttp3xxrps();
	afx_msg void OnMonShowHttp4xxr();
	afx_msg void OnMonShowHttp4xxrps();
	afx_msg void OnMonShowHttp5xxr();
	afx_msg void OnMonShowHttp5xxrps();
	afx_msg void OnMonShowtestActiveerrorvus();
	afx_msg void OnMonShowtestErrorvus();
	afx_msg void OnMonShowtestFailedrps();
	afx_msg void OnMonShowtestFinishedvus();
	afx_msg void OnMonShowtestHttp3xxrps();
	afx_msg void OnMonShowtestHttp4xxrps();
	afx_msg void OnMonShowtestHttp5xxrps();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
			
private:
	BOOL HitTaskGroupSummary(CPoint point);
	BOOL HitTestSummary(CPoint point);

	testSnap m_TestWideStat1;
	testSnap m_TestWideStat2;

	double GetRate(double dCurrent,double dOld, int nSeconds);

	CString ConvertToSeconds(long milliseconds);
	CPoint m_ptContextClick;

	void ToggleColumn(int nCol, int nWidth);
	void ToggleTestColumn(int nCol, int nWidth);
	void SaveColumnState();

	CCriticalSection m_ArrayLocked;
	CString ConvertToTimeMilliseconds(long milliseconds);
	CString ConvertTimeToString(long duration);
	int m_nMaxUsedTaskCol;
	int m_nTaskGroups;
	CString LookupTargetType(CString strTarget);

	void UpdateSummary();
	int m_nTotalIndex;
    CWinThread* m_pUpdateThread;

	typedef struct {
		CString strName;
		CString strExtension;
	}PluginInfo;

	typedef	struct 
	{
		long lTaskGroupId;
		long lDuration;
		double dBytesIn;
		double dBytesOut;
		long lFailedRequests;
		long l3xxRequests;
		long l4xxRequests;
		long l5xxRequests;
		long lRequests;
		long lSumTaskIterations;
		long lSumActiveUsers;
		long lSumActiveErrorVUs;
		long lSumFinishedOnErrorVUs;
		long lSumFinishedVUs;
	}taskGroupData;

	CArray <taskGroupData,taskGroupData> m_DataTime1;
	CArray <taskGroupData,taskGroupData> m_DataTime2;


	CList <PluginInfo,PluginInfo&> m_listPlugins;
	int LoadProfileTypes();

	int m_nLatestSnapshot;

	CHeaderCtrlEx m_TestHeaderCtrl;
	CHeaderCtrlEx m_TGHeaderCtrl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MONITORSUMMARY_H__39FACE0F_018C_471A_BF5D_CE91AAB878BC__INCLUDED_)
