// StepByStepDlg.cpp : implementation file
//

#include "stdafx.h"
#include "StepByStepDlg.h"

#include "PluginTypes.h"
#include "PluginManager.h"
#include "TestMonitorDebugPlugin.h"
#include "TestFile.h"
#include "StepByStepProxy.h"
#include "TaskGroupDefData.h"
#include "RegFunctions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNoFlickerTabCtl

BEGIN_MESSAGE_MAP(CNoFlickerTabCtl, CTabCtrl)
	//{{AFX_MSG_MAP(CNoFlickerTabCtl)
	ON_WM_ERASEBKGND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNoFlickerTabCtl message handlers

BOOL CNoFlickerTabCtl::OnEraseBkgnd(CDC* pDC) 
{
	CRect rcClient;
	GetClientRect(&rcClient);
	AdjustRect(false,&rcClient);
	pDC->ExcludeClipRect(rcClient);
	return CTabCtrl::OnEraseBkgnd(pDC);
}
/////////////////////////////////////////////////////////////////////////////

#define SHOW_TIMERS 1
#define SHOW_SEC_URLS 2
#define SHOW_COMMENTS 4
#define SHOW_CALLSCRIPTS 8
#define SHOW_TRANS_TIMERS 16
#define SHOW_WAITS 32

#define BREAKPOINT_FLAG (DWORD)0x00000001
#define HTTPMON_FLAG	(DWORD)0x00000002
#define NUM_DEF_FLAGS	(DWORD)2

#define IDT_UPDATE_SCRIPT	1
#define IDT_TEST_TO_START	2

/////////////////////////////////////////////////////////////////////////////
// CStepByStepDlg dialog
extern CPluginManager* m_pPluginManager;
extern HINSTANCE m_hInstance;
extern CTestFile *m_pTestFile;
extern CToolBar *m_pToolbar;
extern HWND m_hWndNotify;
extern CDocument *m_pDocument;

CStepByStepDlg::CStepByStepDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStepByStepDlg::IDD, pParent),
	m_cstrAdvanced("&Advanced >>"),
	m_cstrStandard("&Standard <<"),
	m_bAdvancedMode(TRUE),
	m_bTestRunning(FALSE),
	m_pCurrentOutputView(NULL),
	m_pCurrentConfigView(NULL),
	m_nHSplitterPos(300),
	m_bDraggingHSplitter(false),
	m_bEnableBreak(false),
	m_bEnableRun(false),
	m_nCurrentVUId(0),
	m_nNumVUs(1),
	m_pLastRequest(NULL)
{
	AfxInitRichEdit();
	CECGridCtrl::GridCtrlInit(m_hInstance);
	
	m_dwScriptDetailsFilter = AfxGetApp()->GetProfileInt("Debug Control","Items To Show",0);

	m_pComms = new CStepByStepProxy(this);

	//{{AFX_DATA_INIT(CStepByStepDlg)
	m_nUserMode = enSingleUserMode;
	//}}AFX_DATA_INIT
}

CStepByStepDlg::~CStepByStepDlg()
{
	delete m_pComms;
	m_pComms = NULL;

	SaveScriptData();
	SaveMonitoringData();
}

void CStepByStepDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStepByStepDlg)
	DDX_Control(pDX, IDC_SCRIPT_LIST, m_ctlScriptList);
	DDX_Control(pDX, IDC_VUS, m_ctlVUs);
	DDX_Control(pDX, IDC_CONFIG_TABS, m_ctlConfigTabs);
	DDX_Control(pDX, IDC_OUTPUT_TABS, m_ctlTestOutputTabs);
	DDX_Control(pDX, IDC_HTTP_OUTPUT, m_ctlHttpOutput);
	DDX_Control(pDX, IDC_TASKS_CPN, m_ctlTasksCpn);
	DDX_Control(pDX, IDC_TASKS, m_ctlTasks);
	DDX_Control(pDX, IDC_PROFILES_CPN, m_ctlProfilesCpn);
	DDX_Control(pDX, IDC_PROFILES, m_ctlProfiles);
	DDX_Control(pDX, IDC_SINGLE_USER , m_ctlSingleUser);
	DDX_Control(pDX, IDC_MULTI_USER , m_ctlMultiUser);
	DDX_Radio(pDX, IDC_SINGLE_USER, m_nUserMode);
	//}}AFX_DATA_MAP
	DDX_Control(pDX, IDC_SCRIPT,m_ctlScript);
	DDX_Control(pDX, IDC_SCRIPT_DETAILS,m_ctlScriptDetails);
	DDX_Control(pDX, IDC_USER_STATUS,m_ctlUserStatus);
}


BEGIN_MESSAGE_MAP(CStepByStepDlg, CDialog)
	//{{AFX_MSG_MAP(CStepByStepDlg)
	ON_WM_SIZE()
	ON_NOTIFY(TCN_SELCHANGE, IDC_CONFIG_TABS, OnSelchangeConfigTabs)
	ON_NOTIFY(TCN_SELCHANGE, IDC_OUTPUT_TABS, OnSelchangeOutputTabs)
	ON_LBN_SELCHANGE(IDC_PROFILES, OnSelchangeProfiles)
	ON_LBN_SELCHANGE(IDC_TASKS, OnSelchangeTasks)
	ON_COMMAND(ID_SHOW_TRANS_TIMERS, OnShowTransTimers)
	ON_UPDATE_COMMAND_UI(ID_SHOW_TRANS_TIMERS, OnUpdateShowTransTimers)
	ON_COMMAND(ID_SHOW_WAITS, OnShowWaits)
	ON_UPDATE_COMMAND_UI(ID_SHOW_WAITS, OnUpdateShowWaits)
	ON_COMMAND(ID_SHOWCOMMENTS, OnShowcomments)
	ON_UPDATE_COMMAND_UI(ID_SHOWCOMMENTS, OnUpdateShowcomments)
	ON_COMMAND(ID_SHOWSECONDARYURLS, OnShowsecondaryurls)
	ON_UPDATE_COMMAND_UI(ID_SHOWSECONDARYURLS, OnUpdateShowsecondaryurls)
	ON_COMMAND(ID_SHOWTIMERS, OnShowtimers)
	ON_UPDATE_COMMAND_UI(ID_SHOWTIMERS, OnUpdateShowtimers)
	ON_COMMAND(ID_STEP, OnStep)
	ON_UPDATE_COMMAND_UI(ID_STEP, OnUpdateStep)
	ON_COMMAND(ID_STOP, OnStop)
	ON_UPDATE_COMMAND_UI(ID_STOP, OnUpdateStop)
	ON_COMMAND(ID_RUN, OnRun)
	ON_UPDATE_COMMAND_UI(ID_RUN, OnUpdateRun)
	ON_COMMAND(ID_BREAK, OnBreak)
	ON_UPDATE_COMMAND_UI(ID_BREAK, OnUpdateBreak)
	ON_WM_CAPTURECHANGED()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONUP()
	ON_WM_LBUTTONDOWN()
	ON_WM_PAINT()
	ON_WM_ERASEBKGND()
	ON_COMMAND(ID_TOGGLE_BREAKPOINT, OnToggleBreakpoint)
	ON_CBN_SELCHANGE(IDC_VUS, OnSelchangeVus)
	ON_COMMAND(ID_GOTO_SCRIPT, OnGotoScript)
	ON_WM_TIMER()
	ON_CBN_SELCHANGE(IDC_SCRIPT_LIST, OnSelchangeScriptList)
	ON_BN_CLICKED(IDC_MULTI_USER, OnMultiUser)
	ON_BN_CLICKED(IDC_SINGLE_USER, OnSingleUser)
	ON_COMMAND(ID_SHOW_CALLSCRIPTS, OnShowCallscripts)
	ON_UPDATE_COMMAND_UI(ID_SHOW_CALLSCRIPTS, OnUpdateShowCallscripts)
	//}}AFX_MSG_MAP
	ON_NOTIFY(NM_CELLCHECKED,IDC_SCRIPT_DETAILS,OnCellCheckedScriptDetails)
	ON_NOTIFY(NM_DBLCLK,IDC_SCRIPT_DETAILS,OnDblClickScriptDetails)
	ON_NOTIFY(NM_RCLICK,IDC_SCRIPT_DETAILS,OnRClickScriptDetails)
	ON_NOTIFY(NM_DBLCLK,IDC_USER_STATUS,OnDblClickUserStatus)
	ON_MESSAGE(WMU_NEXTREQUEST,OnNextRequest)
	ON_MESSAGE(WMU_REQUESTCOMPLETE,OnRequestComplete)
	ON_MESSAGE(WMU_REQUESTSTEPPED,OnRequestStepped)
	ON_MESSAGE(WMU_RUNNING,OnRunning)
	ON_MESSAGE(WMU_READYTOSTEP,OnReadyToStep)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStepByStepDlg message handlers

void CStepByStepDlg::OnAdvanced() 
{
	CString strText;
	m_ctlAdvanced.GetWindowText(strText);

	if(strText == m_cstrAdvanced)
	{
		m_ctlAdvanced.SetWindowText(m_cstrStandard);
		DisplayAdvancedMode();
		m_pTestFile->SetAdvancedStepByStepMode(m_bAdvancedMode);
	}
	else
	{
		m_ctlAdvanced.SetWindowText(m_cstrAdvanced);
		DisplayStandardMode();
		m_pTestFile->SetAdvancedStepByStepMode(!m_bAdvancedMode);
	}
	m_pDocument->SetModifiedFlag();
	Invalidate();
}

void CStepByStepDlg::DisplayStandardMode()
{
	m_bAdvancedMode = false;
	m_nNumVUs = 1;

	SetupTestConfigTabs();

	DoSizing();
}

void CStepByStepDlg::DisplayAdvancedMode()
{
	m_bAdvancedMode = true;
	
	m_nNumVUs = GetNumVUs();

	SetupTestConfigTabs();

	m_ctlTasks.SetCurSel(0);
	OnSelchangeTasks(); 

	DoSizing();
}

void CStepByStepDlg::SetTestActive(const CString& strReg)
{
	KillTimer(IDT_TEST_TO_START);
	if(!strReg.IsEmpty())
		m_bTestRunning = m_pComms->Attach();
	
	if(!m_bTestRunning)
		return;

	SetConfigReadOnly(TRUE,TRUE,TRUE);

	m_nCurrentVUId = 0;
	m_nNumVUs = ((m_nUserMode==enSingleUserMode) ? 1 : GetNumVUs());

	SetupTestConfigTabs();
	SetupTestOutputTabs();
	SetupTaskGroupInfoCtrls();
	
	DoSizing();

	m_ctlHttpOutput.SetWindowText("");
	m_ctlHttpOutput.SetSel(0,-1);
	
	if(m_strRunFolder.IsEmpty())
	{
		m_strRunFolder = GetTestRunFolder();
		for(int nPI=0;nPI<m_arPlugins.GetSize();nPI++)
		{
			m_arPlugins[nPI]->SetRunFolder(m_strRunFolder);
			m_arPlugins[nPI]->SetTestActive(strReg);
		}
	}

	DisplayResultsForUser(m_nCurrentVUId);
	m_ctlVUs.EnableWindow(TRUE);

	FillScriptDetailsList();
}

void CStepByStepDlg::StopActiveTest()
{
	m_bTestRunning = false;
	m_bEnableBreak = false;
	m_bEnableRun = true;

	m_pComms->Detach();

	for(int nPI=0;nPI<m_arPlugins.GetSize();nPI++)
	{
		m_arPlugins[nPI]->StopActiveTest();
	}

	SetupTestConfigTabs();
	SetupTestOutputTabs();
	SetupTaskGroupInfoCtrls();

	DoSizing();

	HighlightLine(-1);

	m_strRunFolder.Empty();
	m_ctlVUs.EnableWindow(FALSE);

	ResetData();
	m_pLastRequest = NULL;

	FillScriptDetailsList();
	SetConfigReadOnly(FALSE,(m_nUserMode==enSingleUserMode),true);
}

void CStepByStepDlg::ResetData()
{
	CString strKey;
	CNextRequestData *pData;
	POSITION pos = m_mapVUToRequest.GetStartPosition();
	while(pos)
	{
		m_mapVUToRequest.GetNextAssoc(pos,strKey,pData);
		delete pData;
	}
	m_mapVUToRequest.RemoveAll();

	m_mapVUToMonitor.RemoveAll();
}

void CStepByStepDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	if(cx && cy)
		DoSizing();
}

void CStepByStepDlg::DoSizing()
{
	CRect rc;
	GetClientRect(rc);
	const CSize sz(rc.Size());

	if(m_nHSplitterPos > sz.cy)
		m_nHSplitterPos = sz.cy-5;

	if(m_nHSplitterPos <= 0)
		m_nHSplitterPos = 5;

	const int nSeparator = 10;

	if(m_bAdvancedMode)
	{
		if(m_bTestRunning)
		{
			rc.SetRect(nSeparator,nSeparator,sz.cx-nSeparator,m_nHSplitterPos-nSeparator);
			SizeTestConfigCtrls(rc);

			rc.SetRect(nSeparator,m_nHSplitterPos+nSeparator,sz.cx-nSeparator,sz.cy-nSeparator);
			SizeTestOutputCtrls(rc);
		}
		else
		{
			rc.SetRect(nSeparator,nSeparator,sz.cx-nSeparator,m_nHSplitterPos-nSeparator);
			SizeTestConfigCtrls(rc);

			rc.SetRect(nSeparator,m_nHSplitterPos+nSeparator,sz.cx-nSeparator,sz.cy-nSeparator);
			SizeTaskGroupInfoCtrls(rc);
		}
	}
	else
	{
		if(m_bTestRunning)
		{
			rc.SetRect(nSeparator,nSeparator,sz.cx-nSeparator,sz.cy-nSeparator);
			SizeTestOutputCtrls(rc);
		}
		else
		{
			rc.SetRect(nSeparator,nSeparator,sz.cx-nSeparator,sz.cy-nSeparator);
			SizeTaskGroupInfoCtrls(rc);
		}
	}
}

void CStepByStepDlg::SizeTestOutputCtrls(const CRect& rcBounds)
{
	CRect rcTabs(rcBounds);
	m_ctlTestOutputTabs.MoveWindow(rcTabs);

	//Get tabs client rectangle
	rcTabs.OffsetRect(-rcTabs.left,-rcTabs.top);
	m_ctlTestOutputTabs.AdjustRect(FALSE,&rcTabs);

	if(m_pCurrentOutputView)
		m_pCurrentOutputView->MoveWindow(rcTabs);
}

void CStepByStepDlg::SizeTestConfigCtrls(const CRect& rcBounds)
{
	const int nSeparator = 10;

	CRect rcTabs(rcBounds);
	if(m_bAdvancedMode && m_bTestRunning)
	{
		CRect rcVUs;
		m_ctlVUs.GetWindowRect(&rcVUs);
		m_ctlVUs.MoveWindow(rcBounds.left,rcBounds.top,rcVUs.Width(),rcVUs.Height());

		CRect rcSL;
		m_ctlScriptList.GetWindowRect(&rcSL);
		m_ctlScriptList.MoveWindow(rcBounds.left + rcVUs.Width()+nSeparator,rcBounds.top,rcSL.Width(),rcSL.Height());
		rcTabs.top += rcVUs.Height() + nSeparator;
	}
	
	if(!m_bTestRunning)
	{
		CRect rcSU;
		m_ctlSingleUser.GetWindowRect(&rcSU);
		m_ctlSingleUser.MoveWindow(rcBounds.left,rcBounds.top,rcSU.Width(),rcSU.Height());
		
		CRect rcMU;
		m_ctlMultiUser.GetWindowRect(&rcMU);
		m_ctlMultiUser.MoveWindow(rcBounds.left + rcSU.Width()+nSeparator,rcBounds.top,rcMU.Width(),rcMU.Height());
		rcTabs.top += rcMU.Height() + nSeparator;
	}

	m_ctlConfigTabs.MoveWindow(rcTabs);

	//Get tabs client rectangle
	rcTabs.OffsetRect(-rcTabs.left,-rcTabs.top);
	m_ctlConfigTabs.AdjustRect(FALSE,&rcTabs);

	if(m_pCurrentConfigView)
		m_pCurrentConfigView->MoveWindow(rcTabs);
}

void CStepByStepDlg::SizeTaskGroupInfoCtrls(const CRect& rcBounds)
{
	const int nSeparator = 10;
	int nYPos = rcBounds.top;
	int nXPos = rcBounds.left;

	CRect rc;

	CRect rcAdvanced(0,0,0,0);
//	m_ctlAdvanced.GetWindowRect(rcAdvanced);
	
	int nProfileYPos = nYPos;

	//Move tasks caption
	m_ctlTasksCpn.GetWindowRect(rc);
	m_ctlTasksCpn.MoveWindow(nXPos,nYPos,rc.Width(),rc.Height());
	nYPos += rc.Height() + nSeparator;
	
	//Move tasks list
	int nListHeight = rcBounds.bottom-nYPos-rcAdvanced.Height()-nSeparator;
	int nListWidth = (rcBounds.Width()-nSeparator)/2;
	m_ctlTasks.MoveWindow(nXPos,nYPos,nListWidth,nListHeight);
	nXPos += nListWidth+nSeparator;

	//Move profiles caption
	m_ctlProfilesCpn.GetWindowRect(rc);
	m_ctlProfilesCpn.MoveWindow(nXPos,nProfileYPos,rc.Width(),rc.Height());
				
	//Move profiles list
	m_ctlProfiles.MoveWindow(nXPos,nYPos,nListWidth,nListHeight);

	//Move Advanced button
//	int nAdvYPos = rcBounds.bottom-rcAdvanced.Height();
//	if(nAdvYPos < nYPos+nSeparator)
//		nAdvYPos = nYPos+nSeparator;
//	m_ctlAdvanced.MoveWindow(rcBounds.right-rcAdvanced.Width(),nAdvYPos,rcAdvanced.Width(),rcAdvanced.Height());
}

BOOL CStepByStepDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	HINSTANCE hInst = AfxGetResourceHandle();
	AfxSetResourceHandle(m_hInstance);
	
	//Create image lists for tabs and list
	m_ImageList.Create(IDB_TREEIMAGES,16,0,RGB(0,128,128));
	
	AfxSetResourceHandle(hInst);

	m_nUserMode = (m_pTestFile->IsAdvancedStepByStepMode() ? enMultiUserMode:enSingleUserMode);

	if(m_bAdvancedMode)
	{
		m_ctlAdvanced.SetWindowText(m_cstrStandard);
		DisplayAdvancedMode();
	}
	else
	{
		m_ctlAdvanced.SetWindowText(m_cstrAdvanced);
		DisplayStandardMode();
	}

	SetupTestConfigTabs();
	SetupTestOutputTabs();
	SetupTaskGroupInfoCtrls();

	m_bTestRunning = m_pComms->Attach();
	if(m_bTestRunning)
	{
		SetTestActive("");
		m_pComms->RequestState();
	}
	else
	{
		m_bEnableBreak = false;
		m_bEnableRun = true;
	}
	
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CStepByStepDlg::SetupTaskGroupInfoCtrls()
{
	int nCmdShow = (m_bTestRunning ? SW_HIDE : SW_SHOW);
	
	m_ctlTasksCpn.ShowWindow(nCmdShow);
	m_ctlTasks.ShowWindow(nCmdShow);
	m_ctlProfilesCpn.ShowWindow(nCmdShow);
	m_ctlProfiles.ShowWindow(nCmdShow);
//	m_ctlAdvanced.ShowWindow(nCmdShow);

	if(m_ctlTasks.GetCount())
	{
		m_ctlProfiles.SelectString(-1,m_strOpenProfile);
		return;
	}

	int nTaskGroup = m_pTestFile->GetStepByStepTaskGroup();
	
	int nItem=0;

	int nNumTasks = m_pTestFile->GetNumTasks(nTaskGroup);
	for(int nTask=0;nTask<nNumTasks;nTask++)
	{
		nItem = m_ctlTasks.AddString(m_pTestFile->GetTaskName(nTaskGroup,nTask));
		m_ctlTasks.SetItemData(nItem,nTaskGroup);
	}
	m_ctlTasks.SetCurSel(0);
	OnSelchangeTasks(); 

	int nNumGroups = m_pTestFile->GetNumTaskGroups();
	for(int nGrp=0;nGrp<nNumGroups;nGrp++)
	{
		if(m_pTestFile->GetTaskType(nGrp,0) == CTestFile::enProfile)
		{
			nItem = m_ctlProfiles.AddString(m_pTestFile->GetTaskName(nGrp,0));
			m_ctlProfiles.SetItemData(nItem,nGrp);
		}
	}
}

void CStepByStepDlg::SetupTestOutputTabs()
{
	if(!m_arTestOutputTabs.GetSize())
	{
		TabData TD;
		TD.strPlugin.Empty();
		TD.strName = "HTTP";
		TD.pView = &m_ctlHttpOutput;
		TD.dwDefaultMonitoring = HTTPMON_FLAG;
		m_arTestOutputTabs.Add(TD);

		//Add default http view and set active
		m_ctlTestOutputTabs.InsertItem(0,"HTTP",0);
		m_ctlHttpOutput.SetParent(&m_ctlTestOutputTabs);
		m_ctlHttpOutput.LimitText(0xffffff);
		m_pCurrentOutputView = &m_ctlHttpOutput;

		//Get other views from the plugins
		int nTabNdx=1;
		CStringArray arstrPlugins;
		m_pPluginManager->ListPluginsByType(TEST_MONITOR_DEBUG_PLUGIN,arstrPlugins);
		for(int nPlugin=0;nPlugin<arstrPlugins.GetSize();nPlugin++)
		{
			CStepByStepPlugin *pPlugin = new CStepByStepPlugin(arstrPlugins[nPlugin],m_pPluginManager);
			TD.strPlugin = arstrPlugins[nPlugin];
			TD.pPlugin = pPlugin;

			CStringArray arstrViews;
			pPlugin->GetAvailableViews(m_pTestFile,arstrViews);

			CStringArray arstrCols;
			for(int nView=0;nView<arstrViews.GetSize();nView++)
			{
				TD.strName = arstrViews[nView];
				TD.pView = pPlugin->DisplayView(arstrViews[nView],m_strRunFolder,&m_ctlTestOutputTabs);
				TD.pView->ShowWindow(SW_HIDE);
				
				pPlugin->GetDefaultConfigStates(TD.strName,arstrCols,TD.dwDefaultMonitoring);
				
				m_arTestOutputTabs.Add(TD);

				m_ctlTestOutputTabs.InsertItem(nTabNdx,arstrViews[nView],nTabNdx);
				nTabNdx++;
			}
			
			pPlugin->SetActiveUser(m_nCurrentVUId);
			
			m_arPlugins.Add(pPlugin);
		}
	}

	m_ctlTestOutputTabs.ShowWindow(m_bTestRunning ? SW_SHOW : SW_HIDE);
}

void CStepByStepDlg::SetupTestConfigTabs()
{
	m_ctlConfigTabs.ShowWindow(m_bAdvancedMode ? SW_SHOW:SW_HIDE);
	m_ctlVUs.ShowWindow((m_bTestRunning && m_bAdvancedMode) ? SW_SHOW:SW_HIDE);
	m_ctlScriptList.ShowWindow((m_bTestRunning && m_bAdvancedMode) ? SW_SHOW:SW_HIDE);
	m_ctlSingleUser.ShowWindow(m_bTestRunning ? SW_HIDE:SW_SHOW);
	m_ctlMultiUser.ShowWindow(m_bTestRunning ? SW_HIDE:SW_SHOW);

	CString str;
	str.Format("All Configured Users (%d)",GetNumVUs());
	m_ctlMultiUser.SetWindowText(str);

	int nNumTabs = m_ctlConfigTabs.GetItemCount();
	if(!nNumTabs)
	{
		m_ctlConfigTabs.SetImageList(&m_ImageList);
	
		m_ctlScriptDetails.SetParent(&m_ctlConfigTabs);
		m_ctlScriptDetails.EnableDragDrop(FALSE);
		m_ctlScriptDetails.SetImageList(&m_ImageList);
		m_ctlScriptDetails.SetFixedRowCount(1);
		m_ctlScriptDetails.SetFixedColumnCount(1);
		m_ctlScriptDetails.ShowWindow(SW_HIDE);

		m_ctlScriptDetails.SetColumnWidth(0,20);
		m_ctlScriptDetails.SetItemImage(0,0,enBreakpoint);
		m_ctlScriptDetails.SetColumnCount(3);
		m_ctlScriptDetails.SetItemText(0,1,"Script Item");
		m_ctlScriptDetails.SetColumnWidth(1,300);
		m_ctlScriptDetails.SetItemText(0,2,"HTTP Headers");
		m_ctlScriptDetails.SetColumnWidth(2,40);
		
		m_ctlScript.SetParent(&m_ctlConfigTabs);
		m_ctlScript.SetImageList(m_ImageList.GetSafeHandle());
		m_ctlScript.ShowScrollBar(TRUE,true);
		m_ctlScript.ShowScrollBar(FALSE,true);
		m_ctlScript.SetReadOnly();
		m_ctlScript.ShowWindow(SW_HIDE);
		
		m_ctlUserStatus.SetParent(&m_ctlConfigTabs);
		m_ctlUserStatus.ShowWindow(SW_HIDE);
		m_ctlUserStatus.EnableDragDrop(FALSE);
		m_ctlUserStatus.SetImageList(&m_ImageList);
		m_ctlUserStatus.SetFixedRowCount(1);
		m_ctlUserStatus.SetFixedColumnCount(0);
		m_ctlUserStatus.DeleteNonFixedRows();

		m_ctlUserStatus.SetColumnCount(5);
		m_ctlUserStatus.SetRowResize(FALSE);
		m_ctlUserStatus.SetColumnResize();
		m_ctlUserStatus.SetColumnWidth(0,40);
		m_ctlUserStatus.SetColumnWidth(1,40);
		m_ctlUserStatus.SetColumnWidth(2,250);
		m_ctlUserStatus.SetColumnWidth(3,90);
		m_ctlUserStatus.SetColumnWidth(4,40);

		m_ctlUserStatus.SetItemText(0,0,"VU Id");
		m_ctlUserStatus.SetItemText(0,1,"Con Id");
		m_ctlUserStatus.SetItemText(0,2,"Request");
		m_ctlUserStatus.SetItemText(0,3,"Script");
		m_ctlUserStatus.SetItemText(0,4,"Line");

		//Fill Script list
		int nTaskGroup = m_pTestFile->GetStepByStepTaskGroup();
		int nNumTasks = m_pTestFile->GetNumTasks(nTaskGroup);
		for(int nTask=0;nTask<nNumTasks;nTask++)
		{
			int nItem = m_ctlScriptList.AddString(m_pTestFile->GetTaskName(nTaskGroup,nTask));
			m_mapPathToScriptListNdx.SetAt(m_pTestFile->GetTaskPath(nTaskGroup,nTask),nItem);
		}
	}

	//Fill Virtual Users List
	if(m_bAdvancedMode)
	{
		int nData=0;
		int nSel = m_ctlVUs.GetCurSel();
		if(nSel != CB_ERR)
			nData = m_ctlVUs.GetItemData(nSel);
		nSel=0;

		m_ctlVUs.SetRedraw(FALSE);
		m_ctlVUs.ResetContent();
		int nItem;
		if(m_nNumVUs>1)
		{
			nItem = m_ctlVUs.AddString("All Users");
			m_ctlVUs.SetItemData(nItem,-1);
			if(nData == -1)
				nSel = nItem;
		}
		
		CString str;
		for(int nVU=0;nVU<m_nNumVUs;nVU++)
		{
			str.Format("VU %d",nVU+1);
			nItem = m_ctlVUs.AddString(str);
			m_ctlVUs.SetItemData(nItem,nVU);
			if(nData == nVU)
				nSel = nItem;
		}
		
		m_ctlVUs.SetCurSel(nSel);
		m_ctlVUs.SetRedraw();
	}

	if((m_nCurrentVUId == -1) && (m_nNumVUs==1))
		m_nCurrentVUId = 0;
	
	int nNumItems = m_ctlVUs.GetCount();
	for(int nNdx=0;nNdx<nNumItems;nNdx++)
	{
		if(m_ctlVUs.GetItemData(nNdx)== (DWORD)m_nCurrentVUId)
		{
			m_ctlVUs.SetCurSel(nNdx);
			break;
		}
	}

	if(m_bAdvancedMode)
	{
		//Set tabs in config tab
		m_ctlConfigTabs.SetRedraw(FALSE);
		m_ctlConfigTabs.DeleteAllItems();
		m_arConfigTabs.RemoveAll();

		if(!m_bTestRunning || (m_nCurrentVUId != -1))
		{
			m_ctlConfigTabs.InsertItem(0,"List",enListTabImg);
			m_arConfigTabs.Add(&m_ctlScriptDetails);
			m_ctlConfigTabs.InsertItem(1,"Script",enScriptTabImg);
			m_arConfigTabs.Add(&m_ctlScript);
		}

		if(m_bTestRunning && (m_nNumVUs>1))
		{
			m_ctlConfigTabs.InsertItem(2,"Users",enUsersTabImg);
			m_arConfigTabs.Add(&m_ctlUserStatus);
		}

		if(m_pCurrentConfigView)
			m_pCurrentConfigView->ShowWindow(SW_HIDE);
		
		BOOL bFound = false;
		for(int nNdx=0;nNdx<m_arConfigTabs.GetSize();nNdx++)
		{
			if(	m_arConfigTabs[nNdx] == m_pCurrentConfigView)
			{
				ShowConfigTab(nNdx);
				bFound = true;
				break;
			}
		}
		if(!bFound)
			ShowConfigTab(0);
		
		m_ctlConfigTabs.SetRedraw(TRUE);
		Invalidate();
	}

	UpdateData(FALSE);
}

void CStepByStepDlg::OnSelchangeConfigTabs(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int nTab = m_ctlConfigTabs.GetCurSel();

	ShowConfigTab(nTab);

	*pResult = 0;
}

void CStepByStepDlg::ShowConfigTab(int nTab)
{
	if(m_pCurrentConfigView)
	{
		m_pCurrentConfigView->ShowWindow(SW_HIDE);
		m_pCurrentConfigView = NULL;
	}

	m_pCurrentConfigView = m_arConfigTabs[nTab];
	
	m_ctlConfigTabs.SetCurSel(nTab);

	if(m_pCurrentConfigView)
	{
		CRect rc;
		m_ctlConfigTabs.GetWindowRect(rc);
		
		rc.OffsetRect(-rc.left,-rc.top);
		m_ctlConfigTabs.AdjustRect(FALSE,rc);

		m_pCurrentConfigView->MoveWindow(rc);
		m_pCurrentConfigView->ShowWindow(SW_SHOW);

		HighlightLine(m_nSelectedLine);
	}
}

void CStepByStepDlg::OnSelchangeOutputTabs(NMHDR* pNMHDR, LRESULT* pResult) 
{
	int nCurSel = m_ctlTestOutputTabs.GetCurSel();
	if(nCurSel == -1)
		return;

	TabData& data = m_arTestOutputTabs[nCurSel];

	m_arstrScriptDetailsColumns.RemoveAll();
	DWORD dwDefStates=0;
	if(!data.strPlugin.IsEmpty())
		data.pPlugin->GetDefaultConfigStates(data.strName,m_arstrScriptDetailsColumns,dwDefStates);

	m_strOpenProfile = data.strName;
	FillScriptDetailsList();
		
	if(m_pCurrentOutputView)
	{
		m_pCurrentOutputView->ShowWindow(SW_HIDE);
		m_pCurrentOutputView = NULL;
	}

	if(data.pView)
	{
		CRect rcView;
		m_ctlTestOutputTabs.GetWindowRect(rcView);
		rcView.OffsetRect(-rcView.left,-rcView.top);
		m_ctlTestOutputTabs.AdjustRect(FALSE,rcView);

		m_pCurrentOutputView = data.pView;	
		m_pCurrentOutputView->MoveWindow(rcView);
		m_pCurrentOutputView->ShowWindow(SW_SHOW);
	}

	*pResult = 0;
}

void CStepByStepDlg::OnSelchangeProfiles() 
{
	if(!m_bAdvancedMode)
		return;

	int nCurSel = m_ctlProfiles.GetCurSel();
	if(nCurSel == LB_ERR)
		return;

	SaveMonitoringData();

	int nTaskGroup = (int)m_ctlProfiles.GetItemData(nCurSel);
	
	CString strType = m_pTestFile->GetTaskTargetType(nTaskGroup,0);
	m_strOpenProfile = m_pTestFile->GetTaskName(nTaskGroup,0);
			
	m_arstrScriptDetailsColumns.RemoveAll();
	
	DWORD dwStates=0;
	CStringArray arstrPlugins;
	m_pPluginManager->ListPluginsByType(TEST_MONITOR_DEBUG_PLUGIN,arstrPlugins);
	
	for(int nPlugin=0;nPlugin<arstrPlugins.GetSize();nPlugin++)
	{
		CStepByStepPlugin plugin(arstrPlugins[nPlugin],m_pPluginManager);
		
		if(plugin.IsSupportedExtension(strType))
		{
			plugin.GetDefaultConfigStates(m_strOpenProfile,m_arstrScriptDetailsColumns,dwStates);
			break;
		}
	}

	LoadMonitoringData(m_strOpenScript,m_strOpenProfile);
	FillScriptDetailsList();
}

void CStepByStepDlg::OnSelchangeTasks() 
{
	if(!m_bAdvancedMode)
		return;

	int nCurSel = m_ctlTasks.GetCurSel();
	if(nCurSel == LB_ERR)
		return;

	int nTaskGroup = (int)m_ctlTasks.GetItemData(nCurSel);
	CString strPath = m_pTestFile->GetTaskPath(nTaskGroup,nCurSel);

	DisplayScript(strPath);
}

void CStepByStepDlg::OnShowTransTimers() 
{
	if(m_dwScriptDetailsFilter & SHOW_TRANS_TIMERS)
		m_dwScriptDetailsFilter ^= SHOW_TRANS_TIMERS;
	else
		m_dwScriptDetailsFilter |= SHOW_TRANS_TIMERS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowTransTimers(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_TRANS_TIMERS)?1:0));
}

void CStepByStepDlg::OnShowWaits() 
{
	if(m_dwScriptDetailsFilter & SHOW_WAITS)
		m_dwScriptDetailsFilter ^= SHOW_WAITS;
	else
		m_dwScriptDetailsFilter |= SHOW_WAITS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowWaits(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_WAITS)?1:0));	
}

void CStepByStepDlg::OnShowcomments() 
{
	if(m_dwScriptDetailsFilter & SHOW_COMMENTS)
		m_dwScriptDetailsFilter ^= SHOW_COMMENTS;
	else
		m_dwScriptDetailsFilter |= SHOW_COMMENTS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowcomments(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_COMMENTS)?1:0));
}

void CStepByStepDlg::OnShowsecondaryurls() 
{
	SaveScriptData();

	if(m_dwScriptDetailsFilter & SHOW_SEC_URLS)
		m_dwScriptDetailsFilter ^= SHOW_SEC_URLS;
	else
		m_dwScriptDetailsFilter |= SHOW_SEC_URLS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);
	
	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowsecondaryurls(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_SEC_URLS)?1:0));	
}

void CStepByStepDlg::OnShowtimers() 
{
	if(m_dwScriptDetailsFilter & SHOW_TIMERS)
		m_dwScriptDetailsFilter ^= SHOW_TIMERS;
	else
		m_dwScriptDetailsFilter |= SHOW_TIMERS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowtimers(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_TIMERS)? 1:0));
}

void CStepByStepDlg::OnStep() 
{
	if(!m_bTestRunning)
	{
		StartTest(false);
		return;
	}

	int nCurSel = m_ctlVUs.GetCurSel();
	int nData = (int)m_ctlVUs.GetItemData(nCurSel);
	if(nData == -1)
		m_pComms->StepSingleEvent();
	else
		m_pComms->StepSingleUser(nData);

	m_bEnableRun = false;
	m_bEnableBreak = false;

	m_ctlScriptList.EnableWindow(FALSE);
	int nNdx;
	if(m_mapPathToScriptListNdx.Lookup(m_strOpenScript,nNdx))
		m_ctlScriptList.SetCurSel(nNdx);
}

void CStepByStepDlg::OnUpdateStep(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bEnableRun && m_bAdvancedMode);
}

void CStepByStepDlg::OnStop() 
{
	::SendMessage(m_hWndNotify,WMU_STOP_TEST,0,0);
	m_pComms->Abort();
}

void CStepByStepDlg::OnUpdateStop(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bTestRunning);
}

void CStepByStepDlg::OnRun() 
{
	if(!m_bTestRunning)
	{
		if(!StartTest(TRUE))
			return;
	}
	else
		m_pComms->Run();

	m_bEnableRun = false;
	m_bEnableBreak = m_bAdvancedMode;

	if(!m_bAdvancedMode)
		m_nCurrentVUId = -1;

	m_ctlScriptList.EnableWindow(FALSE);
	
	int nNdx;
	if(m_mapPathToScriptListNdx.Lookup(m_strOpenScript,nNdx))
		m_ctlScriptList.SetCurSel(nNdx);
}

void CStepByStepDlg::OnUpdateRun(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bEnableRun);
}

void CStepByStepDlg::FillScriptDetailsList()
{ 
	//Setup up the columns in the grid
	m_ctlScriptDetails.SetColumnCount(m_arstrScriptDetailsColumns.GetSize()+3);
	m_ctlScriptDetails.SetRowResize(FALSE);
	
	int nNumCols = m_arstrScriptDetailsColumns.GetSize();
	for(int nCol=0;nCol<nNumCols;nCol++)
	{
		m_ctlScriptDetails.SetItemText(0,nCol+3,m_arstrScriptDetailsColumns[nCol]);
		m_ctlScriptDetails.SetColumnWidth(nCol+3,40);
	}

	m_ctlScriptDetails.DeleteNonFixedRows();
	const COLORREF colStateCells = RGB(230,230,230);

	m_mapScriptLineToRow.RemoveAll();

	POSITION pos = m_sclParser.GetFirstItemPosition();
	while(pos)
	{
		int nRow = -1;

		CScriptItemInfo *pItem = m_sclParser.GetNextItem(pos);
		
		switch(pItem->GetItemType())
		{
		case CScriptItemInfo::enRequest:
		{
			CRequestInfo *pRequest = (CRequestInfo*)pItem;
			bool bPrimary = pRequest->IsPrimary();
			if(bPrimary || m_bTestRunning || (m_dwScriptDetailsFilter & SHOW_SEC_URLS))
			{
				nRow = m_ctlScriptDetails.InsertRow("");
				CString strUrl = pRequest->GetUrl();
				strUrl.Remove('"');
				if(bPrimary)
				{
					m_ctlScriptDetails.SetItemText(nRow,1,strUrl);
					m_ctlScriptDetails.SetItemImage(nRow,1,enPrimary);
					m_ctlScriptDetails.GetCell(nRow,1)->SetTextClr(RGB(0,0,200));
				}
				else
				{
					strUrl = "     " + strUrl;
					m_ctlScriptDetails.SetItemText(nRow,1,strUrl);
					m_ctlScriptDetails.SetItemImage(nRow,1,enSecondary);
				}	
	
				DWORD dwState=GetMonitoring(m_strOpenScript,"",pItem->GetStartLine());
				m_ctlScriptDetails.CreateCustomCheckBox(nRow,2);
				BOOL bMonitor = ((dwState & HTTPMON_FLAG) ? true : false);
				((CECCheckBoxCell*)m_ctlScriptDetails.GetCell(nRow,2))->SetCheck(bMonitor);
				
				if(!m_strOpenProfile.IsEmpty())
				{
					dwState=GetMonitoring(m_strOpenScript,m_strOpenProfile,pItem->GetStartLine());
					for(int nCol=3;nCol<m_arstrScriptDetailsColumns.GetSize()+3;nCol++)
					{
						m_ctlScriptDetails.CreateCustomCheckBox(nRow,nCol);
						BOOL bMonitor = (dwState & (((DWORD)1) << (nCol-3)));
						((CECCheckBoxCell*)m_ctlScriptDetails.GetCell(nRow,nCol))->SetCheck(bMonitor);
					}
				}
				
				if(IsBreakpoint(pItem->GetStartLine()))
				{
					m_ctlScriptDetails.SetItemImage(nRow,0,enBreakpoint);
					m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,2);
				}
				else
				{
					m_ctlScriptDetails.SetItemImage(nRow,0,-1);
					m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,0);
				}

				m_ctlScriptDetails.SetItemData(nRow,0,(long)pRequest);
				m_ctlScriptDetails.GetCell(nRow,0)->SetBackClr(colStateCells);
			}
		}
		break;
		case CScriptItemInfo::enTimer:
		{
			CTimerInfo* pTimer = (CTimerInfo*)pItem;
			CString& strName = pTimer->GetName();
			
			BOOL bTransTimer = (strName.Left(6) == "TRANS_");

			if( (bTransTimer && (m_dwScriptDetailsFilter & SHOW_TRANS_TIMERS)) ||
				(!bTransTimer && (m_dwScriptDetailsFilter & SHOW_TIMERS)))
			{
				nRow = m_ctlScriptDetails.InsertRow("");
				m_ctlScriptDetails.SetItemText(nRow,1,strName);
				if(pTimer->IsStartTimer())
					m_ctlScriptDetails.SetItemImage(nRow,1,bTransTimer ? enTransStartTimer:enStartTimer);
				else
					m_ctlScriptDetails.SetItemImage(nRow,1,bTransTimer ? enTransEndTimer:enEndTimer);
				m_ctlScriptDetails.SetItemData(nRow,0,(long)pTimer);
				m_ctlScriptDetails.GetCell(nRow,0)->SetBackClr(colStateCells);

				for(int nCol=0;nCol<nNumCols;nCol++)
				{
					DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol+2);
					m_ctlScriptDetails.SetItemState(nRow,nCol+2,dwState | GVIS_READONLY);
				}
			}
		}
		break;
		case CScriptItemInfo::enComment:
			if(m_dwScriptDetailsFilter & SHOW_COMMENTS)
			{
				CCommentInfo* pComment = (CCommentInfo*)pItem;

				CString strComment = pComment->GetComment();
				if(strnicmp(strComment,"USC:",4)==0)
				{
					int nLen = strComment.GetLength();
					for(int nNdx=4;nNdx<nLen;nNdx++)
					{
						if((strComment[nNdx]!=' ') && (strComment[nNdx]!='\t'))
						{
							strComment = strComment.Mid(nNdx);
							break;
						}
					}
					nRow = m_ctlScriptDetails.InsertRow("");
					m_ctlScriptDetails.SetItemText(nRow,1,strComment);
					m_ctlScriptDetails.SetItemImage(nRow,1,enComment);
					m_ctlScriptDetails.GetCell(nRow,1)->SetTextClr(RGB(0,210,0));
					m_ctlScriptDetails.GetCell(nRow,0)->SetBackClr(colStateCells);
					m_ctlScriptDetails.SetItemData(nRow,0,(long)pComment);

					for(int nCol=0;nCol<nNumCols;nCol++)
					{
						DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol+2);
						m_ctlScriptDetails.SetItemState(nRow,nCol+2,dwState | GVIS_READONLY);
					}
				}
			}
		break;
		case CScriptItemInfo::enCallScript:
		{
			if(m_dwScriptDetailsFilter & SHOW_CALLSCRIPTS)
			{
				CCallScriptInfo* pCallScript = (CCallScriptInfo*)pItem;

				nRow = m_ctlScriptDetails.InsertRow("");
				m_ctlScriptDetails.SetItemText(nRow,1,pCallScript->GetScript());
				m_ctlScriptDetails.SetItemImage(nRow,1,enCallScript);
				
				m_ctlScriptDetails.SetItemData(nRow,0,(long)pCallScript);
				m_ctlScriptDetails.GetCell(nRow,0)->SetBackClr(colStateCells);

				for(int nCol=0;nCol<nNumCols;nCol++)
				{
					DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol+2);
					m_ctlScriptDetails.SetItemState(nRow,nCol+2,dwState | GVIS_READONLY);
				}
			}
		}
		break;
		case CScriptItemInfo::enWait:
			if(m_dwScriptDetailsFilter & SHOW_WAITS)
			{
				CWaitInfo *pWait = (CWaitInfo*)pItem;

				nRow = m_ctlScriptDetails.InsertRow("");
				m_ctlScriptDetails.SetItemText(nRow,1,"Wait: "+pWait->GetWait());
				m_ctlScriptDetails.SetItemImage(nRow,1,enWait);
				
				m_ctlScriptDetails.SetItemData(nRow,0,(long)pWait);
				m_ctlScriptDetails.GetCell(nRow,0)->SetBackClr(colStateCells);

				for(int nCol=0;nCol<nNumCols;nCol++)
				{
					DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol+2);
					m_ctlScriptDetails.SetItemState(nRow,nCol+2,dwState | GVIS_READONLY);
				}
			}
		break;
		default:
			continue;
		break;
		}
		if(nRow!=-1)
			m_mapScriptLineToRow.SetAt(pItem->GetStartLine(),nRow);
	}

	HighlightLine(m_nSelectedLine);

	m_ctlScriptDetails.SetRedraw(TRUE);
	m_ctlScriptDetails.Invalidate();

	int nNumRows = m_ctlScriptDetails.GetRowCount();
	for(int nRow=0;nRow<nNumRows;nRow++)
	{
		for(int nCol=0;nCol<2;nCol++)
		{
			DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol);
			m_ctlScriptDetails.SetItemState(nRow,nCol,dwState | GVIS_READONLY);
		}
	}

	if(m_bTestRunning)
		SetConfigReadOnly(TRUE,TRUE,TRUE);
	else
	if(m_nUserMode == enMultiUserMode)
		SetConfigReadOnly(TRUE,TRUE,FALSE);
}

void CStepByStepDlg::HighlightLine(int nLineNumber)
{
	if(!m_bAdvancedMode)
		return;

	HighlightScriptLine(nLineNumber);
	HighlightScriptDetailLine(nLineNumber);
	
	m_nSelectedLine = nLineNumber;
}

void CStepByStepDlg::HighlightScriptLine(int nLineNumber)
{
	if(nLineNumber == -1)
		m_ctlScript.SetHighlightedLine(-1);
	else
	{
		int nNumLines = m_ctlScript.GetVisibleLineCount(0);
		nNumLines /= 2;
		if(nNumLines > nLineNumber)
			nNumLines = nLineNumber;
		m_ctlScript.SetTopIndex(0,nLineNumber-nNumLines);
		m_ctlScript.SetHighlightedLine(nLineNumber-1);
	}
}

void CStepByStepDlg::HighlightScriptDetailLine(int nLineNumber)
{
	COLORREF colBk = GetSysColor(COLOR_WINDOW);
	
	m_ctlScriptDetails.SetRedraw(FALSE);

	//Clear old selection
	int nOldLine=-1;
	if((m_nSelectedLine!=-1) && m_mapScriptLineToRow.Lookup(m_nSelectedLine,nOldLine))
		m_ctlScriptDetails.GetCell(nOldLine,1)->SetBackClr(colBk);
	
	if(nLineNumber != -1)
	{
		int nNewRow;
		if(!m_mapScriptLineToRow.Lookup(nLineNumber,nNewRow))
			return;

		m_ctlScriptDetails.GetCell(nNewRow,1)->SetBackClr(RGB(255,255,0));
		m_ctlScriptDetails.EnsureVisible(nNewRow,1);
	}

	m_ctlScriptDetails.SetRedraw(TRUE);
	m_ctlScriptDetails.Invalidate();
}

void CStepByStepDlg::DisplayScript(const CString& strScript)
{
	if(!m_bAdvancedMode)
		return;

	CFileStatus fs;
	if(CFile::GetStatus(strScript,fs) &&
		((m_timeOpenScript != fs.m_mtime)||(strScript != m_strOpenScript)))
	{
		SaveScriptData();
		SaveMonitoringData();

		m_nSelectedLine = -1;

		m_timeOpenScript = fs.m_mtime;

		int nNdx;
		if(!m_mapPathToScriptListNdx.Lookup(strScript,nNdx))
		{
			int nDotPos = strScript.ReverseFind('.');
			int nSlashPos = strScript.ReverseFind('\\');
			CString strName = strScript.Left(nDotPos).Mid(nSlashPos+1);
			nNdx = m_ctlScriptList.AddString(strName);
			m_mapPathToScriptListNdx.SetAt(strScript,nNdx);
		}
		m_ctlScriptList.SetCurSel(nNdx);

		m_strOpenScript = strScript;
		m_ctlScript.OpenFile(strScript);

		CString strText;
		m_ctlScript.GetText(strText);
		m_sclParser.Parse(strText);

		LoadScriptData(m_strOpenScript);
		LoadMonitoringData(m_strOpenScript,m_strOpenProfile);

		FillScriptDetailsList();
		
		if(m_pLastRequest && (m_pLastRequest->GetScript() == strScript))
		{
			m_nSelectedLine = m_pLastRequest->GetScriptLine();
			HighlightLine(m_nSelectedLine);
		}

		SetTimer(IDT_UPDATE_SCRIPT,3000,NULL);		
	}
}

BOOL CStepByStepDlg::SetBreakpoint(int nLine,bool bSet)
{
	//Send to debugger
	if(m_bTestRunning)
		m_pComms->SetBreakPoint(m_strOpenScript,nLine,bSet);

	DWORD dwState=GetMonitoring(m_strOpenScript,"",nLine);
		
	if(bSet)
		dwState |= BREAKPOINT_FLAG;
	else
		dwState &= ~BREAKPOINT_FLAG;

	SetMonitoring(m_strOpenScript,"",nLine,dwState);
	
	return true;
}

void CStepByStepDlg::SetHTTPMonitor(int nLine,bool bSet)
{
	DWORD dwState=GetMonitoring(m_strOpenScript,"",nLine);
	
	if(bSet)
		dwState |= HTTPMON_FLAG;
	else
		dwState &= ~HTTPMON_FLAG;

	SetMonitoring(m_strOpenScript,"",nLine,dwState);
}

BOOL CStepByStepDlg::IsBreakpoint(int nLine)
{
	DWORD dwState=GetMonitoring(m_strOpenScript,"",nLine);
	return ((dwState & BREAKPOINT_FLAG)?true:false);
}

BOOL CStepByStepDlg::IsHttpMonitoringEnabled(const CString& strScript,int nLine)
{
	if(!m_bAdvancedMode)
		return true;

	DWORD dwState=GetMonitoring(m_strOpenScript,"",nLine);
	return ((dwState & HTTPMON_FLAG) ? true:false);
}

static DWORD CALLBACK MyStreamInCallback(DWORD dwCookie, LPBYTE pbBuff, LONG cb, LONG *pcb)
{	
	CMemFile* pFile = (CMemFile*) dwCookie;
	*pcb = pFile->Read(pbBuff, cb);
	if(*pcb && (*pcb < cb))
		(*pcb)--;

	return 0;
}

void CStepByStepDlg::DisplayNextRequest(CNextRequestData* pNRD)
{
	BOOL bSetRedraw=false;
	if(m_ctlHttpOutput.IsWindowVisible())
	{
		bSetRedraw = true;
		m_ctlHttpOutput.SetRedraw(FALSE);
	}

	CString strRequest(pNRD->GetRequest());
	strRequest.TrimRight("\r\n");
	strRequest.Replace("\r\n","\\par\\tab ");
	
	CString strScript(pNRD->GetScript());
	strScript.Replace("\\","\\\\");

	CString str;
	str.Format("{\\rtf1\\fs6"
				"\\ul\\b Request To Execute\\ulnone\\b0"
				"\\par\\b Script Name:\\b0\\tab %s"
				"\\par\\b Script Line #:\\b0\\tab %d"
				"\\par\\b Virtual User ID:\\b0\\tab %d"
				"\\par\\b Connection ID:\\b0\\tab %d"
				"\\par\\b Request:\\b0"
				"\\par\\tab %s"
				"\\par\\par}",
				strScript,pNRD->GetScriptLine(),pNRD->GetVUId()+1,pNRD->GetConId(),strRequest);

	long nStart,nEnd;
	m_ctlHttpOutput.GetSel(nStart,nEnd);	//Save selection
	m_ctlHttpOutput.SetSel(-1,-1);			//Move to end of text

	int nNumChars = m_ctlHttpOutput.GetTextLength();
	BOOL bScrollToEnd = ((nStart==nNumChars) && (nEnd == nNumChars));
	int nFirstLine = m_ctlHttpOutput.GetFirstVisibleLine();

	//Append new data
	CMemFile f;
	f.Attach((LPBYTE)str.GetBuffer(0),str.GetLength()+1,0);
	
	EDITSTREAM es;
	es.dwCookie = (DWORD)&f;
	es.pfnCallback = MyStreamInCallback; 
	m_ctlHttpOutput.StreamIn(SF_RTF|SFF_SELECTION,es);
	f.Detach();

	int nOffset = 0;
	int nSize = m_ctlHttpOutput.GetTextLength();
	const int nMaxSize = 1000000;
	if(nSize > nMaxSize)
	{
		m_ctlHttpOutput.SetSel(0,nSize-nMaxSize);
		nOffset = nSize-nMaxSize;
		nSize = nMaxSize;
		m_ctlHttpOutput.Clear();
	}
		
	if(bScrollToEnd)
	{
		m_ctlHttpOutput.SetSel(nSize,nSize);
	}
	else
	{
		//Restore selection
		m_ctlHttpOutput.SetSel(nStart-nOffset,nEnd-nOffset);
		int nNewFirstLine = m_ctlHttpOutput.GetFirstVisibleLine();
		m_ctlHttpOutput.LineScroll(nFirstLine-nNewFirstLine,0);
	}

	if(bSetRedraw)
	{
		m_ctlHttpOutput.SetRedraw(TRUE);
		m_ctlHttpOutput.Invalidate();
	}
}

void CStepByStepDlg::DisplayRequestComplete(CRequestCompleteData* pRCD)
{
	BOOL bSetRedraw=false;
	if(m_ctlHttpOutput.IsWindowVisible())
	{
		bSetRedraw = true;
		m_ctlHttpOutput.SetRedraw(FALSE);
	}

	CString str;
	CString strHeaders(pRCD->GetHeaders());
	strHeaders.TrimRight("\r\n");
	strHeaders.Replace("\r\n","\\par\\tab ");

	if(pRCD->IsBinaryData() || !pRCD->GetBodyLength())
	{
		str.Format("{\\rtf1\\fs6"
					"\\ul\\b Completed Request Data\\ulnone\\b0"
					"\\par\\b Virtual User ID:\\b0\\tab %d"
					"\\par\\b Connection Id:\\b0\\tab %d"
					"\\par\\b Request Headers:\\b0"
					"\\par\\tab %s"
					"\\par\\b Body Length:\\b0\\tab %d Bytes"
					"\\par %s"
					"\\par}",
					pRCD->GetVUId()+1,pRCD->GetConId(),strHeaders,pRCD->GetBodyLength(),
					(pRCD->IsBinaryData() ? "\\b Binary Body Not Displayed\\b0\\par":""));
	}
	else
	{
		CString strBody(pRCD->GetBody(),pRCD->GetBodyLength());
		strBody.Replace("\r\n","\\par\\tab ");
		strBody.Replace("\n","\\par\\tab ");

		str.Format("{\\rtf1\\fs6{\\colortbl ;\\red0\\green0\\blue200;}"
					"\\ul\\b Completed Request Data\\ulnone\\b0"
					"\\par\\b Virtual User ID:\\b0\\tab %d"
					"\\par\\b Connection Id:\\b0\\tab %d"
					"\\par\\b Request Headers:\\b0"
					"\\par\\tab %s"
					"\\par\\b Body Length:\\b0\\tab %d Bytes"
					"\\par\\b Body Contents:\\b0"
					"\\par\\tab\\cf1 %s\\cf0"
					"\\par\\par}",
					pRCD->GetVUId()+1,pRCD->GetConId(),strHeaders,pRCD->GetBodyLength(),strBody);
	}

	long nStart,nEnd;
	m_ctlHttpOutput.GetSel(nStart,nEnd);	//Save selection
	
	int nNumChars = m_ctlHttpOutput.GetTextLength();
	BOOL bScrollToEnd = ((nStart==nNumChars) && (nEnd == nNumChars));
	int nFirstLine = m_ctlHttpOutput.GetFirstVisibleLine();
	
	m_ctlHttpOutput.SetSel(-1,-1);			//Move to end of text

	CMemFile f;
	f.Attach((LPBYTE)str.GetBuffer(0),str.GetLength()+1,0);

	EDITSTREAM es;
	es.dwCookie = (DWORD)&f;
	es.pfnCallback = MyStreamInCallback; 
	m_ctlHttpOutput.StreamIn(SF_RTF|SFF_SELECTION,es);
	f.Detach();

	int nOffset = 0;
	int nSize = m_ctlHttpOutput.GetTextLength();
	const int nMaxSize = 1000000;
	if(nSize > nMaxSize)
	{
		m_ctlHttpOutput.SetSel(0,nSize-nMaxSize);
		nOffset = nSize-nMaxSize;
		nSize = nMaxSize;
		m_ctlHttpOutput.Clear();
	}
		
	if(bScrollToEnd)
	{
		m_ctlHttpOutput.SetSel(nSize,nSize);
	}
	else
	{
		//Restore selection
		m_ctlHttpOutput.SetSel(nStart-nOffset,nEnd-nOffset);
		int nNewFirstLine = m_ctlHttpOutput.GetFirstVisibleLine();
		m_ctlHttpOutput.LineScroll(nFirstLine-nNewFirstLine,0);
	}

	if(bSetRedraw)
	{
		m_ctlHttpOutput.SetRedraw(TRUE);
		m_ctlHttpOutput.Invalidate();
	}
}

void CStepByStepDlg::GetUserKey(int nVU,int nCon,CString& strKey)
{
	strKey.Format("%d-%d",nVU,nCon);
}

LRESULT CStepByStepDlg::OnRequestStepped(WPARAM nVUId,LPARAM nConId)
{
	if((m_nCurrentVUId == -1) || ((int)nVUId == m_nCurrentVUId))
	{
		CNextRequestData *pNRD;

		CString strKey;
		GetUserKey(nVUId,nConId,strKey);
		BOOL b;
		DWORD dwState;
		if(m_mapVUToMonitor.Lookup(strKey,b))
		{
			if(m_mapVUToRequest.Lookup(strKey,pNRD))
			{
				for(int nTab=1;nTab<m_arTestOutputTabs.GetSize();nTab++)
				{
					TabData& data = m_arTestOutputTabs[nTab];
					if(m_bAdvancedMode && (m_nUserMode == enSingleUserMode))
						dwState=GetMonitoring(pNRD->GetScript(),data.strName,pNRD->GetScriptLine());
					else
						dwState = data.dwDefaultMonitoring;

					data.pPlugin->NextRequest(data.strName,*pNRD,dwState);
				}
			}
		}
	}
	return 0;
}

void CStepByStepDlg::SetMonitoring(const CString& strScript,const CString& strProfile,int nLine,DWORD dwState)
{
	LineToStateMap* pLineMap=NULL;
	ProfileToLineMap* pProfileMap=NULL;
	if(!m_ScriptToProfileMap.Lookup(strScript,pProfileMap))
	{
		pProfileMap = new ProfileToLineMap;
		m_ScriptToProfileMap.SetAt(strScript,pProfileMap);
	}

	if(!pProfileMap->Lookup(strProfile,pLineMap))
	{
		pLineMap = new LineToStateMap;
		pProfileMap->SetAt(strProfile,pLineMap);
	}

	pLineMap->SetAt(nLine,dwState);
}

DWORD CStepByStepDlg::GetMonitoring(const CString& strScript,const CString& strProfile,int nScriptLine)
{
	if((m_nUserMode == enMultiUserMode) && !strProfile.IsEmpty())
	{
		DWORD dwDefState=0;
		for(int nTab=0;nTab<m_arTestOutputTabs.GetSize();nTab++)
		{
			TabData& data = m_arTestOutputTabs[nTab];
			if(data.strName == strProfile)
				return data.dwDefaultMonitoring;
		}
	}
	else
	{
		DWORD dwState=0;
		LineToStateMap* pLineMap=NULL;
		ProfileToLineMap* pProfileMap=NULL;
		if(!m_ScriptToProfileMap.Lookup(strScript,pProfileMap))
		{
			LoadMonitoringData(strScript,strProfile);
			if(!m_ScriptToProfileMap.Lookup(strScript,pProfileMap))
				return 0;
		}

		if(!pProfileMap->Lookup(strProfile,pLineMap))
		{
			LoadMonitoringData(strScript,strProfile);
			if(!pProfileMap->Lookup(strProfile,pLineMap))
				return 0;
		}

		if(pLineMap && pLineMap->Lookup(nScriptLine,dwState))
			return dwState;
	}

	return 0;
}

void CStepByStepDlg::DisplayResultsForUser(int nVUId)
{
	CNextRequestData *pNRData;
	CString strKey;
	POSITION pos = m_mapVUToRequest.GetStartPosition();
	while(pos)
	{
		m_mapVUToRequest.GetNextAssoc(pos,strKey,pNRData);
		delete pNRData;
	}
	m_mapVUToRequest.RemoveAll();

	//Load the results to date from the results file for this user 
	//or all users if nVUId is -1
	CString strTestRun = GetTestRunFolder();
	CHttpSingleStepFile SSFile;
	if(!SSFile.Open(strTestRun,true))
		return;

	CBaseSingleStepData* pData = NULL;
	
	CMap <int,int,CNextRequestData*,CNextRequestData*> mapVUToRequest;
	m_ctlHttpOutput.SetWindowText("");
	m_pLastRequest = NULL;
	while(pData = SSFile.Read())
	{
		switch(pData->GetType())
		{
		case CBaseSingleStepData::enNextRequest:
		{
			CNextRequestData *pNRData = (CNextRequestData*)pData;

			CString strKey;
			GetUserKey(pNRData->GetVUId(),pNRData->GetConId(),strKey);

			//This data should be duplicated but as it is not necessary to do this now
			//it is done later for just those that remain 
			m_mapVUToRequest.SetAt(strKey,pNRData);	

			int nNdx;
			if(!m_mapPathToScriptListNdx.Lookup(pNRData->GetScript(),nNdx))
			{
				CString strScript = pNRData->GetScript();
				int nDotPos = strScript.ReverseFind('.');
				int nSlashPos = strScript.ReverseFind('\\');
				CString strName = strScript.Left(nDotPos).Mid(nSlashPos+1);
				nNdx = m_ctlScriptList.AddString(strName);
				m_mapPathToScriptListNdx.SetAt(strScript,nNdx);
			}

			if((pNRData->GetVUId() == nVUId)|| (nVUId==-1))
			{
				m_pLastRequest = pNRData;

				if(IsHttpMonitoringEnabled(pNRData->GetScript(),pNRData->GetScriptLine()))
				{
					m_mapVUToMonitor.SetAt(strKey,TRUE);
					DisplayNextRequest(pNRData);
				}
				else
					m_mapVUToMonitor.RemoveKey(strKey);
			}
			else
				m_mapVUToMonitor.RemoveKey(strKey);
		}
		break;
		case CBaseSingleStepData::enRequestComplete:
		{
			CRequestCompleteData *pRCData = (CRequestCompleteData*)pData;

			CNextRequestData *pNRD;
			CString strKey;
			GetUserKey(pRCData->GetVUId(),pRCData->GetConId(),strKey);
			if(m_mapVUToRequest.Lookup(strKey,pNRD))
				m_mapVUToRequest.RemoveKey(strKey);

			if((pRCData->GetVUId() == nVUId)|| (nVUId==-1))
			{
				BOOL b;
				if(m_mapVUToMonitor.Lookup(strKey,b))
					DisplayRequestComplete(pRCData);
			}
			m_mapVUToMonitor.RemoveKey(strKey);
		}
		break;
		}
	}

	CString strVU;
	CNextRequestData* pCopy;
	m_ctlUserStatus.DeleteNonFixedRows();
	pos = m_mapVUToRequest.GetStartPosition();
	while(pos)
	{
		m_mapVUToRequest.GetNextAssoc(pos,strVU,pNRData);

		//Do copy here
		pCopy = new CNextRequestData;
		*pCopy = *pNRData;
		
		m_mapVUToRequest.SetAt(strVU,pCopy);

		DisplayUserStatus(pCopy);
	}

	if(m_bAdvancedMode && m_pLastRequest)
	{
		DisplayScript(m_pLastRequest->GetScript());
		HighlightLine(m_pLastRequest->GetScriptLine());
	}
}

CString CStepByStepDlg::GetTestRunFolder()
{
	CString strTFPath = m_pTestFile->GetTestFilePath();

	int nPos = strTFPath.ReverseFind('\\');
	CString strTestPath = strTFPath.Left(nPos+1);

	CFileFind FF;
	if(!FF.FindFile(strTestPath + "*.*"))
		return "";

	CString strRunFolder;
	BOOL bContinue=true;
	CTime tmLast(0),tmFolder;
	while(bContinue)
	{
		bContinue = FF.FindNextFile();

		if(FF.IsDirectory() && !FF.IsDots() && !FF.IsHidden())
		{
			FF.GetCreationTime(tmFolder);
			if (tmFolder > tmLast)
			{
				strRunFolder = FF.GetFilePath();
				tmLast = tmFolder;
			}
		}
	}

	return strRunFolder;
}

BOOL CStepByStepDlg::StartTest(BOOL bRun)
{
	SaveScriptData();
	SaveMonitoringData();

	m_pComms->StartDebugger(bRun);

	SetConfigReadOnly(TRUE,TRUE,TRUE);

	::SendMessage(m_hWndNotify,WMU_START_TEST,0,0);

	m_nCurrentVUId = 0;

	m_strRunFolder.Empty();
	for(int nPI=0;nPI<m_arPlugins.GetSize();nPI++)
		m_arPlugins[nPI]->SetRunFolder(m_strRunFolder);

	SetTimer(IDT_TEST_TO_START,10000,NULL);
	return true;
}

LRESULT CStepByStepDlg::OnNextRequest(WPARAM,LPARAM pData)
{
	CNextRequestData* pNRD = (CNextRequestData*)pData;

	DisplayUserStatus(pNRD);

	if((m_nCurrentVUId == -1) || (pNRD->GetVUId() == m_nCurrentVUId))
	{
		if(m_bAdvancedMode && (m_nCurrentVUId != -1))
		{
			DisplayScript(pNRD->GetScript());
			HighlightLine(pNRD->GetScriptLine());
		}

		//Is Http monitoring disabled
		if(!IsHttpMonitoringEnabled(pNRD->GetScript(),pNRD->GetScriptLine()))
			return 0;

		CString strKey;
		GetUserKey(pNRD->GetVUId(),pNRD->GetConId(),strKey);
		m_mapVUToMonitor.SetAt(strKey,true);
		DisplayNextRequest(pNRD);
		m_pLastRequest = pNRD;
	}

	return 0;
}

LRESULT CStepByStepDlg::OnRequestComplete(WPARAM,LPARAM pData)
{
	CRequestCompleteData* pRCD = (CRequestCompleteData*)pData;

	CString strKey;
	GetUserKey(pRCD->GetVUId(),pRCD->GetConId(),strKey);
	RemoveUserStatus(strKey);

	if((m_nCurrentVUId == -1) || (pRCD->GetVUId() == m_nCurrentVUId))
	{
		BOOL b;
		if(m_mapVUToMonitor.Lookup(strKey,b))
		{
			for(int nTab=1;nTab<m_arTestOutputTabs.GetSize();nTab++)
			{
				TabData& data = m_arTestOutputTabs[nTab];
				data.pPlugin->RequestComplete(data.strName,*pRCD);
			}

			DisplayRequestComplete(pRCD);
			m_mapVUToMonitor.RemoveKey(strKey);
		}
	}
	delete pRCD;
	return 0;
}

void CStepByStepDlg::OnBreak() 
{
	m_bEnableBreak = false;
	m_pComms->Break();
}

void CStepByStepDlg::OnUpdateBreak(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bEnableBreak);
}

BOOL CStepByStepDlg::IsOnSplitter(const CPoint& pt)
{
	if(!m_bAdvancedMode)
		return false;

	if((pt.y > m_nHSplitterPos-5) && (pt.y < m_nHSplitterPos+5))
		return true;
	return false;
}

void CStepByStepDlg::DrawDragHSplitter(int nOldPos,int nNewPos)
{
	CWindowDC dc(this);

	CRect rcClient;
	GetClientRect(rcClient);

	if(nOldPos != -1)
		dc.InvertRect(CRect(rcClient.left,nOldPos-3,rcClient.right,nOldPos+3));

	if(nNewPos != -1)
		dc.InvertRect(CRect(rcClient.left,nNewPos-3,rcClient.right,nNewPos+3));
}

void CStepByStepDlg::OnCaptureChanged(CWnd *pWnd) 
{
	m_bDraggingHSplitter = false;
	
	CDialog::OnCaptureChanged(pWnd);
}

void CStepByStepDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	if(IsOnSplitter(point))
		SetCursor(AfxGetApp()->LoadStandardCursor(IDC_SIZENS));
	
	if(m_bDraggingHSplitter)
	{
		CRect rc;
		GetClientRect(rc);

		int nOldPos = m_nHSplitterPos;
		
		m_nHSplitterPos = point.y;
		if(point.y < rc.top+20)
			m_nHSplitterPos = rc.top+20;
		
		if(point.y > rc.bottom-20)
			m_nHSplitterPos = rc.bottom-20;
		
		DrawDragHSplitter(nOldPos,m_nHSplitterPos);
	}
	
	CDialog::OnMouseMove(nFlags, point);
}

void CStepByStepDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
	if(m_bDraggingHSplitter)
	{
		m_bDraggingHSplitter = false;
		ReleaseCapture();
		DrawDragHSplitter(m_nHSplitterPos,-1);
		DoSizing();
		Invalidate();
	}
	
	CDialog::OnLButtonUp(nFlags, point);
}

void CStepByStepDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if(IsOnSplitter(point))
	{
		m_bDraggingHSplitter = true;
		SetCapture();
		DrawDragHSplitter(-1,m_nHSplitterPos);
	}
	
	CDialog::OnLButtonDown(nFlags, point);
}

void CStepByStepDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	if(m_bAdvancedMode)
	{
		//Draw horizontal splitter
		CRect rcSplitter;
		GetClientRect(rcSplitter);
		rcSplitter.top = m_nHSplitterPos-3;
		rcSplitter.bottom = m_nHSplitterPos+3;
		dc.DrawFrameControl(rcSplitter,DFC_BUTTON,DFCS_BUTTONPUSH);
	}
	
	// Do not call CDialog::OnPaint() for painting messages
}

BOOL CStepByStepDlg::OnEraseBkgnd(CDC* pDC) 
{
	CRect rc;
	if(m_bTestRunning)
	{
		m_ctlTestOutputTabs.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

		if(m_bAdvancedMode)
		{
			m_ctlVUs.GetWindowRect(rc);
			ScreenToClient(rc);
			pDC->ExcludeClipRect(rc);

			m_ctlScriptList.GetWindowRect(rc);
			ScreenToClient(rc);
			pDC->ExcludeClipRect(rc);
		}
	}
	else
	{
		m_ctlTasksCpn.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

		m_ctlTasks.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

		m_ctlProfilesCpn.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

		m_ctlProfiles.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

		m_ctlSingleUser.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);
		
		m_ctlMultiUser.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);

//		m_ctlAdvanced.GetWindowRect(rc);
//		ScreenToClient(rc);
//		pDC->ExcludeClipRect(rc);
	}

	if(m_bAdvancedMode)
	{
		m_ctlConfigTabs.GetWindowRect(rc);
		ScreenToClient(rc);
		pDC->ExcludeClipRect(rc);
	}
	
	return CDialog::OnEraseBkgnd(pDC);
}

LRESULT CStepByStepDlg::OnReadyToStep(WPARAM,LPARAM)
{
	m_bEnableBreak = false;
	m_bEnableRun = true;

	m_ctlScriptList.EnableWindow(m_bAdvancedMode);
	return 0;
}

LRESULT CStepByStepDlg::OnRunning(WPARAM,LPARAM)
{
	m_bEnableRun = false;
	m_bEnableBreak = m_bAdvancedMode;

	return 0;
}

void CStepByStepDlg::OnDblClickScriptDetails(NMHDR* pNMHDR,LRESULT* pResult)
{
	NM_GRIDVIEW *pNMGridView = (NM_GRIDVIEW*)pNMHDR;

	int nRow = pNMGridView->iRow;
	int nCol = pNMGridView->iColumn;
	if(nCol > 1)
		return;

	CScriptItemInfo *pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(nRow,0);
	if(!pItem)
		return;

	if(!nCol)
	{
		if(pItem->GetItemType() != CScriptItemInfo::enRequest)
			return;

		if(IsBreakpoint(pItem->GetStartLine()))
		{
			if(SetBreakpoint(pItem->GetStartLine(),FALSE))
			{
				m_ctlScriptDetails.SetItemImage(nRow,0,-1);
				m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,0);
			}
		}
		else
		{
			if(SetBreakpoint(pItem->GetStartLine(),TRUE))
			{
				m_ctlScriptDetails.SetItemImage(nRow,0,enBreakpoint);
				m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,2);
			}
		}
		m_ctlScriptDetails.RedrawCell(nRow,0);
	}
	else
	{
		for(int nNdx=0;nNdx<m_arConfigTabs.GetSize();nNdx++)
		{
			if(m_arConfigTabs[nNdx] == &m_ctlScript)
			{
				ShowConfigTab(nNdx);
				break;
			}
		}	

		int nLineNumber = pItem->GetStartLine()-1;
		int nNumLines = m_ctlScript.GetVisibleLineCount(0);
		nNumLines /= 2;
		if(nNumLines > nLineNumber)
			nNumLines = nLineNumber;
		m_ctlScript.SetTopIndex(0,nLineNumber-nNumLines);
		m_ctlScript.SelectLine(nLineNumber,TRUE);
		m_ctlScript.SetFocus();
		m_ctlScript.SetFocus();
	}

	*pResult = 0;
}

void CStepByStepDlg::OnCellCheckedScriptDetails(NMHDR* pNMHDR,LRESULT* pResult)
{
	NM_GRIDVIEW *pNMGridView = (NM_GRIDVIEW*)pNMHDR;

	int nRow = pNMGridView->iRow;
	int nCol = pNMGridView->iColumn;

	if((nRow<=0) || (nCol<2))
		return;

	CECCheckBoxCell *pCell = (CECCheckBoxCell*)m_ctlScriptDetails.GetCell(nRow,nCol);

	BOOL bChecked = pCell->GetCheck();
	
	DWORD dwState=0;
	CScriptItemInfo* pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(nRow,0);
	if(pItem && (pItem->GetItemType() == CScriptItemInfo::enRequest))
	{
		int nLine = pItem->GetStartLine();
		DWORD dwState;
		if(nCol == 2)
		{
			dwState = GetMonitoring(m_strOpenScript,"",nLine);
			if(bChecked)
				dwState |=  HTTPMON_FLAG;
			else
				dwState &= ~HTTPMON_FLAG;
			
			SetMonitoring(m_strOpenScript,"",nLine,dwState);
		}
		else
		{
			dwState = GetMonitoring(m_strOpenScript,m_strOpenProfile,nLine);

			if(bChecked)
				dwState |= ((DWORD)1<<(nCol-3));
			else
			{
				DWORD dw=1;
				dwState &= ~(dw << (nCol-3));
			}
			SetMonitoring(m_strOpenScript,m_strOpenProfile,nLine,dwState);
		}
		m_ctlScriptDetails.RedrawCell(nRow,nCol);
	}

	if(pCell->IsSelected())
	{

		m_ctlScriptDetails.SetRedraw(FALSE);
		CCellRange cellRange = m_ctlScriptDetails.GetSelectedCellRange();
		int nMinCol = cellRange.GetMinCol();
		int nMaxCol = cellRange.GetMaxCol();
		int nMinRow = cellRange.GetMinRow();
		int nMaxRow = cellRange.GetMaxRow();

		if(nMinCol < 2)
			nMinCol = 2;

		for(int nSelCol=nMinCol;nSelCol<=nMaxCol;nSelCol++)
		{
			for(int nSelRow=nMinRow;nSelRow<=nMaxRow;nSelRow++)
			{
				if(m_ctlScriptDetails.IsCellSelected(nSelRow,nSelCol))
				{
					CGridCellBase *pCell = m_ctlScriptDetails.GetCell(nSelRow,nSelCol);
					if(!pCell->IsKindOf(RUNTIME_CLASS(CECCheckBoxCell)))
						continue;
				
					pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(nSelRow,0);
					if(pItem && (pItem->GetItemType() == CScriptItemInfo::enRequest))
					{
						int nLine = pItem->GetStartLine();
		
						if(pCell->GetState() & GVIS_READONLY)
							continue;

						((CECCheckBoxCell*)pCell)->SetCheck(bChecked);
						m_ctlScriptDetails.RedrawCell(nSelRow,nSelCol);

						if(nSelCol == 2)
						{
							dwState = GetMonitoring(m_strOpenScript,"",nLine);
							if(bChecked)
								dwState |=  HTTPMON_FLAG;
							else
								dwState &= ~HTTPMON_FLAG;
							
							SetMonitoring(m_strOpenScript,"",nLine,dwState);
						}
						else
						{
							dwState = GetMonitoring(m_strOpenScript,m_strOpenProfile,nLine);

							if(bChecked)
								dwState |= ((DWORD)1<<(nSelCol-3));
							else
							{
								DWORD dw=1;
								dwState &= ~(dw << (nSelCol-3));
							}
							SetMonitoring(m_strOpenScript,m_strOpenProfile,nLine,dwState);
						}
					}
				}
			}
		}
		m_ctlScriptDetails.SetRedraw(TRUE);
	}

	*pResult = 0;
}

void CStepByStepDlg::OnToggleBreakpoint() 
{
	CCellID cell = m_ctlScriptDetails.GetFocusCell();
	
	if(cell.row==-1 ||cell.col == -1)
		return;

	if(m_ctlScriptDetails.IsCellSelected(cell.row,cell.col))
	{
		CCellRange cellRange = m_ctlScriptDetails.GetSelectedCellRange();

		int nMinCol = cellRange.GetMinCol();
		int nMaxCol = cellRange.GetMaxCol();
		int nMinRow = cellRange.GetMinRow();
		int nMaxRow = cellRange.GetMaxRow();

		for(int nSelRow=nMinRow;nSelRow<=nMaxRow;nSelRow++)
		{
			for(int nSelCol=nMinCol;nSelCol<=nMaxCol;nSelCol++)
			{
				if(!m_ctlScriptDetails.IsCellSelected(nSelRow,nSelCol))
					continue;

				CScriptItemInfo* pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(nSelRow,0);
				if(!pItem || (pItem->GetItemType() != CScriptItemInfo::enRequest))
					break;	//goto next row

				if(IsBreakpoint(pItem->GetStartLine()))
				{
					if(SetBreakpoint(pItem->GetStartLine(),FALSE))
					{
						m_ctlScriptDetails.SetItemImage(nSelRow,0,-1);
						m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,0);
					}
					
				}
				else
				{
					if(SetBreakpoint(pItem->GetStartLine(),TRUE))
					{
						m_ctlScriptDetails.SetItemImage(nSelRow,0,enBreakpoint);
						m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,2);
					}
				}
				m_ctlScriptDetails.RedrawCell(nSelRow,0);
				break;
			}
		}
	}
	else
	{
		CScriptItemInfo* pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(cell.row,0);
		if(pItem && (pItem->GetItemType() == CScriptItemInfo::enRequest))
		{
			if(IsBreakpoint(pItem->GetStartLine()))
			{
				if(SetBreakpoint(pItem->GetStartLine(),FALSE))
				{
					m_ctlScriptDetails.SetItemImage(cell.row,0,-1);
					m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,0);
				}		
			}
			else
			{
				if(SetBreakpoint(pItem->GetStartLine(),TRUE))
				{
					m_ctlScriptDetails.SetItemImage(cell.row,0,enBreakpoint);
					m_ctlScript.SetMarginImages(pItem->GetStartLine()-1,2);
				}
			}

			m_ctlScriptDetails.RedrawCell(cell.row,0);
		}
	}
	Invalidate();
}

void CStepByStepDlg::OnRClickScriptDetails(NMHDR* pNMHDR,LRESULT* pResult)
{
	NM_GRIDVIEW *pNMGridView = (NM_GRIDVIEW*)pNMHDR;

	CPoint point;
	GetCursorPos(&point);

	CMenu menu;
    
	CRect rcUrlList;
	m_ctlScriptDetails.GetWindowRect(&rcUrlList);
	if(rcUrlList.PtInRect(point))
	{
		menu.LoadMenu(IDR_URLLIST_MENU);

		BOOL bEnableToggle = false;
		
		if(pNMGridView->iRow != -1 && pNMGridView->iColumn != -1)
		{
			m_ptContextClick.x = pNMGridView->iColumn;
			m_ptContextClick.y = pNMGridView->iRow;

			CScriptItemInfo* pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(pNMGridView->iRow,0);
			if(pItem && (pItem->GetItemType() == CScriptItemInfo::enRequest))
				bEnableToggle = true;

			if(!bEnableToggle && m_ctlScriptDetails.IsCellSelected(pNMGridView->iRow,pNMGridView->iColumn))
			{
				CCellRange cellRange = m_ctlScriptDetails.GetSelectedCellRange();
				int nMinCol = cellRange.GetMinCol();
				int nMaxCol = cellRange.GetMaxCol();
				int nMinRow = cellRange.GetMinRow();
				int nMaxRow = cellRange.GetMaxRow();
				for(int nSelCol=nMinCol;nSelCol<=nMaxCol;nSelCol++)
				{
					for(int nSelRow=nMinRow;nSelRow<=nMaxRow;nSelRow++)
					{
						if(!m_ctlScriptDetails.IsCellSelected(nSelRow,nSelCol))
							continue;

						CScriptItemInfo* pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(nSelRow,0);
						if(pItem && (pItem->GetItemType() == CScriptItemInfo::enRequest))
						{
							bEnableToggle = true;
							nSelCol = nMaxCol;	//Quit loops
							nSelRow=nMaxRow;
						}
					}
				}
			}
		}

		CMenu* pPopup = menu.GetSubMenu(0);
        if(!bEnableToggle)
			pPopup->RemoveMenu(ID_TOGGLE_BREAKPOINT,MF_BYCOMMAND);	//remove toggle bp
	}
	else
		return;

    CMenu* pPopup = menu.GetSubMenu(0);
    ASSERT(pPopup != NULL);

	pPopup->TrackPopupMenu(TPM_LEFTALIGN | TPM_RIGHTBUTTON, point.x, point.y,this);	
}

void CStepByStepDlg::OnSelchangeVus() 
{
	int nCurSel = m_ctlVUs.GetCurSel();
	if(nCurSel == CB_ERR)
		return;

	m_nCurrentVUId = m_ctlVUs.GetItemData(nCurSel);
	
	DisplayResultsForUser(m_nCurrentVUId);

	int nNumPlugins = m_arPlugins.GetSize();
	for(int nPlugin=0;nPlugin<nNumPlugins;nPlugin++)
		m_arPlugins[nPlugin]->SetActiveUser(m_nCurrentVUId);

	if(m_nCurrentVUId == -1)
	{
		HighlightLine(-1);
	}
	
	SetupTestConfigTabs();
}

void CStepByStepDlg::RemoveUserStatus(const CString& strUserKey)
{
	CNextRequestData *pNRData;
	if(!m_mapVUToRequest.Lookup(strUserKey,pNRData))
		return;

	int nNumCols = m_ctlUserStatus.GetColumnCount();
	if(!nNumCols)
		return;

	int nNumRows = m_ctlUserStatus.GetRowCount();
	for(int nRow=0;nRow<nNumRows;nRow++)
	{
		if(m_ctlUserStatus.GetItemData(nRow,0) == (int)pNRData)
		{
			m_ctlUserStatus.DeleteRow(nRow);
			m_ctlUserStatus.Invalidate();
			return;
		}
	}
}

void CStepByStepDlg::DisplayUserStatus(CNextRequestData* pNRD)
{
	CString strKey;
	GetUserKey(pNRD->GetVUId(),pNRD->GetConId(),strKey);

	CNextRequestData *pData;
	if(m_mapVUToRequest.Lookup(strKey,pData) && (pNRD != pData))
		RemoveUserStatus(strKey);
	
	m_mapVUToRequest.SetAt(strKey,pNRD);
	
	CString str;

	//VU ID
	str.Format("%d",pNRD->GetVUId()+1);
	int nItem = m_ctlUserStatus.InsertRow(str);

	//CONID
	str.Format("%d",pNRD->GetConId());
	m_ctlUserStatus.SetItemText(nItem,1,str);	

	//URL
	CString strRequest(pNRD->GetRequest());
	m_ctlUserStatus.SetItemText(nItem,2,strRequest.SpanExcluding("\r\n"));
	
	//SCRIPT
	char *szScriptName = strrchr(pNRD->GetScript(),'\\')+1;
	m_ctlUserStatus.SetItemText(nItem,3,szScriptName);

	//LINE NO.
	str.Format("%d",pNRD->GetScriptLine());
	m_ctlUserStatus.SetItemText(nItem,4,str);

	m_ctlUserStatus.SetItemData(nItem,0,(DWORD)pNRD);

	//Set cells readonly
	int nNumCols = m_ctlUserStatus.GetColumnCount();
	for(int nCol=0;nCol<nNumCols;nCol++)
	{
		DWORD dwState = m_ctlUserStatus.GetItemState(nItem,nCol);
		m_ctlUserStatus.SetItemState(nItem,nCol,dwState | GVIS_READONLY);
	}

	m_ctlUserStatus.RedrawRow(nItem);
}

void CStepByStepDlg::OnDblClickUserStatus(NMHDR* pNMHDR,LRESULT* pResult)
{
	NM_GRIDVIEW *pNMGridView = (NM_GRIDVIEW*)pNMHDR;

	int nRow = pNMGridView->iRow;
	int nCol = pNMGridView->iColumn;

	if(!nRow)
		return;

	*pResult = 0;
	
	CNextRequestData *pNRData = (CNextRequestData*)m_ctlUserStatus.GetItemData(nRow,0);

	DisplayScript(pNRData->GetScript());
		
	for(int nNdx=0;nNdx<m_arConfigTabs.GetSize();nNdx++)
	{
		if(	m_arConfigTabs[nNdx] == &m_ctlScriptDetails)
		{
			ShowConfigTab(nNdx);
			break;
		}
	}
		
	HighlightLine(pNRData->GetScriptLine());

	int nNumItems = m_ctlVUs.GetCount();
	for(int n=0;n<nNumItems;n++)
	{
		if(pNRData->GetVUId() == (int)m_ctlVUs.GetItemData(n))
		{
			m_ctlVUs.SetCurSel(n);
			OnSelchangeVus();
			break;
		}
	} 
}

void CStepByStepDlg::OnGotoScript() 
{
	CScriptItemInfo *pItem = (CScriptItemInfo*)m_ctlScriptDetails.GetItemData(m_ptContextClick.y,0);
	if(pItem)
	{
		for(int nNdx=0;nNdx<m_arConfigTabs.GetSize();nNdx++)
		{
			if(	m_arConfigTabs[nNdx] == &m_ctlScript)
			{
				ShowConfigTab(nNdx);
			}
		}
	
		int nLineNumber = pItem->GetStartLine()-1;
		int nNumLines = m_ctlScript.GetVisibleLineCount(0);
		nNumLines /= 2;
		if(nNumLines > nLineNumber)
			nNumLines = nLineNumber;
		m_ctlScript.SetTopIndex(0,nLineNumber-nNumLines);
		m_ctlScript.SelectLine(nLineNumber,TRUE);
		m_ctlScript.SetFocus();
		return;
	}
}

void CStepByStepDlg::SetConfigReadOnly(BOOL bReadOnly,BOOL bMonitoring,BOOL bScript)
{
	if(!bScript && !bMonitoring)
		return;
	
	int nFirstCol = (bScript ? 2 : 3);
	int nLastCol = (bMonitoring ? (m_arstrScriptDetailsColumns.GetSize()+3):3);

	int nNumRows = m_ctlScriptDetails.GetRowCount();
	for(int nRow=0;nRow<nNumRows;nRow++)
	{
		for(int nCol=nFirstCol;nCol<nLastCol;nCol++)
		{
			DWORD dwState = m_ctlScriptDetails.GetItemState(nRow,nCol);
			if(bReadOnly)
				m_ctlScriptDetails.SetItemState(nRow,nCol,dwState | GVIS_READONLY);
			else
				m_ctlScriptDetails.SetItemState(nRow,nCol,dwState & ~GVIS_READONLY);
		}
	}
}

int CStepByStepDlg::GetNumVUs()
{
	if(!m_pTestFile)
		return 1;

	int nTaskGroup = m_pTestFile->GetStepByStepTaskGroup();
	
	DWORD dwSize;
	LPBYTE pData = NULL;
	m_pTestFile->GetTaskGroupData(nTaskGroup,&pData,dwSize);
	
	CTaskGroupDefData TGData;
	if(TGData.LoadFromBuffer(pData))
		return TGData.GetNumVUs();
	
	return 1;
}


void CStepByStepDlg::OnTimer(UINT nIDEvent) 
{
	switch(nIDEvent)
	{
	case IDT_UPDATE_SCRIPT:
	{
		if(m_bTestRunning)
			break;
		CFileStatus fs;
		if(CFile::GetStatus(m_strOpenScript,fs) && (fs.m_mtime != m_timeOpenScript))
		{
			KillTimer(IDT_UPDATE_SCRIPT);
			DisplayScript(m_strOpenScript);
		}
	}
	break;
	case IDT_TEST_TO_START:
		KillTimer(IDT_TEST_TO_START);
		StopActiveTest();
	break;
	}

	CDialog::OnTimer(nIDEvent);
}

void CStepByStepDlg::SaveScriptData()
{
	if(m_strOpenScript.IsEmpty())
		return;

	int nDotPos = m_strOpenScript.ReverseFind('.');
	CString strPath = m_strOpenScript.Left(nDotPos) + ".dat";
	SaveMonitoringData(m_strOpenScript,"",strPath);

	//Set the file as hidden
	CFileStatus fs;
	if(CFile::GetStatus(strPath,fs))
	{
		fs.m_attribute |= CFile::Attribute::hidden;
		CFile::SetStatus(strPath,fs);
	}
}

BOOL CStepByStepDlg::LoadMonitoringData(const CString& strScript,const CString& strProfile,const CString& strPath,DWORD dwDefaultState)
{
	if(strScript.IsEmpty())
		return false;

	ProfileToLineMap* pProfileMap = NULL;
	LineToStateMap *pStateMap = NULL;
	if(m_ScriptToProfileMap.Lookup(strScript,pProfileMap))
	{
		if(pProfileMap && pProfileMap->Lookup(strProfile,pStateMap))
			return false;
	}

	if(!pProfileMap)
	{
		pProfileMap = new ProfileToLineMap;
		m_ScriptToProfileMap.SetAt(strScript,pProfileMap);
	}

	if(!pStateMap)
	{
		pStateMap = new LineToStateMap;
		pProfileMap->SetAt(strProfile,pStateMap);
	}

	CSclParser Parser;
	CFile fScript;
	if(!fScript.Open(strScript,CFile::modeRead|CFile::shareDenyNone))
		return false;

	DWORD dwLen = fScript.GetLength();
	char *sz = new char[dwLen];
	fScript.Read(sz,dwLen);
	Parser.Parse(sz);
	delete []sz;
	fScript.Close();

	CFile f;
	if(f.Open(strPath,CFile::modeRead|CFile::shareDenyNone))
	{
		CArchive ar(&f,CArchive::load);

		int nVersion=0;
		ar >> nVersion;
		if(nVersion == 1)
		{
			int nUrlNdx,nUrl=0,nLine;

			ar >> nUrlNdx;

			DWORD dwState;
			POSITION pos = Parser.GetFirstItemPosition();
			while(pos)
			{
				CScriptItemInfo *pItem = Parser.GetNextItem(pos);
				if(pItem->GetItemType() == CScriptItemInfo::enRequest)
				{
					if(nUrl == nUrlNdx)
					{
						ar >> nLine;
						ar >> dwState;
			
						pStateMap->SetAt(pItem->GetStartLine(),dwState);

						ar >> nUrlNdx;
					}

					nUrl++;
				}
			}	
		}
		ar.Close();
		f.Close();
		return true;
	}
	else
	{
		POSITION pos = Parser.GetFirstItemPosition();
		while(pos)
		{
			CScriptItemInfo *pItem = Parser.GetNextItem(pos);
			if(pItem->GetItemType() == CScriptItemInfo::enRequest)
			{
				pStateMap->SetAt(pItem->GetStartLine(),dwDefaultState);
			}
		}	
		return true;
	}
	return false;
}

void CStepByStepDlg::LoadScriptData(const CString& strScript)
{
	if(strScript.IsEmpty())
		return;
	
	int nDotPos = strScript.ReverseFind('.');
	CString strPath = strScript.Left(nDotPos) + ".dat";
		
	LoadMonitoringData(strScript,"",strPath,HTTPMON_FLAG);
}

void CStepByStepDlg::LoadMonitoringData(const CString& strScript,const CString& strProfile)
{
	if(strScript.IsEmpty() || strProfile.IsEmpty())
		return;

	CString strPath;
	if(m_arstrScriptDetailsColumns.GetSize())
		strPath=GetConfigFilePath(strScript,strProfile);
	else
		strPath=GetConfigFilePath(strScript,"");

	DWORD dwDefState=0;
	for(int nTab=0;nTab<m_arTestOutputTabs.GetSize();nTab++)
	{
		TabData& data = m_arTestOutputTabs[nTab];
		if(data.strName == strProfile)
		{
			dwDefState = data.dwDefaultMonitoring;
			break;
		}
	}

	LoadMonitoringData(strScript,strProfile,strPath,dwDefState);
}	

void CStepByStepDlg::SaveMonitoringData()
{
	if(m_nUserMode == enMultiUserMode)
		return;
	
	if(!m_strOpenProfile.IsEmpty() && m_arstrScriptDetailsColumns.GetSize())
	{
		CString strPath=GetConfigFilePath(m_strOpenScript,m_strOpenProfile);
		SaveMonitoringData(m_strOpenScript,m_strOpenProfile,strPath);
	}
}

void CStepByStepDlg::SaveMonitoringData(const CString& strScript,const CString& strProfile,const CString& strPath)
{
	ProfileToLineMap* pProfileMap = NULL;
	LineToStateMap *pStateMap = NULL;
	if(!m_ScriptToProfileMap.Lookup(strScript,pProfileMap))
		return;

	if(!pProfileMap || !pProfileMap->Lookup(strProfile,pStateMap) || !pStateMap)
		return;

	DWORD dwFlags = CFile::modeWrite|CFile::shareDenyNone;

	CFileStatus fs;
	if(!CFile::GetStatus(strPath,fs))
		dwFlags |= CFile::modeCreate;	//File open fails with access denied if use modeCreate on an exising file????

	CFile f;
	if(!f.Open(strPath,dwFlags))
		return;
	
	CArchive ar(&f,CArchive::store);

	const int nCurrentVersion = 1;
	ar << nCurrentVersion;

	CSclParser parser;
	CFile fScript;
	if(!fScript.Open(strScript,CFile::modeRead|CFile::shareDenyNone))
		return;

	DWORD dwLen = fScript.GetLength();
	char *sz = new char[dwLen];
	fScript.Read(sz,dwLen);
	parser.Parse(sz);
	delete []sz;
	fScript.Close();

	int nUrl=0;
	POSITION pos = parser.GetFirstItemPosition();
	while(pos)
	{
		CScriptItemInfo *pItem = parser.GetNextItem(pos);
		if(pItem->GetItemType() == CScriptItemInfo::enRequest)
		{
			//Write monitoring options
			DWORD dwState=0;
			int nLine = pItem->GetStartLine();
			if(pStateMap->Lookup(nLine,dwState))
			{
				if(dwState)
				{
					ar << nUrl;
					ar << nLine;
					ar << dwState;
				}
			}
			nUrl++;
		}
	}

	ar << (int)-1;

	ar.Close();
	f.Close();
}

CString CStepByStepDlg::GetConfigFilePath(const CString& strScript, const CString& strProfile)
{
	if(strScript.IsEmpty())
		return "";

	int nPos = strScript.ReverseFind('\\');
	CString strLoad = strScript.Mid(nPos+1);
	nPos =	strLoad.ReverseFind('.');
	strLoad = strLoad.Left(nPos);
		
	CString strPath = m_pTestFile->GetTestFilePath();
	nPos = strPath.ReverseFind('\\');
	strPath = strPath.Left(nPos);

	CString str;
	if(strProfile.IsEmpty())
		str.Format("%s\\%s.dat",strPath,strLoad);
	else
		str.Format("%s\\%s#%s.dat",strPath,strLoad,strProfile);

	return str;
}


void CStepByStepDlg::OnSelchangeScriptList() 
{
	int nCurSel = m_ctlScriptList.GetCurSel();
	if(nCurSel == CB_ERR)
		return;

	int nNdx;
	CString strScript;
	POSITION pos = m_mapPathToScriptListNdx.GetStartPosition();
	while(pos)
	{
		m_mapPathToScriptListNdx.GetNextAssoc(pos,strScript,nNdx);

		if(nCurSel == nNdx)
		{
			DisplayScript(strScript);		
			return;
		}
	}
}

void CStepByStepDlg::OnMultiUser() 
{
	SaveMonitoringData();
	
	m_nUserMode = enMultiUserMode;
	m_pTestFile->SetAdvancedStepByStepMode(true);
	m_pDocument->SetModifiedFlag();
	UpdateData(FALSE);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnSingleUser() 
{
	m_nUserMode = enSingleUserMode;
	m_pTestFile->SetAdvancedStepByStepMode(false);
	m_pDocument->SetModifiedFlag();
	UpdateData(FALSE);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnShowCallscripts() 
{
	if(m_dwScriptDetailsFilter & SHOW_CALLSCRIPTS)
		m_dwScriptDetailsFilter ^= SHOW_CALLSCRIPTS;
	else
		m_dwScriptDetailsFilter |= SHOW_CALLSCRIPTS;

	AfxGetApp()->WriteProfileInt("Debug Control","Items To Show",m_dwScriptDetailsFilter);

	FillScriptDetailsList();
}

void CStepByStepDlg::OnUpdateShowCallscripts(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(m_bAdvancedMode && m_bEnableRun);
	pCmdUI->SetCheck(((m_dwScriptDetailsFilter & SHOW_CALLSCRIPTS)?1:0));	
}
