// StepByStepProxy.h: interface for the CStepByStepProxy class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STEPBYSTEPPROXY_H__CB438CD8_9092_4AB3_ABD1_340018E9CD04__INCLUDED_)
#define AFX_STEPBYSTEPPROXY_H__CB438CD8_9092_4AB3_ABD1_340018E9CD04__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WMU_NEXTREQUEST (WM_APP+1000)
#define WMU_REQUESTCOMPLETE (WM_APP+1001)
#define WMU_REQUESTSTEPPED (WM_APP+1002)
#define WMU_RUNNING (WM_APP+1003)
#define WMU_READYTOSTEP (WM_APP+1004)

class CStepByStepDlg;
class CStepByStepProxy  
{
public:
	CStepByStepProxy(CStepByStepDlg*);
	virtual ~CStepByStepProxy();

	BOOL StepSingleUser(int nVUId);
	BOOL StepSingleEvent();
	BOOL Run();
	BOOL Break();
	BOOL SetBreakPoint(const CString& strScript,int nLineNumber,BOOL bSet);
	BOOL RequestState();
	BOOL Abort();
	
	BOOL StartDebugger(BOOL bRun);
	BOOL Attach();
	void Detach();
private:
	CStepByStepDlg* m_pDialog;

	HANDLE m_hPipe;
	HANDLE m_DetachEvt;
	CCriticalSection m_CritSect;
	CWinThread *m_pServerInfoThread;

private:
	BOOL ReadFromPipe(LPBYTE pBuffer,DWORD dwBufSize);
	BOOL WriteToPipe(LPBYTE pBuffer, DWORD dwBufSize);

	static UINT ServerInfoThread(LPVOID pParam);
};

#endif // !defined(AFX_STEPBYSTEPPROXY_H__CB438CD8_9092_4AB3_ABD1_340018E9CD04__INCLUDED_)
