/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// TestMonitorDebugPlugin.h: interface for the CStepByStepPlugin class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STEPBYSTEPPLUGIN_H__73D357A2_9E69_4C85_A1FD_A57CEADE035F__INCLUDED_)
#define AFX_STEPBYSTEPPLUGIN_H__73D357A2_9E69_4C85_A1FD_A57CEADE035F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPlugin;
class CPluginManager;
class CTestFile;

#include "HttpSingleStepFile.h"

class CStepByStepPlugin  
{
public:
	CStepByStepPlugin(const CString& strTitle,CPluginManager* pPluginManager);
	virtual ~CStepByStepPlugin();

	void GetAvailableViews(CTestFile*,CStringArray&);
	CWnd* DisplayView(const CString& strProfile,const CString& strRunPath,CWnd* pParent);
	
	void NextRequest(const CString& strProfile,const CNextRequestData&,DWORD dwMonitoringState);
	void RequestComplete(const CString& strProfile,const CRequestCompleteData& RCD);

	void GetDefaultConfigStates(const CString& strProfile,CStringArray& arTypes,DWORD& dwDefStates);
	BOOL IsSupportedExtension(const CString& strExtension);

	void SetRunFolder(const CString& strRunFolder);
	void SetActiveUser(int nVUId);

	void SetTestActive(const CString& strReg);
	void StopActiveTest();
private:
	CPlugin *m_pPlugin;

	typedef void	( * LPGETVIEWS)		(CTestFile* pTestFile, CStringArray& arrScreens);
	typedef CWnd*	( * LPDISPLAYVIEWS)		(const CString&,const CString&,CWnd*);
	typedef void	( * LPNEXTREQUEST)		(const CString& strProfile,const CNextRequestData&,DWORD);
	typedef void	( * LPREQUESTCOMPLETE)		(const CString& ,const CRequestCompleteData&);
	typedef void	( * LPSETRUNFOLDER)		(const CString&);
	typedef BOOL	( * LPISSUPPORTEDEXT)		(const CString&);
	typedef void	( * LPGETCONFIGSTATES)		(const CString&,CStringArray&,DWORD&);
	typedef void	( * LPSETACTIVEUSER)		(int nVUId);
	typedef void	( * LPSETTESTACTIVE)		(const CString&);
	typedef void	( * LPSTOPACTIVETEST)		(void);

	LPNEXTREQUEST	m_fncNextRequest;
	LPREQUESTCOMPLETE	m_fncRequestComplete;
	LPGETCONFIGSTATES	m_fncGetConfigStates;
	LPSETACTIVEUSER	m_fncSetActiveUser;
};

#endif // !defined(AFX_STEPBYSTEPPLUGIN_H__73D357A2_9E69_4C85_A1FD_A57CEADE035F__INCLUDED_)
