/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// HTTPData.cpp: implementation of the CHTTPData class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "HTTPData.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CHTTPData::CHTTPData()
{
	m_lCurrentTime=-1;
	m_nVersion=-1;
	m_nLength=0;
}

CHTTPData::~CHTTPData()
{

}

BOOL CHTTPData::LoadFile(CString filename)
{
	BOOL fileopened=m_file.Open(filename,CFile::modeRead|CFile::typeBinary);
	m_file.Read(&m_nVersion,sizeof(int));
	return fileopened;
}

BOOL CHTTPData::CloseFile()
{
	m_file.Close();
	return true;
}

HTTPSnapFile CHTTPData::GetCurrentSnapShot()
{
	HTTPSnapFile answer;

	if(m_nLength==0)
	{
		answer.length=-1;
		answer.strAnswer=NULL;
		return answer;
	}
	// return first m_nLength of m_Buffer

	answer.length=m_nLength;
	answer.strAnswer=m_Buffer;

	return answer; 
}

long CHTTPData::FindNextSnapShot()
{
	int pos;
	char temp;

	try
	{
		if(m_file.Read(m_Buffer,sizeof(long))>0)
		{
			memcpy(&m_lCurrentTime,m_Buffer,sizeof(long));

			pos=sizeof(long);	
						
			while((m_file.Read(&temp,1)>0) && (pos<dwBuffSize))
			{
				if(temp=='|')
				{				
					m_file.Read(&temp,1);
					if(temp=='Y')
					{
						//it was a good answer so copy it to the output file
						m_Buffer[pos]='|';
						pos++;
						m_Buffer[pos]='Y';
						pos++;
						m_nLength=pos;
						return m_lCurrentTime;
					}
					else
					{
						//continue
						m_Buffer[pos]='|';
						pos++;
						m_Buffer[pos]=temp;
					}
				}	
				else
				{
					m_Buffer[pos]=temp;
				}
				pos++;
			}
		}
	}
	catch(...)
	{

	}
	m_nLength=0;
	m_lCurrentTime=-1;
	return m_lCurrentTime;
}

long CHTTPData::TimeOfCurrentSnapshot()
{
	return m_lCurrentTime;

}

int CHTTPData::GetFileVersion()
{

	return m_nVersion;
}
