/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef _STEPBYSTEP_TESTEXECUTER_I_H_
#define _STEPBYSTEP_TESTEXECUTER_I_H_

#include <OSTAORB/OSTAORB.h>
#include "StepByStep_TestExecuter.h"
#include "StepByStep_Control.h"

class StepByStepScriptExecuterImpl
    : public POA_StepByStepScriptExecuter, public PortableServer::RefCountServantBase
{
public:
    StepByStepScriptExecuterImpl(CORBAServer* pserver);
    virtual ~StepByStepScriptExecuterImpl();

    // CORBA Interface.
    virtual CORBA::Boolean Next(CORBA::Long lTaskGroupID, CORBA::Long lVUId);

    // Helpers.
    void Deactivate();
    StepByStepControl_var& GetStepByStepControl() {return m_refControl;}

private:

    PortableServer::ObjectId* m_pObjid;
    CORBAServer*              m_pServer;
    std::string               m_strRegisterName;
    StepByStepControl_var     m_refControl;

    //// Forbidden.
    StepByStepScriptExecuterImpl();
    StepByStepScriptExecuterImpl(const StepByStepScriptExecuterImpl&);
    operator=(const StepByStepScriptExecuterImpl&);
};

#endif  // _STEPBYSTEP_TESTEXECUTER_I_H_
