/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __TARGETEVALUATION__
#define __TARGETEVALUATION__

#ifdef  WIN32
#pragma warning(disable : 4251 4512 4514 4516 4275)
#endif  // WIN32


//=================================================================< Includes >
#ifndef __DEFINITION__
#include  "definition.h"
#endif  // __DEFINITION__


#include  <fstream>
#include  <cstdlib>
#include <string>
#include <map>
using std::string;
using std::ofstream;
using std::map;

#include <mutex.hpp>


class CTargetEvaluation
{
public:
    CTargetEvaluation(string servers, string exceptions, bool bLocal) ;

    void getProxyInfos(string & type, string & host, int & iPort) ;
    void evaluate(string strConnect, string type, string & host, int & iPort, bool & bProxy);
    bool isInLocalDomain(string FQDNhostName) ;
    string getHostByName(string strConnect) ;

    void setDomainName(string domainName) ;
    const string & getDomainName() const
    {
        return domainName_ ;
    }

private:
    string httpProxy_ ;
    int iHttpProxyPort_ ;
    string httpsProxy_ ;
    int iHttpsProxyPort_ ;
    string ftpProxy_ ;
    int iFtpProxyPort_ ;
    string gopherProxy_ ;
    int iGopherProxyPort_ ;
    string socksProxy_ ;
    int iSocksProxyPort_ ;
    string exceptions_ ;
    bool bLocal_ ;
    string domainName_ ;
    map<string, string> ipAddressMap_ ;
    CTMutex mapMutex_ ;
} ;

#endif
