/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OSWebEditCtrl.cpp: implementation of the COSWebEditCtrl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "OSWebEditCtrl.h"
#include "concertlib.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

COSWebEditCtrl::COSWebEditCtrl( LPCSTR pczRegistryPath)
        :COSEditCtrl(pczRegistryPath)
{
    m_ImageList.Create(IDB_WEBEDIT_IMAGELIST,16,0,RGB(255,255,255));
}

COSWebEditCtrl::~COSWebEditCtrl()
{
}


void COSWebEditCtrl::InitKeywords()
{
    TCHAR *pszBuffer = _T("ABORT\nACQUIRE\nACTIVE_THREADS\nACTIVE_USERS\nAPPEND\nAS\n"
                          "AT\nBINARY\nCALL\nCANCEL\nCASE_BLIND\nCERTIFICATE\n"
                          "CHARACTER\nCLEAR\nCLOSE\nCODE\nCOMMAND\nCOMMA-SEPARATED\n"
                          "CONSTANT\nCONTROL\nCONVERT\nDATE\nDEFINE\nDEFINITIONS\n"
                          "DESCRIPTION\nDETACH\nDO\nELSEIF\nELSE\nENDDO\nENDIF\nEND\n"
                          "ENTRY\nENVIRONMENT\nERROR\nEXIT\nFAIL\nFILE\nFORMAT\nFOR\n"
                          "GENERATE\nGLOBAL\nGOTO\nHISTORY\nHTTP\nIF\nINCLUDE\nINPUT\n"
                          "INTEGER\nJUSTIFY\nKEEPALIVE\nLEADING\nLEFT\nLOAD\n"
                          "LOCAL\nLOG\nMILLISECONDS\nMODE\nMUTEX\nNAME\nNEXT\nNO-COMMA\n"
                          "NODENAME\nNOSHARED\nNOTE\nON\nOPEN\nOUTPUT\nPASS\nRADIX\nRANDOM\n"
                          "READ\nRELEASE\nREPEATABLE\nREPORT\nRESET\nRETURN\nREWIND\nRIGHT\n"
                          "SCRIPT\nSECONDS\nSEED\nSEMAPHORE\nSET\nSHARED\nSIGNED\nSPACES\n"
                          "START\nSUBROUTINE\nTARGET\nTEST-CASE\nTEST-WIDE\nTEST\nTHEN\n"
                          "THREAD\nTIMEOUT\nTIMER\nTIME\nTO\nTRACE\nUNIT\nUNSIGNED\n"
                          "WAIT\nWRITE\nZEROS\n"
                          "#ELIF\n#ELSE\n#ENDIF\n#IFDEF\n#IFNDEF\n#INCLUDE\n"
                          "~EXTRACT\n~LEFTSTR\n~LENGTH\n~LOCATE\n~LTRIM\n"
						  "~NEG_EXP_DIST\n~RIGHTSTR\n~RTRIM\0");

    AddKeywords( pszBuffer ) ;

    COSEditCtrl::InitKeywords();
}

void COSWebEditCtrl::InitComments()
{
    m_OSLanguage.SetComments("!");

}

CString COSWebEditCtrl::GetLanguageName()
{
    return _T("HTTPSCL");
}

//--------------------------------------------------------------------

void COSWebEditCtrl::ShowMarkOnLine(int nLine,BOOL bShow,BOOL bRedraw)
{
	if(bShow)
	    SetMarginImages(nLine-1,2);
	else
		SetMarginImages(nLine-1,0);
}

//--------------------------------------------------------------------

void COSWebEditCtrl::ClearAllMarks()
{
    int nbLines = GetLineCount();

    for( int i=0; i< nbLines; i++ )
        SetMarginImages(i,0);
}

//--------------------------------------------------------------------
BOOL COSWebEditCtrl::IsLineMarked(int nLine)
{
	return (GetMarginImages(nLine-1)==2);
}