/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ConnectDlg.cpp : implementation file
//

#include "StdAfx.h"
#include "CyrODBCRes.h"
#include "ConnectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BEGIN_MESSAGE_MAP(CConnectDlg, CDialog)
//{{AFX_MSG_MAP(CConnectDlg)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
CConnectDlg::CConnectDlg(CString* _pDataSource, CString* _pUserName, CString* _pPassword, CWnd* _pParent /*=NULL*/)
        : CDialog(CConnectDlg::IDD, _pParent)
{
    m_pDataSource       = _pDataSource;
    m_pUsername         = _pUserName;
    m_pPassword         = _pPassword;
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
void CConnectDlg::OnOK()
{
    //rcuperation des valeurs
    m_cbDSN.GetWindowText( *m_pDataSource ) ;
    GetDlgItem(ID_CONNECT_USERNAME_EDIT)->GetWindowText( *m_pUsername ) ;
    GetDlgItem(ID_CONNECT_PASSWORD_EDIT)->GetWindowText( *m_pPassword ) ;

    CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
BOOL CConnectDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    UCHAR szDSN[255];
    short   pcbDSN;
    RETCODE errResult;
    HENV    hv;

    VERIFY( m_cbDSN.SubclassDlgItem( ID_CONNECT_DATASOURCE_COMBO, this ));

    SQLAllocEnv(&hv);

    errResult = SQLDataSources(hv, SQL_FETCH_FIRST, szDSN, sizeof(szDSN), &pcbDSN, NULL, 0, 0);
    while ( errResult != SQL_NO_DATA_FOUND && errResult != SQL_ERROR && errResult != SQL_INVALID_HANDLE )
    {
        m_cbDSN.AddBitmap(IDB_DSN, (char *)szDSN);
        errResult = SQLDataSources(hv, SQL_FETCH_NEXT, szDSN, sizeof(szDSN), &pcbDSN, NULL, 0, 0);
    }

    SQLFreeEnv(hv);

    m_cbDSN.SetCurSel(m_cbDSN.FindStringExact(0, *m_pDataSource));
    GetDlgItem( ID_CONNECT_USERNAME_EDIT )->SetWindowText( *m_pUsername      ) ;
    GetDlgItem( ID_CONNECT_PASSWORD_EDIT )->SetWindowText( ""      ) ;

    if ( m_cbDSN.GetCurSel() == CB_ERR  )
    {
        m_cbDSN.SetCurSel(0);
        m_cbDSN.SetFocus();
    }
    else if ( m_pUsername->IsEmpty() )
        GetDlgItem( ID_CONNECT_USERNAME_EDIT )->SetFocus();
    else
        GetDlgItem( ID_CONNECT_PASSWORD_EDIT )->SetFocus();

    return FALSE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}

