/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// ScriptSummary.cpp : implementation file
//

#include "stdafx.h"
#include "ScriptSummary.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#define IDT_POLL_DATA 1

/////////////////////////////////////////////////////////////////////////////
// CScriptSummary dialog


CScriptSummary::CScriptSummary(CWnd* pParent /*=NULL*/)
	: CDialog(CScriptSummary::IDD, pParent)
{
	//{{AFX_DATA_INIT(CScriptSummary)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CScriptSummary::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CScriptSummary)
	DDX_Control(pDX, IDC_SCRIPTLIST, m_ctlScriptList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CScriptSummary, CDialog)
	//{{AFX_MSG_MAP(CScriptSummary)
	ON_WM_TIMER()
	ON_WM_SIZE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CScriptSummary message handlers

BOOL CScriptSummary::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CRect rc;
	GetClientRect(rc);
	m_ctlScriptList.InsertColumn( 0,"Script Name", LVCFMT_LEFT, rc.Width()/2);
	m_ctlScriptList.InsertColumn(1,"VU Count", LVCFMT_LEFT, rc.Width()/2);

	for (int i = 0; i<m_arrTasks.GetSize(); i++)
	{
		m_ctlScriptList.InsertItem(i,m_arrTasks.GetAt(i));
		m_ctlScriptList.SetItemText(i,1,"0");

	}

	SetTimer(IDT_POLL_DATA, 5000, NULL);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CScriptSummary::InitMonitor(int nTaskGroup,CStringArray& arrTasks , CString strManagerReg)
{
	m_nTaskGroup = nTaskGroup;
	m_strManagerReg = strManagerReg;

	for (int i = 0; i<arrTasks.GetSize(); i++)
	{
		m_arrTasks.Add(arrTasks.GetAt(i));
	}
}

void CScriptSummary::OnTimer(UINT nIDEvent) 
{
	// Zero the counts
	for (int i = 0; i<m_ctlScriptList.GetItemCount(); i++)
	{
		m_ctlScriptList.SetItemText(i,1,"-");
	}

	// Get the new counts and update to the list
	ScriptSummaryInfo summaryInfo;
	m_Info.GetScriptSummary(m_nTaskGroup, m_strManagerReg, summaryInfo);
	
	for (int z = 0; z<summaryInfo.size(); z++)
	{
		int nTask = summaryInfo[z].lTaskID;
		int nUsers = summaryInfo[z].lActiveUsers;

		CString strUsers;
		strUsers.Format("%d", nUsers);
		m_ctlScriptList.SetItemText(nTask,1,strUsers);
	}

	CDialog::OnTimer(nIDEvent);
}

void CScriptSummary::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	
	if(m_ctlScriptList.m_hWnd != NULL)
	{
		m_ctlScriptList.MoveWindow(0,0,cx,cy);
	}
	
}

void CScriptSummary::OnDestroy() 
{
	CDialog::OnDestroy();	
}
