// SSDetailsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SSDetailsDlg.h"
#include "HttpSingleStepFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSSDetailsDlg dialog

CSSDetailsDlg::CSSDetailsDlg(CSSDataDlg::RequestData* pData,CWnd* pParent /*=NULL*/)
	: CDialog(CSSDetailsDlg::IDD, pParent),
	m_pRequestData(pData)
{
	AfxInitRichEdit();
	//{{AFX_DATA_INIT(CSSDetailsDlg)
	m_strBodyText = _T("");
	m_strBodyDesc = _T("");
	m_strConId = _T("");
	m_strHeaders = _T("");
	m_strRequest = _T("");
	m_strVUId = _T("");
	m_strScriptDesc = _T("");
	//}}AFX_DATA_INIT
}


void CSSDetailsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSSDetailsDlg)
	DDX_Text(pDX, IDC_BODY_TEXT, m_strBodyText);
	DDX_Text(pDX, IDC_BODY, m_strBodyDesc);
	DDX_Text(pDX, IDC_CONID, m_strConId);
	DDX_Text(pDX, IDC_HEADERS, m_strHeaders);
	DDX_Text(pDX, IDC_REQUEST, m_strRequest);
	DDX_Text(pDX, IDC_VUID, m_strVUId);
	DDX_Text(pDX, IDC_SCRIPT_DESC, m_strScriptDesc);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSSDetailsDlg, CDialog)
	//{{AFX_MSG_MAP(CSSDetailsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSSDetailsDlg message handlers

BOOL CSSDetailsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	if(m_pRequestData->RCData.IsBinaryData())
	{
		m_strBodyDesc.Format("Binary Response Body (%d Bytes)",m_pRequestData->RCData.GetBodyLength());  
	}
	else
	{
		m_strBodyDesc.Format("Response Body (%d Bytes)",m_pRequestData->RCData.GetBodyLength());  
		if(m_pRequestData->RCData.GetBodyLength())
		{
			m_strBodyText = m_pRequestData->RCData.GetBody();
		}
		else
			m_strBodyText.Empty();

	}

	m_strConId.Format("%d",m_pRequestData->NRData.GetConId());
	m_strHeaders = m_pRequestData->RCData.GetHeaders();
	
	CString strScript = m_pRequestData->NRData.GetScript();
	int nDotPos = strScript.ReverseFind('.');
	int nSlashPos = strScript.ReverseFind('\\');
	strScript = strScript.Left(nDotPos).Mid(nSlashPos+1);
	m_strScriptDesc.Format("Script    %s (Line %d)",strScript,m_pRequestData->NRData.GetScriptLine());

	m_strRequest = m_pRequestData->NRData.GetRequest();
	m_strVUId.Format("%d",m_pRequestData->NRData.GetVUId()+1);

	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
