/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ChildFrm.h : interface of the CChildFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDFRM_H__9D2B8161_F0E1_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_CHILDFRM_H__9D2B8161_F0E1_11D3_AC83_00105A483E3C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <RowSplitter.h>
#include <TabWnd.h>

class ChildFrameInfo
{
    //Attribute
public:
    WINDOWPLACEMENT         m_wp;
    int                     m_iLeftScript;
    int                     m_iRightScript;
    int                     m_iHeightScript;
    int                     m_iHeightScriptOutput;

    //Construction
public:
    ChildFrameInfo()
    {
        m_iLeftScript             = 100;
        m_iRightScript            = 100;
        m_iHeightScript           = 100;
        m_iHeightScriptOutput     = 100;
    }

};


class CModellerDoc;
class CChildFrame : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CChildFrame)
    // Attributes
private:
    CCPersistentObject*     m_pChildWndInfo;
    ChildFrameInfo          m_Info;
    BOOL                    m_bFirstTimeActivate;

    CReBar                m_wndReBar;
    CDialogBar            m_wndFilterBar;

    CRowSplitter            m_Splitter;
    CSplitterWnd            m_SplitterScript;
    CTabWnd            m_TabWndURL;
    CTabWnd            m_TabWndOutput;

    CModellerDoc*           m_pDoc;
	BOOL				m_bXMLMode;
public:
    CChildFrame();


    // Operations
public:
    void ReadInfo();
    void SaveInfo();

    void ShowCheckWnd();
    void ShowReplayWnd();
	void ShowFindInFilesWnd();
	void SetFindInFilesText(const CString&);
	void EnableXMLMode(BOOL bEnable);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CChildFrame)
public:
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    virtual void ActivateFrame(int nCmdShow = -1);
protected:
    virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CChildFrame();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
protected:
    //{{AFX_MSG(CChildFrame)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnDestroy();
	afx_msg void OnDropdownPageCombo();
    afx_msg void OnSelChangePageCombo();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDFRM_H__9D2B8161_F0E1_11D3_AC83_00105A483E3C__INCLUDED_)
