#if !defined(AFX_DOMVIEW_H__2A3A9497_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_DOMVIEW_H__2A3A9497_F33E_11D3_AC83_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DOMView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDOMView view

#include <afxcview.h>
#include <PhParse.hpp>

class CDOMView : public CTreeView
{
	HTREEITEM m_hLink;
	HTREEITEM m_hScript;
	HTREEITEM m_hFrame;
	HTREEITEM m_hImage;
	HTREEITEM m_hInput;
	HTREEITEM m_hSelect;
	HTREEITEM m_hTable;
	HTREEITEM m_hOther;
	HTREEITEM m_hRadio;
	HTREEITEM m_hChkBox;

    CImageList              m_ImageList ;
    int                     m_nidDOM ;
    int                     m_nidLink ;
    int                     m_nidScript ;
    int                     m_nidFrame ;
    int                     m_nidImage ;
    int                     m_nidInput ;
    int                     m_nidCombo ;
    int                     m_nidTable ;
    int                     m_nidChkBox ;
    int                     m_nidRadio ;

	HTREEITEM			    m_hMenuSelection;
    BOOL                    m_bInitialized;

protected:
    CDOMView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CDOMView)

    // Attributes
public:

    // Operations
public:

    void FillTreeCtrl()  ;
    void InitTreeCtrlDisplay() ;
    void ShowDow();

    void InsertTagInTree( CTag* pTag) ;
    void InsertTag( CTag *pTag);


    void  InsertLink( CTag* pTag);
    void  InsertScript( CTag* pTag);
    void  InsertFrame( CTag* pTag);
    void  InsertImage( CTag* pTag);
    void  InsertInput( CTag* pTag);
    void  InsertSelect( CTag* pTag);
    void  InsertTable( CTag* pTag);
    void  InsertInputText( CTag* pTag);
    void  InsertInputCheckbox( CTag* pTag);
    void  InsertInputRadio( CTag* pTag);
    void OnAddressing() ;
	void ExpandAllChildren(HTREEITEM hItem);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CDOMView)
public:
    virtual void OnInitialUpdate();

protected:
    virtual void OnDraw(CDC* pDC);      // overridden to draw this view
    virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CDOMView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
protected:
    //{{AFX_MSG(CDOMView)
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnRclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClipboardAddress();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DOMVIEW_H__2A3A9497_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
