/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OSModellerEditCtrl.cpp: implementation of the COSModellerEditCtrl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Solutions.h"
#include "modeller.h"
#include "OSModellerEditCtrl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

#include <ConstantesLib.h>

//-----------------------------------------------------------------------

BEGIN_MESSAGE_MAP(COSModellerEditCtrl, COSWebEditCtrl )
//{{AFX_MSG_MAP(COSModellerEditCtrl)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

COSModellerEditCtrl::COSModellerEditCtrl(LPCSTR pczRegistryPath /*= NULL*/)
        :   COSWebEditCtrl( pczRegistryPath )
{}


COSModellerEditCtrl::~COSModellerEditCtrl()
{
}

//-----------------------------------------------------------------------


void COSModellerEditCtrl::InitKeywords()
{
    COSWebEditCtrl::InitKeywords() ;

    TCHAR *pczBuffer = _T("ALL\nAUTHENTICATION\nBASIC\nBINARY\nBLOB\nBODY\nBODYSIZE\nBUILD\n"
                          "CANCEL\nCODE\nCONNECT\nCURRENT\nDISCONNECT\nDOMAIN\n"
                          "FOR\nFROM\nGET\nGOTO\nHEAD\nHEADER\nINTO\nLOAD\n"
                          "NEGOTIATE\nNTLM\nON\nPASSWORD\nPOST\nPRIMARY\nREQUESTS\n"
                          "RESPONSE\nRESPONSE_INFO\nRETURNING\nRETRY\nSTATUS\nSYNCHRONISE\n"
                          "SYNCHRONIZE\nTIMER\nTIMEOUT\nTO\n"
                          "URI\nURL\nUSER\nWITH\nWITHOUT\n\0");
       
    AddKeywords( pczBuffer ) ;
}

//-----------------------------------------------------------------------

void COSModellerEditCtrl::ReadPreferences()
{
    COSWebEditCtrl::ReadPreferences() ;
}

void COSModellerEditCtrl::SavePreferences()
{
    COSWebEditCtrl::SavePreferences() ;
}



