/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OutputTraceView.cpp : implementation file
//

#include "stdafx.h"
#include "Modeller.h"
#include "OutputTraceView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CModellerApp theApp ;

//---------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(COutputTraceExtendedEditCtrl, COSEditCtrl)
//{{AFX_MSG_MAP(COutputTraceExtendedEditCtrl)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//---------------------------------------------------------------------------

COutputTraceExtendedEditCtrl::COutputTraceExtendedEditCtrl(CView* pParent ,LPCSTR pczRegistryPath  ):
        COSEditCtrl( pczRegistryPath ),
        m_pParent( pParent )
{}

//---------------------------------------------------------------------------


COutputTraceExtendedEditCtrl::~COutputTraceExtendedEditCtrl()
{}

//---------------------------------------------------------------------------

/////////////////////////////////////////////////////////////////////////////
// COutputTraceView
//---------------------------------------------------------------------------


IMPLEMENT_DYNCREATE(COutputTraceView, CView)

//---------------------------------------------------------------------------

COutputTraceView::COutputTraceView()
        :m_Editor( this , theApp.GetRegistryPath() )
{
    m_pGatewayTraceThread = NULL;
    m_hGatewayTracePipe = INVALID_HANDLE_VALUE;
    m_saGatewayTracePipe.lpSecurityDescriptor = NULL;

    SetupGatewayTracePipe();
}

//---------------------------------------------------------------------------

COutputTraceView::~COutputTraceView()
{
    delete m_saGatewayTracePipe.lpSecurityDescriptor;
}

//---------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(COutputTraceView, CView)
//{{AFX_MSG_MAP(COutputTraceView)
ON_WM_DESTROY()
ON_WM_CREATE()
ON_WM_SIZE()
ON_COMMAND(ID_EDIT_COPY, OnEditCopy)
ON_COMMAND(ID_EDIT_CUT, OnEditCut)
ON_COMMAND(ID_EDIT_FIND, OnEditFind)
ON_COMMAND(ID_EDIT_PASTE, OnEditPaste)
ON_COMMAND(ID_EDIT_REDO, OnEditRedo)
ON_COMMAND(ID_EDIT_REPLACE, OnEditReplace)
ON_COMMAND(ID_EDIT_UNDO, OnEditUndo)
ON_UPDATE_COMMAND_UI(ID_EDIT_COPY, OnUpdateEditCopy)
ON_UPDATE_COMMAND_UI(ID_EDIT_CUT, OnUpdateEditCut)
ON_UPDATE_COMMAND_UI(ID_EDIT_FIND, OnUpdateEditFind)
ON_UPDATE_COMMAND_UI(ID_EDIT_PASTE, OnUpdateEditPaste)
ON_UPDATE_COMMAND_UI(ID_EDIT_REDO, OnUpdateEditRedo)
ON_UPDATE_COMMAND_UI(ID_EDIT_REPLACE, OnUpdateEditReplace)
ON_UPDATE_COMMAND_UI(ID_EDIT_UNDO, OnUpdateEditUndo)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutputTraceView drawing
//---------------------------------------------------------------------------

void COutputTraceView::OnDraw(CDC* pDC)
{
    CDocument* pDoc = GetDocument();
    // TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// COutputTraceView diagnostics
//---------------------------------------------------------------------------


#ifdef _DEBUG
void COutputTraceView::AssertValid() const
{
    CView::AssertValid();
}

//---------------------------------------------------------------------------

void COutputTraceView::Dump(CDumpContext& dc) const
{
    CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// COutputTraceView message handlers
void COutputTraceView::SetupGatewayTracePipe()
{
    /*const char* szGatewayPipeName = {"\\\\.\\pipe\\GatewayOutputPipe"};

    //Set up default security for the pipe
    m_saGatewayTracePipe.lpSecurityDescriptor = new SECURITY_DESCRIPTOR;

    InitializeSecurityDescriptor(m_saGatewayTracePipe.lpSecurityDescriptor,SECURITY_DESCRIPTOR_REVISION);

    SetSecurityDescriptorDacl(m_saGatewayTracePipe.lpSecurityDescriptor, TRUE, (PACL) NULL,FALSE);

    m_saGatewayTracePipe.nLength = sizeof(m_saGatewayTracePipe);
    m_saGatewayTracePipe.bInheritHandle = TRUE;

    // Create a named pipe
    HANDLE hPipe = CreateNamedPipe(szGatewayPipeName,PIPE_ACCESS_INBOUND|FILE_FLAG_OVERLAPPED, PIPE_TYPE_BYTE |
            PIPE_READMODE_BYTE | PIPE_WAIT, PIPE_UNLIMITED_INSTANCES, 0, 0,
            64, &m_saGatewayTracePipe);

    if(hPipe != INVALID_HANDLE_VALUE)
{
        // Create a copy of the pipe handle
        DuplicateHandle(GetCurrentProcess(),hPipe,
            GetCurrentProcess(),
            &m_hGatewayTracePipe,
            0,FALSE,      
            DUPLICATE_SAME_ACCESS);

        CloseHandle(hPipe);
} */
}

//---------------------------------------------------------------------------

void COutputTraceView::OnInitialUpdate()
{
    CView::OnInitialUpdate();

    //$$$m_pGatewayTraceThread = AfxBeginThread(&GatewayTraceThread,this);
}

//---------------------------------------------------------------------------


UINT COutputTraceView::GatewayTraceThread(LPVOID lpParam)
{
    /*COutputTraceView *pTraceView = (COutputTraceView*)lpParam;

    OVERLAPPED ol;
    ZeroMemory(&ol,sizeof(ol));
    ol.hEvent = CreateEvent(NULL,TRUE,FALSE,NULL);
    DWORD dwRead;
    while(pTraceView->m_hGatewayTracePipe != INVALID_HANDLE_VALUE)
{
        //Wait for someone to connect to pipe
        BOOL bSuccess = ConnectNamedPipe(pTraceView->m_hGatewayTracePipe,&ol);

        if (!bSuccess && GetLastError() == ERROR_IO_PENDING)
            bSuccess = GetOverlappedResult(pTraceView->m_hGatewayTracePipe, &ol, &dwRead, TRUE);

        char buf[256];
        DWORD dwRead;
        while (pTraceView->m_hGatewayTracePipe != INVALID_HANDLE_VALUE) 
        {
            bSuccess = ReadFile(pTraceView->m_hGatewayTracePipe, buf, sizeof(buf)-1, &dwRead,&ol);
        
            if (!bSuccess && GetLastError() == ERROR_IO_PENDING)
                bSuccess = GetOverlappedResult(pTraceView->m_hGatewayTracePipe, &ol, &dwRead, TRUE);

            if (!bSuccess)
                break;

            buf[dwRead] = '\0';
            pTraceView->AddText(buf);

            Sleep(50);
        }
}

    CloseHandle(ol.hEvent);*/

    return 0;
}

//---------------------------------------------------------------------------

void COutputTraceView::OnDestroy()
{
    HANDLE hPipe = m_hGatewayTracePipe;
    m_hGatewayTracePipe = INVALID_HANDLE_VALUE;
    CancelIo(hPipe);
    CloseHandle(hPipe);

    CView::OnDestroy();
}

//---------------------------------------------------------------------------

COSEditCtrl* COutputTraceView::GetEditCtrl()
{
    return &m_Editor ;
}

void COutputTraceView::AddText(char *szText)
{
    /*BOOL bSaveReadOnly = m_Editor.GetEdit()->GetReadOnly();
    m_Editor.GetEdit()->SetReadOnly(FALSE);

    SECEditCtrl* pEditor = GetEditCtrl();

    pEditor->BottomOfFile(FALSE);

    char *pszToken = strtok(szText,"\n");
    if(pszToken)
{
        bool bSplitLine=false;
        while(pszToken != NULL)
        {
            int nStrLen = strlen(pszToken);
            
            if(pszToken[nStrLen-1] == '\r')
            {
                bSplitLine = true;
                pszToken[nStrLen-1] = '\0';
            }

            pEditor->InsertString(pszToken,TRUE,FALSE);

            if(bSplitLine)
            {
                pEditor->SplitLine(FALSE,FALSE);
                bSplitLine = false;
            }
            
            pszToken = strtok(NULL,"\n");
        }
}
    else
    if(szText[0] == '\n')
        pEditor->SplitLine(FALSE,FALSE);
    else
        pEditor->InsertString(szText,TRUE,FALSE);

    m_Editor.GetEdit()->SetReadOnly(bSaveReadOnly);*/

}

//---------------------------------------------------------------------------

BOOL COutputTraceView::OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo)
{
    if(m_Editor.OnCmdMsg(nID,nCode,pExtra,pHandlerInfo))
        return true;

    return CView::OnCmdMsg(nID, nCode, pExtra, pHandlerInfo);
}

//---------------------------------------------------------------------------

int COutputTraceView::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CView::OnCreate(lpCreateStruct) == -1)
        return -1;

    if ( m_Editor.Create( WS_CHILD | WS_VISIBLE | WS_VSCROLL, CRect( 0, 0, 100, 100 ), this, 100 ) == -1 )
        return -1;

    m_Editor.SetReadOnly(TRUE);

    return 0;
}

//---------------------------------------------------------------------------

void COutputTraceView::OnSize(UINT nType, int cx, int cy)
{
    CView::OnSize(nType, cx, cy);

    if ( m_Editor.m_hWnd )
        m_Editor.SetWindowPos( NULL, -1, -1, cx, cy, SWP_NOZORDER | SWP_NOMOVE );

}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditCopy()
{
    m_Editor.Copy();

}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditCut()
{
    m_Editor.Cut();
}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditFind()
{
    m_Editor.SendMessage(CMM_EXECUTECMD, CMD_FIND, 0 );
}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditPaste()
{
    m_Editor.Paste();
}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditRedo()
{
    m_Editor.Redo();
}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditReplace()
{
    ::SendMessage( m_Editor.m_hWnd, CMM_EXECUTECMD, CMD_FINDREPLACE, 0 );
}

//---------------------------------------------------------------------------

void COutputTraceView::OnEditUndo()
{
    m_Editor.Undo();

}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditCopy(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(m_Editor.CanCopy());
}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditCut(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(m_Editor.CanCut());
}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditFind(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(TRUE);
}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditPaste(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(m_Editor.CanPaste());

}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditRedo(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(m_Editor.CanRedo());
}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditReplace(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(!m_Editor.IsReadOnly());
}

//---------------------------------------------------------------------------

void COutputTraceView::OnUpdateEditUndo(CCmdUI* pCmdUI)
{
    pCmdUI->Enable(m_Editor.CanUndo());
}
