/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __DATA_TYPES_H__
#define __DATA_TYPES_H__

//The structure of a stat as found in the stat file
#pragma pack(1)

typedef struct
{
    BYTE IP1;
    BYTE IP2;
    BYTE IP3;
    BYTE IP4;
    DWORD dwPID;
    WORD dwUser;
}
UserId_t;

typedef struct
{
    DWORD dwTimeStamp;
    UserId_t UserId;
    DWORD dwResponseTime;
    WORD wResponseCode;
    DWORD dwReplySize;
}
HttpFileStat;

typedef struct
{
    HttpFileStat HttpStat;

    int nURLNdx;
    CString strTimeStamp;
    CString strUserId;
    CString strResponseTime;
    CString strResponseCode;
    CString strReplySize;
    CString *pstrURL;
}
HttpData;

typedef struct
{
    DWORD dwTimeStart;
    DWORD dwTimeEnd;
    DWORD dwRespTimeStart;
    DWORD dwRespTimeEnd;
    WORD wRespCodeStart;
    WORD wRespCodeEnd;
    DWORD dwReplySizeStart;
    DWORD dwReplySizeEnd;

    //Keep a copy of all the default values
    DWORD dwDefTimeStart;
    DWORD dwDefTimeEnd;
    DWORD dwDefRespTimeStart;
    DWORD dwDefRespTimeEnd;
    WORD wDefRespCodeStart;
    WORD wDefRespCodeEnd;
    DWORD dwDefReplySizeStart;
    DWORD dwDefReplySizeEnd;

    CMap <CString,LPCTSTR,bool,bool&> mapUserIds;
    CMap <CString,LPCTSTR,bool,bool&> mapUrls;
}
FilterData;
#pragma pack()

#endif __DATA_TYPES_H__
