/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CCustomizeTitlePage.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "CustomizeTitlePage.h"
#include "GraphWnd.h"
#include "..\include\NTPerfHelpID.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomizeTitlePage property page

IMPLEMENT_DYNCREATE(CCustomizeTitlePage, CPropertyPage)

CCustomizeTitlePage::CCustomizeTitlePage(CGraphWnd* pGraphWnd) : CPropertyPage(CCustomizeTitlePage::IDD),
	m_pGraphWnd(pGraphWnd)
{
    //{{AFX_DATA_INIT(CCustomizeTitlePage)
    m_bDisplayTitle = FALSE;
    //}}AFX_DATA_INIT
    
    m_FontCol.currentcolor = m_pGraphWnd->m_colTitleText;
    m_BGCol.currentcolor = m_pGraphWnd->m_colTitleBk;
}

CCustomizeTitlePage::~CCustomizeTitlePage()
{}


void CCustomizeTitlePage::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CCustomizeTitlePage)
    DDX_Control(pDX, IDC_FONT, m_FontCombo);
    DDX_Check(pDX, IDC_DISPLAY_TITLE, m_bDisplayTitle);
    DDX_Control(pDX, IDC_FONT_COLOUR, m_FontCol);
    DDX_Control(pDX, IDC_START_COLOUR, m_BGCol);
    //}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CCustomizeTitlePage, CPropertyPage)
//{{AFX_MSG_MAP(CCustomizeTitlePage)
	ON_WM_HELPINFO()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomizeTitlePage message handlers

BOOL CCustomizeTitlePage::OnInitDialog()
{
    CPropertyPage::OnInitDialog();

    m_FontCol.currentcolor = m_pGraphWnd->m_colTitleText;
    m_BGCol.currentcolor = m_pGraphWnd->m_colTitleBk;

    m_FontCombo.Initialize();
    int sel = m_FontCombo.FindStringExact(0, m_pGraphWnd->m_strTitleFont);
    m_FontCombo.SetCurSel(sel);

    m_bDisplayTitle = m_pGraphWnd->m_bShowTitle;
    UpdateData(FALSE);

    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


void CCustomizeTitlePage::OnOK()
{
    UpdateData(TRUE);

    m_pGraphWnd->m_colTitleText = m_FontCol.currentcolor;
    m_pGraphWnd->m_colTitleBk = m_BGCol.currentcolor;
    m_pGraphWnd->m_bShowTitle = m_bDisplayTitle;

    int sel = m_FontCombo.GetCurSel();
    m_FontCombo.GetLBText(sel, m_pGraphWnd->m_strTitleFont);
}


BOOL CCustomizeTitlePage::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	pHelpInfo->dwContextId = HIDD_COMMON_CUSTOMIZE_TITLE;		
	return CPropertyPage::OnHelpInfo(pHelpInfo);
}
